/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: dirent.h 1.10 90/06/24 $"

#ifndef	_SYS_DIRENT_H_

/* $Log:	dirent.h,v $
*/

#include "sys/types.h"

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

/*____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section *
 * 5.1.1 of 1003.1-1988 which should be refered to before making any  *
 * changes.							      *
 *____________________________________________________________________*/
   

/*
 * The following structure defines the file
 * system independent directory entry.
 *
 */

struct dirent				/* data from readdir() */
	{
#ifndef NO_XPG3_HDR
	ino_t		d_ino;		/* inode number of entry */
#else
	long		d_ino;		/* inode number of entry */
#endif	/* NO_XPG3_HDR */
	off_t		d_off;		/* offset of disk direntory entry */
	unsigned short	d_reclen;	/* length of this record */
	char		d_name[1];	/* name of file */
	};

#define	_SYS_DIRENT_H_
#endif	/*_SYS_DIRENT_H_*/

