/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	This module is created for NLS on Jul.24.86	*/

#ident	"$Header: euc.h 1.4 90/06/25 $@(#)head:euc.h	1.4"

#ifndef _SYS_EUC_H_

#ifndef	NOTASCII
#define	SS2	0x008e
#define	SS3	0x008f

	/* NOTE: c of following macros must be the 1st byte of characters */
#define	ISASCII(c)	(!((c) & ~0177))
#define	NOTASCII(c)	((c) & ~0177)
#define	ISSET2(c)	((c & 0x00ff) == SS2)
#define	ISSET3(c)	((c & 0x00ff) == SS3)
#define ISPRINT(c, wp)	((ISASCII(c) && isprint(c)) || \
			 (wp._multibyte && (((c) > 0xa0 && (c) < 0xff) || \
					    ((c) == SS2 || (c) == SS3))))

typedef struct {
	short int _eucw1, _eucw2, _eucw3;	/*	EUC width	*/
	short int _scrw1, _scrw2, _scrw3;	/*	screen width	*/
	short int _pcw;		/*	WIDE_CHAR width	*/
	char _multibyte;	/*	1=multi-byte, 0=single-byte	*/
} eucwidth_t;
#endif

#define _SYS_EUC_H_
#endif /* _SYS_EUC_H_ */
