/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: ss.h 1.7 89/08/07 $"

#ifndef	_SYS_SS_H_

/*
 * ss.h
 *	SSM internal device driver definitions.
 */

/* $Log:	ss.h,v $
 */

/*
 * Information structure - one per ss-device.
 */
struct ss_info{
	struct  ssm_desc *ss_desc;	/* Config structure */
	struct	consmem_stats ss_stats;	/* Device statistics */
};

/*
 * Per system structure for SSMs.
 */
#define SSBUFSZ		1024		/* Size of I/O data buffer */
struct ss {
	struct ss_info *ss_info[MAXNUMSSM];/* pointers to ss_info structures */
	sema_t ss_sync;			/* lockout semaphore */
	struct ss_info *ss_cons;	/* Pointer to console sm_info struct */
	unchar ss_buf[SSBUFSZ];		/* data buffer */
};

/*
 * SSM driver macros
 */
#define SS_UNIT(dev)	SS->ss_info[dev]->ss_desc->sdv_ssm_idx

#define	_SYS_SS_H_
#endif	/* _SYS_SS_H_ */
