/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)head.sys:clockcal.h	1.4"

/*
 * Copyright (C) 1986 Intel Corp.
 */

/*
 * These are the ioctl commands and structure
 * for the clock calender.
 * Currently the battery backup clock calender
 * is implemented on the 546, line 6 /dev/clock.
 *
 *	1/29/86		rickb
 *		Created include file.
 */

struct	clkcal	{
	unsigned char	ck_milsec;	/* 10 thous. of a second, .x0 */
	unsigned char	ck_decsec;	/* 100th and 10th of a second, 0-99 */
	unsigned char	ck_sec;		/* second of minute, 0-59 */
	unsigned char	ck_min;		/* minute of hour, 0-59 */
	unsigned char	ck_hour;	/* hour of the day, 1-23 */
	unsigned char	ck_wday;	/* day of the week, 1-7 */
	unsigned char	ck_mday;	/* day of the month, 1-31 */
	unsigned char	ck_month;	/* month of the year, 1-12 */
	unsigned char	ck_reserv1;	/* reserved field */
	unsigned char	ck_year;	/* year of the centur, 0-99 */
	unsigned char	ck_reserv2;	/* reserved field */
	};
#define CLKSIZE	11			/* the size of the above structure.
					   since the compiler pads it, it
					   doesn't know it is only 11  */

#define	TIME_SET	(('c'<<8)|0)	/* set time on 546 */
#define	TIME_GET	(('c'<<8)|1)	/* get the time from the 546 */

