/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"exect.s"

	.ident	"@(#)libc-i386:libc-i386/sys/exect.s	1.3"

/ this is the same as execve described below.
/ It sets single step prior to exec call,
/ this will stop the user on the first instruction executed
/ and allow the parent to set break points as appropriate.
/ This is used by tracing mechanisms,such as sdb.
/ execve(path, argv, envp);
/ char	*path, *argv[], *envp[];

#include <sys.s>
#define PS_T	0x0100	/* See /usr/include/sys/tss.h */

	.globl	exect
	.globl	_cerror

exect:
	MCOUNT			/ subroutine entry counter if profiling
	movl	$EXECE,%eax

/ set the single step flag bit (trap flag)
	pushf
	popl	%edx
	orl	$PS_T,%edx
	pushl	%edx
	popf
/ this has now set single step which should be preserved by the system
	lcall	SYSCALL		/ call gate into OS
	jmp	_cerror		/ came back
