# $Copyright:	$
#Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
#Sequent Computer Systems, Inc.   All rights reserved.
# 
#This software is furnished under a license and may be used
#only in accordance with the terms of that license and with the
#inclusion of the above copyright notice.   This software may not
#be provided or otherwise made available to, or used by, any
#other person.  No title to or ownership of the software is
#hereby transferred.

#	Copyright (c) 1984, 1986, 1987, 1988 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)libl:libl.mk	1.7"
ROOT=
LIB=$(ROOT)/lib/bcs
USRLIB=$(ROOT)/usr/lib/bcs

CC=cc
CFLAGS=-Wc,-bcs
LORDER=lorder
LIBOBJS=allprint.o main.o reject.o yyless.o yywrap.o

all:  $(USRLIB)/libl.a

$(USRLIB)/libl.a: $(&) $(LIBOBJS)
	ar rv tmplib.a `$(LORDER) *.o | tsort`;

# order is important here; the directory is created as part of the rules
# for ncform
install:  ncform nrform all
	rm -f $(USRLIB)/libl.a;
	cp tmplib.a $(USRLIB)/libl.a;
	chmod 444 $(USRLIB)/libl.a;
	chown bin $(USRLIB)/libl.a;
	chgrp bin $(USRLIB)/libl.a;

clean:
	-rm -f *.o

clobber:	clean
	-rm -f tmplib.a 

allprint.o:	lib/allprint.c
	$(CC) -c $(CFLAGS) lib/allprint.c
main.o:		lib/main.c
	$(CC) -c $(CFLAGS) lib/main.c
reject.o:		lib/reject.c
	$(CC) -c $(CFLAGS) lib/reject.c
yyless.o:		lib/yyless.c
	$(CC) -c $(CFLAGS) lib/yyless.c
yywrap.o:		lib/yywrap.c
	$(CC) -c $(CFLAGS) lib/yywrap.c

ncform:	lib/ncform
	if [ ! -d $(USRLIB)/lex ];\
		then mkdir $(USRLIB)/lex;\
		     chmod 555 $(USRLIB)/lex;\
		     chown bin $(USRLIB)/lex;\
		     chgrp bin $(USRLIB)/lex;\
	fi
	-rm -f $(USRLIB)/lex/ncform;
	cp lib/ncform $(USRLIB)/lex/ncform;
	chmod 444 $(USRLIB)/lex/ncform;
	chown bin $(USRLIB)/lex/ncform;
	chgrp bin $(USRLIB)/lex/ncform;

nrform:	lib/nrform
	-rm -f $(USRLIB)/lex/nrform;
	cp lib/nrform $(USRLIB)/lex/nrform;
	chmod 444 $(USRLIB)/lex/nrform;
	chown bin $(USRLIB)/lex/nrform;
	chgrp bin $(USRLIB)/lex/nrform;

