/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: acctdef.h 1.8 90/10/24 $@(#)acct:acctdef.h	1.10"
/*
 *	defines, typedefs, etc. used by acct programs
 */


/*
 *	acct only typedefs
 */

#if u3b || u3b15 || u3b2 || i386
#define HZ	100
#else
#define HZ	60
#endif

#define LSZ	12	/* sizeof line name */
#define NSZ	8	/* sizeof login name */
#define P	0	/* prime time */
#define NP	1	/* nonprime time */

/*
 *	limits which may have to be increased if systems get larger
 */
#define A_SSIZE	1000	/* max number of sessions in 1 acct run */
#define A_USIZE	500	/* max number of distinct login names in 1 acct run */

/*
 * this is no longer a limit, just a starting point. The table it is used
 * in in acctcon1.c is grown dynamically with this as an initial size.
 */
#define A_TSIZE	128	/* starting number of tty names in 1 acct run */

#define EQN(s1, s2)	(strncmp(s1, s2, sizeof(s1)) == 0)
#define CPYN(s1, s2)	strncpy(s1, s2, sizeof(s1))

#define SECSINDAY	86400L
#define SECS(tics)	((double) tics)/HZ
#define MINS(secs)	((double) secs)/60
#define MINT(tics)	((double) tics)/(60*HZ)

#ifdef pdp11
#define KCORE(clicks)	((double) clicks/16)
#endif
#ifdef i386
#define	KCORE(clicks)	((double) clicks/2)
#endif
#ifdef vax
#define KCORE(clicks)	((double) clicks/2)
#endif
#if u3b || u3b15 || u3b2
#define KCORE(clicks)	((double) clicks*2)
#endif
