# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: forms.mk 1.4 89/10/10 $@(#)forms:forms.mk	1.11"

OBS = fill_out.o muse.o menu.o support.o read_in.o popup.o command.o update.o msupport.o valid.o expand.o
CURSES = -lcurses
LIBES = $(CURSES) -lm
INCLUDE = -I$(CCS_HDRS)
CFLAGS=$(INCLUDE)
FFLAG=
LDFLAGS=$(FFLAG) -s
BINDIR = .
INS = install

all : $&	mforms mecho
	:

mforms: $&	$(OBS)
	$(CC) $(LDFLAGS) $(CFLAGS) -o mforms $(OBS) $(LIBES)

mecho : 	mecho.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o mecho mecho.c

msupport.o fill_out.o update.o command.o valid.o menu.o expand.o popup.o muse.o:	muse.h mmuse.h musedefs.h mmusedefs.h
support.o read_in.o:	muse.h  musedefs.h

install : mforms mecho
	$(INS) -f $(BINDIR) mforms 
	$(INS) -f $(BINDIR) mecho 

clobber : clean
	-rm -f mforms mecho

clean :
	-rm -f $(OBS)
