# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: mscript.mk 1.3 89/10/10 $@(#)script:mscript.mk	1.7"

OBJECTS = mscript.o do_line.o utilities.o callout.o mkscript.o
CURSES = -lcurses
LIB = $(CURSES)
INCLUDE = -I$(CCS_HDRS)
CC = cc
CFLAGS =  -c $(INCLUDE)
FFLAG = 
LDFLAGS = $(FFLAG) -s
DEBUGFLAGS= 
BINDIR = ../../bin
INS = install

mscript : $&	$(OBJECTS)
	$(CC) $(LDFLAGS) $(DEBUGFLAGS) -o mscript $(OBJECTS) $(LIB)
mscript.o : mscript.c  script.h
	$(CC) $(CFLAGS)  $(DEBUGFLAGS) mscript.c
do_line.o : do_line.c  script.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS) do_line.c
utilities.o : utilities.c  script.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS) utilities.c
callout.o : callout.c  script.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS) callout.c
mkscript.o : mkscript.c  script.h
	$(CC)  $(CFLAGS) $(DEBUGFLAGS) mkscript.c

install : mscript
	$(INS) -f $(BINDIR) mscript 

clobber : clean
	-rm -f mscript

clean:
	-rm -f $(OBJECTS)
