# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: setup.mk 1.3 89/10/10 $@(#)setup:setup.mk	1.8"
OBJECTS = msetup.o intro.o term.o update.o
CC = cc
INCLUDE = -I$(CCS_HDRS)
CFLAGS = -c $(INCLUDE)
FFLAG =
LDFLAGS = $(FFLAG) -s
DEBUGFLAGS =
BINDIR = ../../bin
INS = install

msetup : $&	$(OBJECTS)
	$(CC) $(LDFLAGS) -o msetup $(DEBUGFLAGS) $(OBJECTS)
msetup.o : msetup.c msetup.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS)  msetup.c
intro.o : intro.c msetup.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS)  intro.c
term.o : term.c msetup.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS)  term.c
update.o : update.c msetup.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS)  update.c

install	: msetup
	$(INS) -f $(BINDIR) msetup 
	-rm -f $(BINDIR)/tsetup
	ln $(BINDIR)/msetup $(BINDIR)/tsetup

clobber : clean
	-rm -f tsetup
	-rm -f msetup

clean :
	-rm -f $(OBJECTS)

