# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988 Sequent Computer Systems, Inc.
# All rights reserved
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#

#ident	"$Header: bdflush.mk 1.3 89/03/28 $@(#)bdflush:bdflush.mk	1.0"

#	Makefile for /etc/bdflush

ROOT =
DIR = $(ROOT)/etc
INC = $(CCS_HDRS)/usr/include
LDFLAGS = -s $(LDLIBS)
CFLAGS = -O -I$(INC) $(FFLAG)
INS = install

MAINS = bdflush
OBJECTS =  bdflush.o
SOURCES =  bdflush.c

all:		$(MAINS)

bdflush:	bdflush.o 
	$(CC) $(CFLAGS) -o bdflush bdflush.o  $(LDFLAGS) -lseq

clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)

install: all
	$(INS) -f $(DIR) -m 555 -u root -g sys bdflush
