#ident	"$Header: param.h 1.16 89/12/08 $"

#include <sys/param.h>

/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
#define SUPPORT_V	1	/* support all versions less than or equal to */
#define SUPPORT_SVL	5	/* warn sub_versions less than this */
#define SUPPORT_SVH	7	/* warn sub_versions higher than this */

#define MAXPATH		MAXPATHLEN	/* max path name size */

#define	LLIB_SIZE	40		/* #of modules per build lint lib */

#define MAX_CDEV	150		/* sizes cdevsw table */
#define MAX_BDEV	150		/* sizes ddevsw table */
#define MAX_BUS		20		/* sizes busses tbale */
#define MAX_FS		10		/* sizes vfs table */
#define MAX_SYSCALL	10		/* sizes syscall table */

#define	HIGHEST_VISIBILITY	1	/* highest parameter visibility level */
#define	LOWEST_VISIBILITY	10	/* lowest parameter visibility level */

#define DEF_MACH	"symmetry"	/* default machine name */
#define DEF_CONF	"std"		/* default configuration name */
#define MFG_CONF	"mfg"		/* manufacturing kernel archive suffix*/

#define CONF_C		"conf.c"	/* name of generated c file */
#define	CONFIG_H	"config.h"	/* name of generated h file */
#define CONFIG		"config"	/* name of module configuration file */
#define	SITE_CONFIG	"site"		/* site configuration file */
#define	SYS_CONFIG	"system"	/* system configuration file */
#define SYS_MODULES	"modules"	/* system modules files */
#define SYS_MODULES_EXT	"mod"		/* system modules extension */
#define MAKEFILE	"Makefile"
#define FILES		"files"
#define BFILES		"bfiles"	/* files for binary installation */

#define	LOCAL_HEADERS	"head"		/* name of local header directory */
#define SRC_ANCHOR	"uts"		/* source anchor path */
#define INCLUDE_PATH	"$(INC)"	/* include path */
#define INCLUDE_SYS_PATH "$(INC)/sys"	/* include/sys path */
#define	BASE_PRODUCT_NAME "unix"	/* name of the base product */
