#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: logchecker.sh 1.5 89/10/10 $@(#)cron:logchecker.sh	1.4"

# this command is used to determine if the cron log file is approaching the ulimit
# of the system.  If it is, then the log file will be moved to olog
# this command is executed by the crontab entry 'root'

#set umask
umask 022

# log files
LOG=/usr/lib/cron/log
OLOG=/usr/lib/cron/olog

# set the high-water mark of the file
MARKER=4
LIMIT=`ulimit`
LIMIT=`expr $LIMIT - $MARKER`

# find the size of the log file (in blocks)
if [ -f $LOG ]
then
	FILESIZE=`du -a $LOG | cut -f1`
else
	exit
fi

# move log file to olog file if the file is too big
if [ $FILESIZE -ge $LIMIT ]
then
	cp $LOG $OLOG
	>$LOG
	chgrp bin $OLOG
fi

