# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#
#ident "$header$	@(#)Makefile	5.6	(Berkeley)	6/3/87"
#
#	dump.h			header file
#	dumpitime.c		reads /etc/dumpdates
#	dumpmain.c		driver
#	dumpoptr.c		operator interface
#	dumptape.c		handles the mag tape and opening/closing
#	dumptraverse.c		traverses the file system
#	unctime.c		undo ctime
#	dumpsema.c		P and V style interface to Sys V semaphores
#
#	DEBUG			use local directory to find ddate and dumpdates
#	TDEBUG			trace out the process forking

DESTDIR= $(ROOT)
DFLAGS=
CFLAGS=	-O ${DFLAGS} -DRAWIOPGRND
PSRCS=	/usr/include/dumprestore.h dump.h dumpmain.c \
	dumptraverse.c dumptape.c dumpoptr.c dumpitime.c unctime.c dumpsema.c
SRCS=	dump.h dumpitime.c dumpmain.c dumpoptr.c dumptape.c \
	dumptraverse.c unctime.c dumpsema.c
OBJS=	dumpitime.o dumpmain.o dumpoptr.o dumptape.o dumptraverse.o \
	unctime.o dumpsema.o

all: dump

dump:$&	${OBJS}
	${CC} -o $@ ${CFLAGS} ${OBJS} -lseq -s

clean: FRC
	rm -f ${OBJS} dump core

clobber: clean

install: all
	install -u root -g sys -m 555 -f ${DESTDIR}/etc dump


FRC:
