# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: dwb.mk 1.6 89/10/10 $@(#)dwb:dwb.mk	1.32"
#	dwb sub-system make file
#
# DSL 2.

OL = $(ROOT)/
NEWARGS = all
INSDIR = $(OL)usr/bin
LDFLAGS = -s
INS = :
MAKE = make

compile all:  	 roff macros shells eqn neqn tbl checkmm pic macref \
		 ptx grap subndx diffmk hyphen
	:

roff:	;  cd roff.d;  $(MAKE) -f roff.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

macros:	;  cd macros.d;  $(MAKE) -f macros.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

shells:	;  cd shells.d;  $(MAKE) -f shells.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

eqn:	;  cd eqn.d;  $(MAKE) -f eqn.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

neqn:	;  cd neqn.d; $(MAKE) -f neqn.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

tbl:	;  cd tbl.d;  $(MAKE) -f tbl.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

checkmm: ;  cd checkmm.d; $(MAKE) -f checkmm.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

pic: ;  cd pic.d; $(MAKE) -f pic.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

macref: ;  cd macref.d; $(MAKE) -f macref.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

ptx:	;  cd ptx.d; $(MAKE) -f ptx.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

grap:	;  cd grap.d; $(MAKE) -f grap.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

subndx:	;  cd subndx.d; $(MAKE) -f subndx.mk ROOT=$(ROOT) CH=$(CH) $(NEWARGS)

diffmk:	diffmk.sh
	cp diffmk.sh diffmk ; \
	$(INS) diffmk $(INSDIR) ; \
	cd $(INSDIR); chmod 555 diffmk; $(CH) chgrp bin diffmk; chown bin diffmk

hyphen:	hyphen.c
	$(CC) -O $(LDFLAGS) hyphen.c -o hyphen ; \
	$(INS) hyphen $(INSDIR) ; \
	cd $(INSDIR); chmod 555 hyphen; $(CH) chgrp bin hyphen; chown bin hyphen

install:
	$(MAKE) -f dwb.mk NEWARGS=install ROOT=$(ROOT) CH=$(CH) INS=cp $(NEWARGS)

clean:
	cd roff.d;  $(MAKE) -f roff.mk clean
	cd eqn.d;   $(MAKE) -f eqn.mk clean
	cd neqn.d;  $(MAKE) -f neqn.mk clean
	cd tbl.d;   $(MAKE) -f tbl.mk clean
	cd macros.d; $(MAKE) -f macros.mk clean
	cd shells.d; $(MAKE) -f shells.mk clean
	cd checkmm.d; $(MAKE) -f checkmm.mk clean
	cd pic.d; $(MAKE) -f pic.mk clean
	cd macref.d; $(MAKE) -f macref.mk clean
	cd ptx.d; $(MAKE) -f ptx.mk clean
	cd grap.d; $(MAKE) -f grap.mk clean
	cd subndx.d; $(MAKE) -f subndx.mk clean
	rm -f hyphen.o

clobber:
	cd roff.d;  $(MAKE) -f roff.mk clobber
	cd eqn.d;   $(MAKE) -f eqn.mk clobber
	cd neqn.d;  $(MAKE) -f neqn.mk clobber
	cd tbl.d;   $(MAKE) -f tbl.mk clobber
	cd macros.d;  $(MAKE) -f macros.mk clobber
	cd shells.d;  $(MAKE) -f shells.mk clobber
	cd checkmm.d; $(MAKE) -f checkmm.mk clobber
	cd pic.d; $(MAKE) -f pic.mk clobber
	cd macref.d; $(MAKE) -f macref.mk clobber
	cd ptx.d; $(MAKE) -f ptx.mk clobber
	cd grap.d; $(MAKE) -f grap.mk clobber
	cd subndx.d; $(MAKE) -f subndx.mk clobber
	rm -f hyphen diffmk

