# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: grap.mk 1.5 89/10/10 $@(#)grap:grap.mk	1.5"
#	makefile for grap.
#


OL = $(ROOT)/
# ALLOC = malloc.o
YFLAGS = -d -D
OFILES = main.o input.o print.o frame.o for.o coord.o ticks.o plot.o label.o misc.o $(ALLOC)
CFILES = main.c input.c print.c frame.c for.c coord.c ticks.c plot.c label.c misc.c
SRCFILES = grap.y grapl.l grap.h $(CFILES)
INS = :
INSDIR = $(OL)usr/bin
LIBDIR = $(OL)usr/lib/dwb
LDFLAGS = -s

all: $&	$(LIBDIR)/grap.defines grap

grap: 	grap.o grapl.o $(OFILES) grap.h 
	$(CC) -o grap $(FFLAG) $(LDFLAGS) grap.o grapl.o $(OFILES) -lm ; \
	$(INS) grap $(INSDIR) ; \
	cd $(INSDIR); chmod 555 grap; $(CH) chgrp bin grap; chown bin grap

$(LIBDIR)/grap.defines:	grap.defines
	$(INS) grap.defines $(LIBDIR) ; \
	cd $(LIBDIR); chmod 444 grap.defines ; \
	$(CH) chgrp bin grap.defines; chown bin grap.defines

$(OFILES) grapl.o: $&	grap.h prevy.tab.h

grap.o:	grap.h

y.tab.h:	grap.o

prevy.tab.h:	y.tab.h
	-cmp -s y.tab.h prevy.tab.h || cp y.tab.h prevy.tab.h

install:
	$(MAKE) -f grap.mk INS=cp ROOT=$(ROOT) CH=$(CH)

clean:
	rm -f grap.o grapl.o $(OFILES) y.tab.h prevy.tab.h

clobber:	clean
	rm -f grap
