# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#	makefile for pic.
#
# DSL 2.
# SCCS $Header: pic.mk 1.5 89/10/10 $@(#)pic:pic.mk	1.9


OL = $(ROOT)/
YFLAGS = -d
OFILES = main.o print.o misc.o symtab.o blockgen.o boxgen.o circgen.o \
	arcgen.o linegen.o movegen.o textgen.o \
	input.o for.o pltroff.o
CFILES = main.c print.c misc.c symtab.c blockgen.c boxgen.c circgen.c \
	arcgen.c linegen.c movegen.c textgen.c \
	input.c for.c pltroff.c
SRCFILES = picy.y picl.l pic.h $(CFILES)
INS = :
INSDIR = $(OL)usr/bin
LDFLAGS = -s

all:	pic

pic:: $&	picy.o picl.o $(OFILES)
	$(CC) -o pic $(FFLAG) $(LDFLAGS) picy.o picl.o $(OFILES) -lm ; \
	$(INS) pic $(INSDIR) ; \
	cd $(INSDIR); chmod 555 pic; $(CH) chgrp bin pic; chown bin pic

$(OFILES):	pic.h
picy.c:	picy.y pic.h
picl.c:	picl.l pic.h

y.tab.h:	picy.o

pic.ydef:	y.tab.h
	-cmp -s y.tab.h pic.ydef || cp y.tab.h pic.ydef

pltroff: $&	driver.o pltroff.o
	$(CC) -o pltroff pltroff.o driver.o -lm

install:
	$(MAKE) -f pic.mk INS=cp ROOT=$(ROOT) CH=$(CH)

clean:
	rm -f $(OFILES) picy.o picl.o y.tab.h picy.c picl.c

clobber:	clean
	rm -f pic pltroff
