# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: devaps.mk 1.4 89/10/10 $@(#)roff:troff.d/devaps/devaps.mk	2.5"
#	makefile for aps-5 driver, fonts, etc.
#
# DSL 2

OL = $(ROOT)/
CFLAGS = -O
LDFLAGS = -s
INS = :
INSDIR = $(OL)usr/bin
FONTHOME = $(OL)usr/lib/font
FONTDIR = $(OL)usr/lib/font/devaps
MAKEDEV = ./makedev
FFILES = [A-Z] [A-Z][0-9A-Z] DESC
OFILES = [A-Z].[oa][ud][td] [A-Z][0-9A-Z].[oa][ud][td] DESC.out

all: $&	daps aps_fonts

daps: $&	daps.o ../draw.o build.o
	$(CC) $(LDFLAGS) $(FFLAG) -o daps daps.o ../draw.o build.o -lm
	$(INS)  daps $(INSDIR)
	cd $(INSDIR); chmod 555 daps; $(CH) chgrp bin daps; chown bin daps

daps.o:	aps.h ../dev.h daps.h daps.g
	$(CC) $(CFLAGS) -I../ -c daps.c

../draw.o:	../draw.c
	cd ..;  $(MAKE) draw.o

aps_fonts:	$(MAKEDEV)
	$(MAKEDEV) DESC
	-for i in $(FFILES); \
	do	if [ ! -r $$i.out ] || [ -n "`find $$i -newer $$i.out -print`" ]; \
		   then	$(MAKEDEV) $$i; \
		fi; \
	done
	-if [ -r LINKFILE ]; then \
	    sh ./LINKFILE; \
	fi
	$(INS) $(OFILES) version $(FONTDIR); \
	cd $(FONTDIR); chmod 444 $(OFILES) version;  \
		$(CH) chgrp bin $(OFILES) version; chown bin $(OFILES) version

$(MAKEDEV): $&	$(MAKEDEV).c ../dev.h
	cc $(CFLAGS) -I../ $(LDFLAGS) -o $(MAKEDEV) $(MAKEDEV).c

install:
	$(MAKE) -f devaps.mk INS=cp all ROOT=$(ROOT) CH=$(CH) \
		CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)

clean:
	rm -f *.o

clobber:	clean
	rm -f $(OFILES) daps makedev
