/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: glyph.h 1.2 89/10/10 $@(#)roff:troff.d/devi10/glyph.h	2.2"

struct Fontheader
  {
	short		f_magic ;	/* Should be 0436 */
	unsigned short	f_size ;	/* Total size of raster section
					 * of the font file.
					 */
	short		f_maxx ;	/* Largest x of character */
	short		f_maxy ;	/* Largest y of character */
	short		f_xtnd ;	/* Largest extender */
  } ;

struct Charparam
  {
	unsigned short	c_addr ;	/* Offset in file where character
					 * is located.
					 */
	short		c_size ;	/* Size in bytes of character	*/
	char		c_up ;		/* c_up + c_down = heigth of	*/
	char		c_down ;	/* raster in font file.		*/
	char		c_left ;	/* c_right + c_left = width of	*/
	char		c_right ;	/* raster in font file.		*/
	char		c_width ;	/* Width, including space required
					 * to print character.
					 */
  } ;

/*	RSTRUCTS is the size of the structures at the beginning of a	*/
/*	Versatec raster file.  RSTRUCTS + (long)charparam->c_addr is	*/
/*	the address of the character's raster.				*/

#define	RSTRUCTS	((long)(sizeof(struct Fontheader)+ \
			    256*sizeof(struct Charparam)))
