/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: spectab.h 1.2 89/10/10 $@(#)roff:troff.d/devi10/spectab.h	2.2"

/*
 *
 * Control strings used by the post-processor when it is building up
 * characters. The format of the strings is, an optional motion followed
 * by a character that we want to print. The ordered pair (dx,dy) defines
 * a motion. dx and dy specify relative horizontal and vertical movements
 * in terms of a percentage of the width of the character we are trying to
 * build up. Both dx and dy must be integers. If you decide to change this
 * syntax, routine dostring() will have to be rewritten.
 *
 */

char *spectab[] = {

"fi", "f(55,0)i",
"fl", "f(60,0)l",
"ff", "f(50,0)f",
"Fi", "f(33,0)f(45,0)i",
"Fl", "f(33,0)f(45,0)l",
0, 0,

};

