# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: shells.mk 1.5 89/10/10 $@(#)shells:shells.mk	1.36"
#	text subsystem shells make file
#
# DSL 2.

OL = $(ROOT)/
INS = :
INSDIR = $(OL)usr/bin
INSLIB = $(OL)usr/lib
HINSDIR = $(OL)usr/pub
FILES =  mm.sh mmt.sh 
SFILES = nroff.letter mm.report mm.sales mm.letter tbl.language tbl.bridges \
	tbl.pres eqn.stats troff.fonts troff.sizes troff.ad \
	troff.aeneid pic.forms
LDFLAGS = -s
MAKE = make

compile all:    mm mmt mvt termh samples
	:

mm: 	mm.sh
	cp mm.sh mm ; \
	$(INS) mm $(INSDIR) ; \
	cd $(INSDIR); chmod 555 mm; $(CH) chgrp bin mm; chown bin mm

mmt: 	mmt.sh
	cp mmt.sh mmt ; \
	$(INS) mmt $(INSDIR) ; \
	cd $(INSDIR); chmod 555 mmt; $(CH) chgrp bin mmt; chown bin mmt

mvt: 	mmt
	rm -f $(INSDIR)/mvt ; \
	ln $(INSDIR)/mmt $(INSDIR)/mvt ; \
	cd $(INSDIR); chmod 555 mvt; $(CH) chgrp bin mvt; chown bin mvt

termh: 
	${INS} terminals ${HINSDIR} ; \
	cd ${HINSDIR}; chmod 444 terminals; $(CH) chgrp bin terminals; chown bin terminals

samples:  $(SFILES)
	$(INS) $(SFILES) $(INSLIB)/dwb/samples ; \
	cd $(INSLIB)/dwb/samples; chmod 444 $(SFILES); \
		$(CH) chgrp bin $(SFILES); chown bin $(SFILES)

install:
	$(MAKE) -f shells.mk INS=cp ROOT=$(ROOT) CH=$(CH)
insmm:	;  $(MAKE) -f shells.mk INS=cp ROOT=$(ROOT) CH=$(CH) mm
insmmt:	;  $(MAKE) -f shells.mk INS=cp ROOT=$(ROOT) CH=$(CH) mmt
insmvt:	;  $(MAKE) -f shells.mk INS=cp ROOT=$(ROOT) CH=$(CH) mvt
inssamples:	;	$(MAKE) -f shells.mk INS=cp ROOT=$(ROOT) CH=$(CH) samples

clean mmclean mmtclean mvtclean:
clobber:  clean mmclobber mmtclobber
	:
mmclobber:   ;  rm -f mm
mmtclobber mvtclobber:  ;  rm -f mmt
