# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: false.mk 1.3 89/10/10 $@(#)false.mk	1.1"

# Makefile for false.sh
# By using the cross-environment as a guide,
# install the same port-files into $(ROOT)/bin

ROOT =
DIR = $(ROOT)/bin

# to install when not privileged
# set $(CH) in the environment to #

all: false

false: false.sh
	cp false.sh false

install: all
	rm -f $(DIR)/false
	cp false $(DIR)
	$(CH)chgrp bin $(DIR)/false
	chmod 555 $(DIR)/false
	$(CH)chown bin $(DIR)/false
	-if pdp11 ; then : ; \
	else rm -f $(DIR)/pdp11 ; ln $(DIR)/false $(DIR)/pdp11 ; fi
	-if vax ; then : ; \
	else rm -f $(DIR)/vax ; ln $(DIR)/false $(DIR)/vax ; fi
	-if u370 ; then : ; \
	else rm -f $(DIR)/u370 ; ln $(DIR)/false $(DIR)/u370 ; fi
	-if u3b ; then : ; \
	else rm -f $(DIR)/u3b ; ln $(DIR)/false $(DIR)/u3b ; fi
	-if u3b15 ; then : ; \
	else rm -f $(DIR)/u3b15 ; ln $(DIR)/false $(DIR)/u3b15 ; fi
	-if u3b2 ; then : ; \
	else rm -f $(DIR)/u3b2 ; ln $(DIR)/false $(DIR)/u3b2 ; fi
	-if u3b5 ; then : ; \
	else rm -f $(DIR)/u3b5 ; ln $(DIR)/false $(DIR)/u3b5 ; fi
	-if ns32000 ; then : ; \
	else rm -f $(DIR)/ns32000 ; ln $(DIR)/false $(DIR)/ns32000 ; fi
	-if i286 ; then : ; \
	else rm -f $(DIR)/i286 ; ln $(DIR)/false $(DIR)/i286 ; fi
	-if i386 ; then : ; \
	else rm -f $(DIR)/i386 ; ln $(DIR)/false $(DIR)/i386 ; fi

clean:

clobber: clean
	rm -f false
