/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: fcurrent.c 1.3 89/10/10 $@(#)vm.form:src/form/fcurrent.c	1.1"

#include	"wish.h"
#include	"token.h"
#include	"winp.h"
#include	"form.h"
#include	"vtdefs.h"

form_id		FORM_curid = -1;
struct form	*FORM_array;

/*
 * makes the given form current and old form noncurrent
 */
int
form_current(fid)
form_id	fid;
{
	register form_id	oldfid;
	register struct form	*f;

	form_noncurrent();
	oldfid = FORM_curid;
	FORM_curid = fid;
	f = &FORM_array[FORM_curid];
	vt_current(f->vid);
	if (f->flags & (FORM_DIRTY | FORM_ALLDIRTY))
		form_refresh(fid);
	return(SUCCESS);
}

/*
 * makes current form noncurrent
 */
int
form_noncurrent()
{
	if (FORM_curid >= 0)
		FORM_array[FORM_curid].flags |= FORM_DIRTY;
	return(SUCCESS);
}
