/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */

#ident	"$Header: nextpart.c 1.2 89/10/10 $@(#)vm.oh:src/oh/nextpart.c	1.1"

#include <stdio.h>
#include <string.h>
#include "but.h"
#include "tsys.h"
#include "typetab.h"
#include "optabdefs.h"
#include "partabdefs.h"

struct one_part *
opt_next_part(entry)
struct opt_entry *entry;
{
	static int partsleft;
	static int curoffset;
	struct one_part *retval;
	extern struct one_part  Parts[MAXPARTS];

	if (entry) {
		partsleft = entry->numparts;
		curoffset = entry->part_offset;
	}
	if (partsleft > 0) {
		retval = Parts + curoffset++;
		partsleft--;
	} else
		retval = NULL;

	return(retval);
}
