# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: proc.mk 1.2 89/10/10 $@(#)vm.proc:src/proc/proc.mk	1.4"
#

INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY = libproc.a
HEADER1=../inc
INCLUDEDIR= -I$(HEADER1)
AR=		ar
CFLAGS= 	-O



OBJECTS= pclose.o pcurrent.o pctl.o pdefault.o list.o pnoncur.o open.o \
		suspend.o

$(LIBRARY): $&	$(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

pclose.o:	pclose.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h proc.h $(HEADER1)/procdefs.h

pcurrent.o:	pcurrent.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h proc.h $(HEADER1)/procdefs.h


pctl.o:	pctl.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h proc.h $(HEADER1)/procdefs.h $(HEADER1)/ctl.h

list.o:	list.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h proc.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/procdefs.h

pdefault.o:	pdefault.c $(HEADER1)/wish.h $(HEADER1)/terror.h proc.h $(HEADER1)/procdefs.h $(HEADER1)/actrec.h

open.o:	open.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/actrec.h $(HEADER1)/moremacros.h ./proc.h

pnoncur.o:	pnoncur.c $(HEADER1)/wish.h $(HEADER1)/terror.h proc.h $(HEADER1)/procdefs.h $(HEADER1)/actrec.h

suspend.o:	suspend.c $(HEADER1)/wish.h

.c.o:
	$(CC) -c $(CFLAGS)  $(INCLUDEDIR) $<


###### Standard makefile targets #######

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
