/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: vargrow.c 1.2 89/10/10 $@(#)vm.sys:src/sys/vargrow.c	1.2"

#include	<stdio.h>
#include	"wish.h"
#include	"var_arrays.h"


/*
 * make the v_array bigger by one element, mallocing as needed
 */
struct v_array *
array_grow(array, step)
struct v_array	array[];
unsigned	step;
{
	register struct v_array	*ptr;
	register unsigned	delta;

	ptr = v_header(array);
	if (step > ptr->tot_left) {
		delta = ptr->step_size;
		if (delta < step)
			delta = step;
		if ((ptr = (struct v_array *)realloc(ptr, sizeof(struct v_array) + (ptr->tot_used + ptr->tot_left + delta) * ptr->ele_size)) == NULL)
			return NULL;
		ptr->tot_left += delta;
	}
	ptr->tot_used += step;
	ptr->tot_left -= step;
	return v_body(ptr);
}
