/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: varinsert.c 1.2 89/10/10 $@(#)vm.sys:src/sys/varinsert.c	1.1"

#include	<stdio.h>
#include	"wish.h"
#include	"var_arrays.h"

/*
 * insert an element at position "position" in a v_array
 */
struct v_array *
array_insert(array, element, position)
struct v_array	array[];
char	*element;
unsigned	position;
{
	register struct v_array	*ptr;

	ptr = v_header(array);
	if (position > ptr->tot_used)
		return array;
	ptr = v_header(array_grow(array, 1));
	if (position < ptr->tot_used - 1)
		memshift(ptr_to_ele(ptr, position + 1), ptr_to_ele(ptr, position), ptr->ele_size * (ptr->tot_used - position - 1));
	if (element != NULL)
		memcpy(ptr_to_ele(ptr, position), element, ptr->ele_size);
	return v_body(ptr);
}
