/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: vclose.c 1.2 89/10/10 $@(#)vm.vt:src/vt/vclose.c	1.1"

#include	<curses.h>
#include	"wish.h"
#include	"vt.h"
#include	"vtdefs.h"
#include	"var_arrays.h"

void
vt_close(vid)
vt_id	vid;
{
	register struct vt	*v;

	v = &VT_array[vid];
	if (vid < 0 || !(v->flags & VT_USED))
		return;
	_vt_hide(vid, TRUE);
	v->number = 0;
	v->flags = 0;
	if (v->title)
		free(v->title);
}

void
vt_close_all()
{
	while (VT_curid != VT_UNDEFINED)
		vt_close(VT_curid);
}
