# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987 Sequent Computer Systems, Inc.
# All rights reserved
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#ident	"$Header: format.mk 1.5 89/10/26 $


# format makefile

INS = install
INSDIR = $(ROOT)/etc
#INSTFDIR = $(ROOT)/etc
INSTFDIR = $(ROOT)/usr/admin.ptx/admbin
CFLAGS = -O 
LIBS = -lseq

PRODUCTS = format formatck
OBJS = formatlib.o format_conf.o scsi.o scsi_conf.o \
	zd.o zdformat.o zdlists.o zd_conf.o zdaddbad.o \
	zdverify.o zdwrdgn.o
SOURCES = format.c formatlib.c format_conf.c scsi.c scsi_conf.c \
	  zd.c zdformat.c zdlists.c zd_conf.c zdaddbad.c \
	  zdverify.c zdwrdgn.c \
	  formatck.c

all: $&	$(PRODUCTS)

format: format.o $(OBJS)
	$(CC) $(MFLAGS) $(CFLAGS) -o format format.o $(OBJS) $(LIBS)

formatck: formatck.o $(OBJS) 
	$(CC) $(MFLAGS) $(CFLAGS) -o formatck formatck.o $(OBJS) $(LIBS)

install: all
	$(INS) -u root -g root -f $(INSDIR) format $(INSDIR)
	$(INS) -f $(INSTFDIR) formatck $(INSTFDIR)

lint:
	$(LINT) $(SOURCES)

clean:
	-rm -f *.o

clobber: clean
	-rm -f $(PRODUCTS)

format.o:	format.h
formatlib.o:	format.h
format_conf.o:	format.h
scsi.o:		format.h scsiformat.h
scsi_conf.o:	format.h
zd.o:		format.h
zdformat.o:	zdformat.h format.h
zdlists.o:	zdformat.h
zd_conf.o:	format.h zdformat.h
zdaddbad.o:	zdformat.h format.h
zdverify.o:	zdformat.h format.h
zdwrdgn.o:	zdformat.h format.h
formatck.o:	format.h
