/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: bufged.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/ged.d/bufged.c	1.2"
/* <: t-5 d :> */
#include <stdio.h>
#include <signal.h>
#include "ged.h"
extern int interr();
extern int dbuf[], *endbuf;
extern struct control ct;
extern char *nodename;

putbufe(cp)
struct command *cp;
{
	int *putgeds();

/*
 *  putbufe appends to the display buffer the command whose
 *  parameters are contained within the structure cp
 */
	if( endbuf+cp->cnt < dbuf+BUFSZ ) {
		IGNSIG;
		endbuf = putgeds(endbuf,dbuf+BUFSZ,cp);
		ct.change = TRUE;
		CATCHSIG;
		return(SUCCESS);
	}
	else {
		ERRPR0(display buffer full);
		return(FAIL);
	}
}

putbuf(start,end,cp) /* put command in dbuf at start */
int *start, *end;
struct command *cp;
{
	IGNSIG;
	if( !putgeds(start,end,cp) )
		ERRPR0(display buffer possibly corrupted);
	ct.change=TRUE;
	CATCHSIG;
}
