/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: deleteobj.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/ged.d/deleteobj.c	1.2"
/* <: t-5 d :> */
#include <stdio.h>
#include <signal.h>
#include "ged.h"
extern interr();
extern int dbuf[], *endbuf;
extern struct control ct;

deleteobj(arptr)
struct area *arptr;
{
	struct command cd;
	int *bptr=dbuf, *eptr, *getgeds();
/*
 *  deleteobj reads buffer and deletes any objects that fall
 *  within defined area
 */
	for( ; (eptr=getgeds(bptr,endbuf,&cd))!=NULL; bptr=eptr ) {
		if( cd.cmd!=COMMENT ) 
			if( inarea(cd.aptr[0],cd.aptr[1],arptr) ) {
				IGNSIG;
				ct.change=TRUE;
				shuffle(bptr,eptr);
				CATCHSIG;
				eptr=bptr;
		}
	}
}

shuffle(p1,p2)
int *p1,*p2;
{
	char *pb1, *pb2;
	pb1 = (char *) p1;
	pb2 = (char *) p2;
/*
 *  shuffle shuffles down elements in the buffer to
 *  fill in space vacated by a deleted command
 */
	while(pb2 < (char *) endbuf)
		*pb1++ = *pb2++;
	endbuf = (int *) pb1;
}
