#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: graphics.sh 1.5 89/10/10 $@(#)graf:src/graphics.sh	1.4"
: Graphics environment change
: GRAF directory optionally used for graflog file and announcements.
: r option creates restricted environment.
:
GRAF=/usr/adm

if test "$TERM" = 4014
then /usr/bin/graf/tekset
fi

if test -w $GRAF/graflog
then
  if  tty>/dev/null
  then
    tty=`tty | sed "s/.*\///"`
    who | grep ${tty} >>${GRAF}/graflog
  else
    who am i >>${GRAF}/graflog
  fi
fi

if test -r ${GRAF}/announce
then  cat ${GRAF}/announce
fi

if test "$1" != "-r"
then
  PATH=/usr/bin/graf:$PATH PS1="^ " sh $@
else
  PATH=:/usr/bin/graf:/rbin:/usr/rbin:/bin:/usr/bin PS1="^ " rsh $@
fi
