# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: groups.mk 1.3 89/10/10 $@(#)groups:groups.mk	1.6.1.2"

ROOT =

#	Where MAINS are to be installed.
INSDIR = $(ROOT)/usr/bin

INC = $(CCS_HDRS)/usr/include

CFLAGS = -O

#	Common Libraries not found in /lib or /usr/lib.
COMLIB = 

#	Common Libraries and -l<lib> flags.
LDFLAGS = -s $(COMLIB) -lsec -lseq $(LDLIBS)

STRIP = strip

MAINS = groups

OBJECTS =  groups.o

SOURCES =  groups.c

ALL:		$(MAINS)

groups:		groups.o	
	$(CC) $(CFLAGS)  -o groups  groups.o   $(LDFLAGS)


groups.o:	 $(INC)/sys/types.h $(INC)/grp.h	\
		 $(INC)/pwd.h $(INC)/stdio.h \
		 $(INC)/sys/param.h

clean:
	rm -f $(OBJECTS)
	
clobber:	
	rm -f $(OBJECTS) $(MAINS)

install:	ALL $(INSDIR)
	cpset groups $(INSDIR) 0555 bin bin

strip:
	$(STRIP) $(MAINS)

remove:
	cd $(INSDIR);  rm -f $(MAINS)

$(INSDIR):
	mkdir $(INSDIR);  chmod 755 $(INSDIR);  chown bin $(INSDIR)
