#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: rc2.sh 1.10 89/10/10 $@(#)initpkg:./rc2.sh	1.16"

if u3b2 || i386
then echo "#! /bin/sh
#	\"Run Commands\" executed when the system is changing to init state 2,
#	traditionally called \"multi-user\".

. /etc/TIMEZONE

#	Pickup start-up packages for mounts, daemons, services, etc.
set \`who -r\`
if [ \$9 = \"S\" ]
then
	echo 'The system is coming up.  Please wait.'
	BOOT=yes
	if [ -f /etc/rc.d/PRESERVE ]	# historical segment for vi and ex
	then
		mv /etc/rc.d/PRESERVE /etc/init.d
		ln /etc/init.d/PRESERVE /etc/rc2.d/S02PRESERVE
	fi

elif [ \$7 = \"2\" ]
then
	echo 'Changing to state 2.'
	if [ -d /etc/rc2.d ]
	then
		for f in /etc/rc2.d/K*
		{
			if [ -s \${f} ]
			then
				/bin/sh \${f} stop
			fi
		}
	fi
fi

# If the .single_user file gets created, it will contain the
# reason to avoid going multi-user.  Send init the SINGLE_USER
# signal, print out the reason for going back to single user
# mode and exit.  Init cannot proceed with the run-level change
# until this script exits.
/bin/rm -f /etc/rc2.d/.single_user
if [ -d /etc/rc2.d ]
then
	for f in /etc/rc2.d/S*
	{
		if [ -s \${f} ]
		then
			/bin/sh \${f} start
			status=\$?
			if [ -f /etc/rc2.d/.single_user ]
			then
				/etc/init S
				echo '*** Going back to SINGLE USER mode!'
				/bin/cat /etc/rc2.d/.single_user
				exit \$status
			fi
		fi
	}
fi

if [ \"\${BOOT}\" = \"yes\" -a -d /etc/rc.d ]
then
	for f in \`ls /etc/rc.d\`
	{
		if [ ! -s /etc/init.d/\${f} ]
		then
			/bin/sh /etc/rc.d/\${f} 
		fi
	}
fi

if [ \"\${BOOT}\" = \"yes\" -a \$7 = \"2\" ]
then
	echo 'The system is ready.'
elif [ \$7 = \"2\" ]
then
	echo 'Change to state 2 has been completed.'
fi
" >rc2
fi
