# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: ipc.mk 1.7 89/10/10 $@(#)ipc:/ipcs.mk	1.7"
#	ipcs make file

ROOT =
INC = $(CCS_HDRS)/usr/include
INSDIR = $(ROOT)/bin
LIST = lp
CFLAGS = -s -O
INS = install
FRC =

all: $&	ipcrm ipcs

install:	all
	$(INS) -f $(INSDIR) -m 2555 -u root -g sys ipcs
	$(INS) -f $(INSDIR) -m 555 -u bin -g bin ipcrm

ipcs: 	$(INC)/sys/types.h\
	$(INC)/sys/ipc.h\
	$(INC)/sys/msg.h\
	$(INC)/sys/sem.h\
	$(INC)/sys/shm.h\
	$(INC)/sys/vnode.h\
	$(INC)/sys/dmap.h\
	$(INC)/a.out.h\
	$(INC)/fcntl.h\
	$(INC)/time.h\
	$(INC)/grp.h\
	$(INC)/pwd.h\
	$(INC)/stdio.h\
	ipcs.c
	$(CC) $(CFLAGS) -o ipcs ipcs.c
	
ipcrm:	$(INC)/sys/types.h\
	$(INC)/sys/ipc.h\
	$(INC)/sys/msg.h\
	$(INC)/sys/sem.h\
	$(INC)/sys/shm.h\
	$(INC)/errno.h\
	$(INC)/stdio.h\
	ipcrm.c
	$(CC) $(CFLAGS) -o ipcrm ipcrm.c

nnlist.o: 	$(INC)/stdio.h \
	$(INC)/filehdr.h\
	$(INC)/syms.h\
	$(INC)/ldfcn.h\
	nnlist.c
	$(CC) $(CFLAGS) -c nnlist.c
	
listing:
	pr ipc.mk ipcs.c ipcrm.c nnlist.c | $(LIST)

clean:
	-rm -f *.o

clobber: clean
	rm -f ipcs ipcrm

