# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

# ident "$Header: isastream.mk 1.4 90/01/15 $@(#)Makefile	1.4 89/12/01"

CFLAGS=-O -s
INS=install
INC=$(CCS_HDRS)/usr/include
INSDIR=$(ROOT)/usr/lbin
LIBS=-lgen
FILES=isastream.c ias.c
OBJECTS=isastream.o ias.o

all:	isastream

install : all
	cpset isastream $(INSDIR)

isastream : $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -o isastream $(LIBS)

isastream.o : 	$(INC)/stdio.h \
		$(INC)/fcntl.h \
		$(INC)/stropts.h \
		$(INC)/sys/conf.h

ias.o :		$(INC)/stropts.h \
		$(INC)/errno.h

uninstall:	clean
	rm -f $(INSDIR)/isastream

clean:
	-/bin/rm -f isastream.o

clobber: clean
	-/bin/rm -f isastream isastream.o isa.o
