# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: lex.mk 1.7 89/12/01 $@(#)lex:lex.mk	1.6"
ROOT=
INC=$(CCS_HDRS)/usr/include
TESTDIR = .
UBIN=$(ROOT)/usr/bin
INS = install
CCS =
CFLAGS = -O $(CCS)
INTERNATIONAL = -lw
FRC =
INSDIR =
FILES = main.o sub1.o sub2.o header.o

all: lex

lex:$&	$(FILES) y.tab.o
	$(CC) $(LDFLAGS) $(IFLAG) -s $(FILES) y.tab.o -ly $(INTERNATIONAL) \
	    -o $(TESTDIR)/lex

$(FILES): ldefs.c $(FRC)
main.o:	  once.c $(FRC)
y.tab.c:  parser.y $(FRC)
	  $(YACC) parser.y

test:
	  rtest $(TESTDIR)/lex

install: all
	 $(INS) -n $(UBIN) $(TESTDIR)/lex $(INSDIR)

clean:
	 -rm -f *.o y.tab.c

clobber: clean
	 -rm -f $(TESTDIR)/lex

lint:	main.c sub1.c sub2.c header.c y.tab.c once.c ldefs.c
	lint -p main.c sub1.c sub2.c header.c y.tab.c once.c ldefs.c

FRC:
