/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: cancel.c 1.2 89/10/10 $@(#)nlp:cmd/lpsched/cancel.c	1.2"

#include "lpsched.h"

/**
 ** cancel() - CANCEL A REQUEST
 **/

int			cancel (prs, spool)
	register RSTATUS	*prs;
	int			spool;
{
	if (prs->request->outcome & RS_DONE)
		return (0);

	prs->request->outcome |= RS_CANCELLED;

	if (spool)
		prs->request->outcome |= RS_NOTIFY;

	if (prs->request->outcome & RS_PRINTING)
		terminate (prs->printer->exec);
	else if (prs->request->outcome & RS_FILTERING)
		terminate (prs->exec);
	else if (spool)
		notify (prs, (char *)0, 0, 0, 0);
	else
		check_request (prs);

	return (1);
}
