/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: mclose_ipc.c 1.2 89/10/10 $@(#)nlp:lib/msgs/mclose_ipc.c	1.1"

#include "errno.h"
#include "sys/types.h"
#include "sys/ipc.h"
#include "sys/msg.h"

extern int		Sched_id,
			My_id;

/**
 ** mclose() - CLOSE A MESSAGE PATH THAT USES IPC
 **/

int			mclose ()
{
	char			*msgbuf;

	int			size;


	if (Sched_id == -1) {
		errno = ENXIO;
		return (-1);
	}

	if (msgctl(My_id, IPC_RMID, (struct msqid_ds *)0) == -1) { 
		if (errno == EINVAL)
			errno = EIDRM;
		Sched_id = -1;
		return (-1);
	}

	(void)nudge_sched ();
	Sched_id = -1;

	return (0);
}
