# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: m4.mk 1.7 89/10/10 $@(#)m4:m4.mk	1.4"
#	$Header: m4.mk 1.7 89/10/10 $@(#)m4:m4.mk	1.4
ROOT=
INC=$(CCS_HDRS)/usr/include
UBIN=$(ROOT)/usr/bin
TESTDIR = .
YACCRM=-rm
FRC =
INS = install
INSDIR = $(UBIN)
CFLAGS = -O $(CCS)
CMD	= m4
TARGET	= $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X	= P=x CC=cc "`cat DEFS`"

native		:; $M clean all
nativeccs	:; $M $C clean all
cross		:; $M $X clean all
crossccs	:; $M $X $C clean all
cross crossccs	:  DEFS
everything	:  native nativeccs cross crossccs clean
#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS		:FRC
		  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
			echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
		  else \
			echo "DEF=" >DEFS ; \
		  fi

all: $(TARGET)

$(TARGET):$&	m4.o m4ext.o m4macs.o m4y.o
	$(CC) $(LDFLAGS) -s -o $(TESTDIR)/$@ m4.o m4ext.o m4macs.o m4y.o -ly

m4.o:	m4.c $(FRC)
m4ext.o: m4ext.c $(FRC)
m4macs.o: m4macs.c $(FRC)
m4y.o:	m4y.y $(FRC)

test:
	rtest $(TESTDIR)/m4

install: clean all
	$(INS) -f $(INSDIR) $(TESTDIR)/m4

clean:
	-rm -f *.o
	$(YACCRM) -f y.tab.c 

clobber: clean
	-rm -f $(TESTDIR)/m4 DEFS

FRC:
