#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: man.mk 1.7 89/10/23 $@(#)man:man.mk	1.6"
#	makefile for man command.

ROOT =

DIR = $(ROOT)/usr/bin

LDIR = $(ROOT)/usr/lib

INS = install

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s

CFLAGS = -O

MAINS = man makealiases makewhatis

OBJS =

ALL: $&	$(MAINS)

man:	man.c
	$(CC) $(CFLAGS) -o man man.c $(LDFLAGS)

makealiases:
	cp makealiases.sh makealiases

makewhatis:
	cp makewhatis.sh makewhatis

install:	ALL
	$(INS) -f $(DIR) -m 555 -u bin -g bin man
	rm -f $(DIR)/whatis $(DIR)/apropos
	ln $(DIR)/man $(DIR)/apropos
	ln $(DIR)/man $(DIR)/whatis
	$(INS) -f $(LDIR) -m 555 -u bin -g bin makealiases
	$(INS) -f $(LDIR) -m 555 -u bin -g bin makewhatis

clean:
	rm -f $(OBJS)

clobber:  clean
	rm -f $(OBJS) $(MAINS)
