
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#
#	Copyright (c) 1984 AT&T
#	  All Rights Reserved  
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any   
#	actual or intended publication of such source code.

#ident "$Header: mklanginfo.mk 1.2 90/02/28 $@(#)Makefile	1.2 89/12/01"


BIN=$(ROOT)/usr/lbin
OBJS=	mklanginfo.o
LIBS=-lgen

INC	= $(CCS_HDRS)/usr/include
CFLAGS	= -O $(CCS)
CMD     = mklanginfo
TARGET  = $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS="-DCCS=1 -I/usr/include -I$(INC)" N=ccs
X	= P=x CC=cc "`cat DEFS`" LIBS=

all : clean mklanginfo

crossccs: DEFS ; $M $X $C clean mklanginfo

#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS	:FRC
	  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
		echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
	  else \
		echo "DEF=" >DEFS ; \
	  fi
FRC	:

all:		$(CMD)

uninstall:
	rm -f $(BIN)/mklanginfo

install:	all
	install -f $(BIN) mklanginfo

mklanginfo:	$(OBJS)
	$(CC) $(CFLAGS) -s -o mklanginfo $(OBJS) $(LIBS)

$(OBJS):	$(HDRS)

clobber:
	rm -f *.o mklanginfo core

clean:
	rm -f *.o core DEFS
