# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#ident "$Header: mkmsgs.mk 1.8 90/05/02 $"

LIBS = -lgen
LFLAGS=	-s $(LIBS)
OFILES=	mkmsgs.o

CFLAGS	= -O $(CCS) $(SVAE) $(INC)
CMD     = mkmsgs
TARGET  = $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X       = P=x CC=cc "`cat DEFS`" INC="-I/usr/include -I$(CCS_HDRS)/usr/include"

all:	clean mkmsgs

crossccs        : DEFS
	-if [ -f /dynix ];\
	then\
		$M $X $C SVAE=-DSVAE=1 LIBS= clean mkmsgs;\
	else\
		$M $X $C clean mkmsgs;\
	fi



#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS	:FRC
	  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
		echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
	  else \
		echo "DEF=" >DEFS ; \
	  fi
FRC	:

mkmsgs:	${OFILES}
	$(CC) ${OFILES} -o mkmsgs $(LFLAGS)

install:	all
	install -f $(ROOT)/usr/bin -m 0555 -u bin -g bin mkmsgs

lint:
	$(LINT) mkmsgs.c

clean:
	/bin/rm -f ${OFILES} DEFS

clobber:	clean
	/bin/rm -f ./mkmsgs
