#	Copyright (c) 1988 AT&T
#	  All Rights Reserved
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.
#

#ident	"$Header: nl.mk 1.2 89/11/20 $@(#)nl:nl.mk	1.10"
#	nl make file

ROOT =
OL = $(ROOT)/
SL = $(ROOT)/usr/src/cmd
RDIR = $(SL)
INS = :
REL = current
LIST = lp
INSDIR = $(OL)usr/bin
IFLAG = -n
LDFLAGS = -s $(IFLAG)
LIBDIR = -lgen
CFLAGS = -O $(FFLAG)
SOURCE = nl.c
MAKE = make

compile all: nl
	:

nl: nl.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o nl nl.c $(LIBDIR)
	$(INS) $(INSDIR) nl

install:
	$(MAKE) -f nl.mk INS="install -f" OL=$(OL)

build:	bldmk
	get -p -r`gsid nl $(REL)` s.nl.c $(REWIRE) > $(RDIR)/nl.c
bldmk:  ;  get -p -r`gsid nl.mk $(REL)` s.nl.mk > $(RDIR)/nl.mk

listing:
	pr nl.mk $(SOURCE) | $(LIST)
listmk: ;  pr nl.mk | $(LIST)

edit:
	get -e s.nl.c

delta:
	delta s.nl.c
	rm -f $(SOURCE)

mkedit:  ;  get -e s.nl.mk
mkdelta: ;  delta s.nl.mk

clean:
	  :

clobber:  clean
	  rm -f nl

delete:	clobber
	rm -f $(SOURCE)
