# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: prof.mk 1.5 89/10/10 $@(#)prof.mk	1.3"
#
#
ROOT	=
VERSION	=
UBINDIR	= $(ROOT)/usr/bin
USRINC	= $(CCS_HDRS)/usr/include
LDFLAGS = -s
CFLAGS	= -O `if i286; then echo "-Ml"; fi`

all:	prof.o
	if pdp11; then \
		$(CC) $(CFLAGS) $(LDFLAGS) prof.o -o prof; \
	else \
		$(CC) $(FFLAG) $(CFLAGS) $(LDFLAGS) prof.o -lld -o prof; \
	fi

prof.o:
	$(CC) -c $(FFLAG) $(CFLAGS) prof.c; 

prof:	all $(USRINC)/stdio.h $(USRINC)/a.out.h $(USRINC)/sys/types.h \
	$(USRINC)/sys/param.h $(USRINC)/mon.h

install:	prof
	cp prof $(UBINDIR)/prof
	$(CH) chmod 555 $(UBINDIR)/prof
	$(CH) chgrp bin $(UBINDIR)/prof
	$(CH) chown bin $(UBINDIR)/prof

clean:
	rm -f prof.o

clobber: clean
	rm -f prof
