/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: pwd.c 1.5 89/11/15 $@(#)pwd:pwd.c	1.11"
/*
**	Print working (current) directory
*/

/*
 * Modified to no longer do the work in this routine.  It now
 * uses the library routine to figure out the directory path.
 *
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */


#include	<stdio.h>
#include	<dirent.h>
#include	<sys/types.h>
#include	<sys/stat.h>

char	name[MAXNAMLEN+2];

char *getcwd();

main()
{
	struct stat sb;

	if (getcwd(name, MAXNAMLEN+2) == (char *) NULL) {
		if (stat(".", &sb) < 0)
			fprintf(stderr,
				gettxt("pwd:1","pwd: cannot stat .!\n"));
		else
			perror(gettxt("pwd:6","pwd"));
		exit(2);
	} else {
		printf("%s\n", name);
		exit(0);
	}
}

