/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: check.h 1.2 89/10/10 $@(#)sadmin:check/check.h	1.4"
/*
	global variables for chk* commands
*/

enum	mode {
	YESNO,
	LIST,
	REGEX,
	REGEXR,
	ARITH,
	CMD
};

extern int	anychar;	/* flag to permit non-printing and non-ASCII
				characters input */
extern char	*defaultstr;	/* default value returned for empty input */
extern int	echo;		/* flag for printing of answer */
extern int	errcode;	/* error exit code */
extern int	esc;		/* flag to allow escape to shell */
extern char	*helpstr;	/* this string gives help */
extern char	*helpmsg;	/* this string is help message */
extern char	*killpid;	/* kill this process ID upon quit */
extern char	*quitname;	/* what the quit string is called */
extern char	*quitstr;	/* this string causes a quit */
extern int	trimspace;	/* flag to trim white space from begining and
				end of input */
extern char	*usagestr;	/* custom part of the usage message */

#define	CYCLEDEF	25
#define	LINELEN		74
#define	MAXLINE		256
#define	MAXTEST		10
