# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: sed.mk 1.6 89/11/27 $@(#)sed:sed.mk	1.9"
#	sed make file

ROOT =
OL = $(ROOT)/
SL = $(ROOT)/usr/src/cmd
RDIR = $(SL)/sed
INS = :
REL = current
CSID = -r`gsid sed $(REL)`
MKSID = -r`gsid sed.mk $(REL)`
LIST = lp
INSDIR = $(OL)bin
IFLAG = -n
B10 =
CFLAGS = -O $(B10)
LDFLAGS = -s -lgen -lw $(IFLAG)
SOURCE = sed.h sed0.c sed1.c
FILES = sed0.o sed1.o
MAKE = make

compile all: sed

sed: $&	$(FILES)
	$(CC) $(CFLAGS) -o sed $(FILES) $(LDLIBS) $(LDFLAGS); \
	$(INS) $(INSDIR) sed

$(FILES):  sed.h

install:
	$(MAKE) -f sed.mk INS="install -f" OL=$(OL)

build:	bldmk
	get -p $(CSID) s.sed.src $(REWIRE) | ntar -d $(RDIR) -g
bldmk:  ;  get -p $(MKSID) s.sed.mk > $(RDIR)/sed.mk

listing:
	pr sed.mk $(SOURCE) | $(LIST)
listmk: ;  pr sed.mk | $(LIST)

edit:
	get -e -p s.sed.src | ntar -g

delta:
	ntar -p $(SOURCE) > sed.src
	delta s.sed.src
	rm -f $(SOURCE)

mkedit:  ;  get -e s.sed.mk
mkdelta: ;  delta s.sed.mk

clean:
	  rm -f $(FILES)

clobber:  clean
	  rm -f sed

delete:	clobber
	rm -f $(SOURCE)
