/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred. */
/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: header.h 1.1 90/01/11 $ @(#)setterm:header.h 1.1 87/09/07 AT&T-UP"

/*
 * header.h	SETTERM header file.
 */

/*
 * Error codes for use by "fatal()".
 */

#define USAGE		1
#define NO_INFO		2
#define NO_XT		3
#define TC_FAIL		4
#define NO_SXT		5
#define NOT_TTY		6
#define BAD_COM		7
#define NO_CONF		8
#define BAD_PUSH	9
#define BAD_IF		10
#define BAD_SET		11
#define BAD_TEST	12
#define BAD_RUN		13
#define BAD_SEL		14
#define DOUBLET		15

#define NO_MATCH	17
#define NO_EXEC		18
#define NO_FORK		19
#define NO_DEVT		20

#ifndef TRUE
#define TRUE	1
#define FALSE	0
#endif

#define MAXS	30	/* max number of items in select list */

/*
 * Command definitions
 */

#define CMD_SET		0
#define CMD_POP		1
#define CMD_POPALL	2
#define CMD_PUSH	3
#define CMD_IF		4
#define CMD_TEST	5
#define CMD_RUN		6
#define CMD_SEL		7
#define CMD_THROW	8
#define CMD_CATCH	9
#define CMD_POPTO	10

struct cmd {			/* command string structure */
	short comtype;
	char  action[2048];
};

struct sel {			/* select list structure */
	char *sel_test;
	char *sel_val;
};
