#
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#

#ident	$Header: tar.mk 1.5 90/01/23 $

#	Makefile for tar

ROOT =

DIR = $(ROOT)/bin

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s -lseq -lgen $(LDLIBS)

CFLAGS = -O 

STRIP = strip

SIZE = size

#top#

MAKEFILE = tar.mk

MAINS = tar otar

OBJECTS =  tar.o

SOURCES =  tar.c

ALL:		$(MAINS)

tar:	tar.c
	$(CC) $(CFLAGS) -o tar tar.c $(LDFLAGS)

otar:	tar.c
	$(CC) $(CFLAGS) -DATT_TAR -o otar tar.c $(LDFLAGS)

clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)

newmakefile:
	makefile -m -f $(MAKEFILE)  -s INC $(INC)
#bottom#

all : ALL

install: ALL
	cpset tar  $(DIR)
	cpset otar $(DIR)

size: ALL
	$(SIZE) $(MAINS)

strip: ALL
	$(STRIP) $(MAINS)

