#
# $Copyright:	$
#Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
#Sequent Computer Systems, Inc.   All rights reserved.
# 
#This software is furnished under a license and may be used
#only in accordance with the terms of that license and with the
#inclusion of the above copyright notice.   This software may not
#be provided or otherwise made available to, or used by, any
#other person.  No title to or ownership of the software is
#hereby transferred.

#ident	"$Header: ttydevname.mk 1.4 89/03/29 $"

#	Makefile for ttydevname

ROOT =
DIR = $(ROOT)/bin
INC = $(CCS_HDRS)/usr/include
INCSYS = $(CCS_HDRS)/usr/include/sys

LDFLAGS = -s $(LDLIBS)
CFLAGS = -O
LDLIBS =
# to install when not privileged
# set $(CH) in the environment to #

MAINS = ttydevname
OBJECTS =  ttydevname.o
SOURCES =  ttydevname.c

all: $(MAINS)

install: all
	cp $(MAINS) $(DIR)
	chmod 555 $(DIR)/$(MAINS)
	$(CH)chgrp bin $(DIR)/$(MAINS)
	$(CH)chown bin $(DIR)/$(MAINS)

ttydevname:	ttydevname.o
	$(CC) $(CFLAGS) -o ttydevname ttydevname.o $(LDFLAGS)

ttydevname.o:  $(INC)/stdio.h \
	$(INCSYS)/types.h \
	$(INCSYS)/sysmacros.h

clean:
	rm -f $(OBJECTS)

clobber: clean
	rm -f $(MAINS)
