# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: oeu.mk 1.2 89/10/10 $@(#)vm:oeu/oeu.mk	1.1"
#

INC=$(CCS_HDRS)/usr/include
USRLIB=$(CCS_LIBS)/usr/lib
LIBRARY=liboeu.a
HEADER1=../inc
INCLUDEDIR=	-I$(HEADER1)
DEFS=	-DJUSTCHECK

AR=		ar
CFLAGS=		-O


OBJECTS=	oeu.o oeucheck.o oeupack.o rm_atob.o genparse.o

$(LIBRARY): $& $(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

oeupack.o:	oeupack.c $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/io.h $(HEADER1)/tsys.h $(HEADER1)/io.h $(HEADER1)/typetab.h $(HEADER1)/obj.h $(HEADER1)/retcds.h $(HEADER1)/parse.h $(HEADER1)/smdef.h $(HEADER1)/mail.h $(HEADER1)/partabdefs.h $(HEADER1)/terror.h $(HEADER1)/mio.h $(HEADER1)/mess.h

oeucheck.o:	oeu.c $(HEADER1)/tsys.h $(HEADER1)/io.h $(HEADER1)/retcds.h $(HEADER1)/parse.h $(HEADER1)/smdef.h $(HEADER1)/typetab.h $(HEADER1)/mail.h $(HEADER1)/partabdefs.h $(HEADER1)/terror.h
		cp oeu.c oeucheck.c ; \
		$(CC) -c $(CFLAGS) $(INCLUDEDIR) $(DEFS) oeucheck.c


oeu.o:	oeu.c $(HEADER1)/tsys.h $(HEADER1)/io.h $(HEADER1)/retcds.h $(HEADER1)/parse.h $(HEADER1)/smdef.h $(HEADER1)/typetab.h $(HEADER1)/mail.h $(HEADER1)/partabdefs.h $(HEADER1)/terror.h

genparse.o:	genparse.c $(HEADER1)/tsys.h $(HEADER1)/io.h $(HEADER1)/retcds.h $(HEADER1)/parse.h $(HEADER1)/smdef.h $(HEADER1)/typetab.h $(HEADER1)/mail.h $(HEADER1)/terror.h $(HEADER1)/moremacros.h

rm_atob.o:	rm_atob.c

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<

###### Standard makefile targets ######
all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
