# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: oh.mk 1.2 89/10/10 $@(#)vm:oh/oh.mk	1.1"
#


INC=$(CCS_HDRS)/usr/include
USRLIB=$(CCS_LIBS)/usr/lib
LIBRARY=liboh.a
HEADER1=../inc
INCLUDEDIR= -I$(HEADER1)
DFLAGS=	-DWISH
CFLAGS=	-O
AR=	ar


OBJECTS=	externoot.o misc.o nextpart.o obj_to_par.o ootpart.o \
		partab.o partabfunc.o suffuncs.o

$(LIBRARY): $&	$(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

externoot.o: 	externoot.c $(HEADER1)/tsys.h

misc.o: 	misc.c $(HEADER1)/tsys.h $(HEADER1)/moremacros.h

nextpart.o: nextpart.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

obj_to_par.o: 	obj_to_par.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/optabdefs.h

ootpart.o:	ootpart.c $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/mess.h

partab.o:	partab.c $(HEADER1)/tsys.h $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h 

partabfunc.o:	partabfunc.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

suffuncs.o: suffuncs.c

.c.o:
	$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDEDIR) $<

###### Standard makefile targets #####

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
