/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: varcreate.c 1.2 89/10/10 $@(#)vm:sys/varcreate.c	1.1"

#include	<stdio.h>
#include	"wish.h"
#include	"var_arrays.h"


/*
 * create a new v_array with space in it for "num" elements of size "size"
 * (but the array is empty - must use array_grow or array append to fill it)
 */
struct v_array *
array_create(size, num)
unsigned	size;
unsigned	num;
{
	register unsigned	realsize;
	register unsigned	initstep;
	register struct v_array	*ptr;

	realsize = size * num + sizeof(struct v_array);
	initstep = num / 10;
	if (initstep < 2)
		initstep = 2;
	if ((ptr = (struct v_array *)malloc(realsize)) == NULL)
		return NULL;
	ptr->tot_used = 0;
	ptr->tot_left = num;
	ptr->ele_size = size;
	ptr->step_size = initstep;
	return v_body(ptr);
}
