# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: yacc.mk 1.6 89/10/10 $@(#)yacc:yacc.mk	1.5"
ROOT=
INC=$(CCS_HDRS)/usr/include
UBIN=$(ROOT)/usr/bin
ULIB=$(ROOT)/usr/lib
CC=cc
CFLAGS=-O $(CCS)
TESTDIR = .
FRC =
INS = install
INSDIR =
OFILES = y1.o y2.o y3.o y4.o
CMD	= yacc
TARGET	= $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X	= P=x CC=cc "`cat DEFS`"

native		:; $M clean all
nativeccs	:; $M $C clean all
cross		:; $M $X clean all
crossccs	:; $M $X $C clean all
cross crossccs	:  DEFS
everything	:  native nativeccs cross crossccs clean
#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS		:FRC
		  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
			echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
		  else \
			echo "DEF=" >DEFS ; \
		  fi

all: $(TARGET)

$(TARGET):$&	$(OFILES)
	$(CC) $(LDFLAGS) $(IFLAG) -s -o $(TESTDIR)/$@ $(OFILES)

$(OFILES): dextern files $(FRC)

test:
	   rtest $(TESTDIR)/yacc

install:   clean all
	   $(INS) -n $(UBIN) $(TESTDIR)/yacc $(INSDIR)
	   $(INS) -u root -g root -m 444 -n $(ULIB) $(TESTDIR)/yaccpar

clean:
	   -rm -f $(OFILES)

clobber:   clean
	   -rm -f $(TESTDIR)/yacc DEFS

FRC:
