/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

#ident	"$Header: ctype.h 1.11 90/06/24 $@(#)head:ctype.h	1.9"

#ifndef	_CTYPE_H_
/*	3.0 SID #	1.2	*/
#define	_U	01	/* Upper case */
#define	_L	02	/* Lower case */
#define	_N	04	/* Numeral (digit) */
#define	_S	010	/* Spacing character */
#define	_P	020	/* Punctuation */
#define	_C	040	/* Control character */
#define	_B	0100	/* Blank */
#define	_X	0200	/* heXadecimal digit */

#ifndef lint
extern unsigned char	_ctype[];

#define	isalpha(c)	((_ctype + 1)[(c) & 0xff] & (_U | _L))
#define	isupper(c)	((_ctype + 1)[(c) & 0xff] & _U)
#define	islower(c)	((_ctype + 1)[(c) & 0xff] & _L)
#define	isdigit(c)	((_ctype + 1)[(c) & 0xff] & _N)
#define	isxdigit(c)	((_ctype + 1)[(c) & 0xff] & _X)
#define	isalnum(c)	((_ctype + 1)[(c) & 0xff] & (_U | _L | _N))
#define	isspace(c)	((_ctype + 1)[(c) & 0xff] & _S)
#define	ispunct(c)	((_ctype + 1)[(c) & 0xff] & _P)
#define	isprint(c)	((_ctype + 1)[(c) & 0xff] & (_P | _U | _L | _N | _B))
#define	isgraph(c)	((_ctype + 1)[(c) & 0xff] & (_P | _U | _L | _N))
#define	iscntrl(c)	((_ctype + 1)[(c) & 0xff] & _C)
#define	isascii(c)	(!((c) & ~0177))
#define	_toupper(c)     ((_ctype + 258)[(c) & 0xff])
#define	_tolower(c)	((_ctype + 258)[(c) & 0xff])
#define	toascii(c)	((c) & 0177)

#ifndef NO_XPG3_HDR
extern int toupper();
extern int tolower();
#endif	/* NO_XPG3_HDR */

#endif /* lint */

#define	_CTYPE_H_
#endif	/* _CTYPE_H_ */
