/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: grp.h 1.6 89/10/10 $@(#)head:grp.h	1.3"

#ifndef	_GRP_H_

#include <sys/types.h>

/* ____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section  *
 * 9.2.1.2 of 1003.1-1988 which should be refered to before making any *
 * changes.                                                	       *
 *_____________________________________________________________________*/

/*	3.0 SID #	1.1	*/
struct	group {	/* see getgrent(3) */
	char	*gr_name;
	char	*gr_passwd;
	gid_t	gr_gid;
	char	**gr_mem;
};

extern struct group *getgrgid();
extern struct group *getgrnam();
extern struct group *getgrent();
extern struct group *fgetgrent();

#define	_GRP_H_
#endif	/*_GRP_H_*/

