/*	$Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#ident "$Header: sysseq.s 1.21 90/05/02 $"

/*
 *	Include file for assembler system call libraries in libseq.  Assumes
 *	that "sys.s" has already been included.
 */

/*
 *	Definitions of Sequent-specific System Call Entry Point Numbers
 */

#define	SYS_cust0		0
#define	SYS_cust1		1
#define	SYS_cust2		2
#define	SYS_cust3		3
#define	SYS_cust4		4
#define	SYS_cust5		5
#define	SYS_cust6		6
#define	SYS_cust7		7
#define	SYS_cust8		8
#define	SYS_cust9		9
#define SYS_getpagesize		10
#define	SYS_mmap		11
#define	SYS_munmap		12
#define	SYS_mptrace		13
#define	SYS_proc_ctl		14
#define	SYS_vm_ctl		15
#define	SYS_tmp_ctl		16
#define	SYS_tmp_affinity	17
#define	SYS_sigclean		18
#define SYS_getdtablesize	19
#define SYS_setdtablesize	20
#define SYS_bdflush		21
#define SYS_get_process_stats	22
#define SYS_symlink		23
#define SYS_readlink		24
#define SYS_lstat		25
#define SYS_truncate		26
#define SYS_ftruncate		27
#define SYS_readv		28
#define SYS_writev		29
#define SYS_sigstack		30
#define SYS_quotactl		31
#define SYS_sigcontext		32
#define SYS_setgroups		33
#define SYS_vfork		34
#define SYS_fvhangup		35
#define	SYS_shfork		36
#define	SYS_shvfork		37
#define	SYS_getitimer		38
#define	SYS_setitimer		39
#define	SYS_DirectRead		40
#define	SYS_DirectWrite		41
#define SYS_tmp_affinitypid	42
#define SYS_adjtime		43
#define SYS_DIO			44
/*
 *	Table number for Sequent-specific system calls
 */

#undef	SYS_TYP
#define	SYS_TYP	2
