# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#ident	"@(#)lib:libmk.template	1.4"
#	Template for Global Library Makefile
#
#
LIB=$(ROOT)/lib
USRLIB=$(ROOT)/usr/lib
LIBP=$(ROOT)/usr/lib/libp
SHLIB=$(ROOT)/shlib
LIBLIST=*
MAKE=make
SGS=

all:
	for i in $(LIBLIST); \
	do \
	   if [ -d $$i ]; \
	   then \
	   	cd $$i; $(MAKE) -f $$i.mk; cd ..; \
	   fi \
	done

install:
	for i in $(LIBLIST); \
	do \
	   if [ -d $$i ]; \
	   then \
	   	cd $$i; \
	   	$(MAKE) -f $$i.mk LIB=$(LIB) LIBP=$(LIBP) USRLIB=$(USRLIB) SGS=$(SGS) SHLIB=$(SHLIB) install; \
	   	cd ..; \
	   fi \
	done

clean:
	for i in $(LIBLIST); \
	do \
	   if [ -d $$i ]; \
	   then \
	   	cd $$i; $(MAKE) -f $$i.mk clean; cd ..; \
	   fi \
	done

clobber:
	for i in $(LIBLIST); \
	do \
	   if [ -d $$i ]; \
	   then \
	   	cd $$i; $(MAKE) -f $$i.mk clobber; cd ..; \
	   fi \
	done
