/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident  "@(#)$Header: fpsetround.c 1.3 89/10/10 $"

#include <ieeefp.h>
#include "fp.h"

#if !i387
fp_rnd
fpsetround(newrnd)
fp_rnd newrnd;
{
	struct _pcr1167 pcr;
	fp_rnd oldrnd;

	_getpcr(&pcr);
	oldrnd = ((fp_rnd)(pcr.rnd | (pcr.irnd<<2)));
	pcr.rnd = newrnd&0x3;
	pcr.irnd = (newrnd & FP_IRND)>>2;
	_putpcr(pcr);
	return oldrnd;
}
#else
fp_rnd
fpsetround(newrnd)
fp_rnd newrnd;
{
	struct _cw87 cw;
	fp_rnd oldrnd;

	_getcw(&cw);
	oldrnd = (fp_rnd)cw.rnd;
	cw.rnd = newrnd;
	_putcw(cw);
	return oldrnd;
}
#endif
