/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: errlst.c 1.8 90/03/19 $"
/*LINTLIBRARY*/
char	*sys_errlist[] = {
	"Error 0",
	"Not owner",
	"No such file or directory",
	"No such process",
	"Interrupted system call",
	"I/O error",
	"No such device or address",
	"Arg list too long",
	"Exec format error",
	"Bad file number",
	"No child processes",
	"No more processes",
	"Not enough space",
	"Permission denied",
	"Bad address",
	"Block device required",
	"Device busy",
	"File exists",
	"Cross-device link",
	"No such device",
	"Not a directory",
	"Is a directory",
	"Invalid argument",
	"File table overflow",
	"Too many open files",
	"Not a typewriter",
	"Text file busy",
	"File too large",
	"No space left on device",
	"Illegal seek",
	"Read-only file system",
	"Too many links",
	"Broken pipe",
	"Argument out of domain",
	"Result too large",
	"No message of desired type",
	"Identifier removed",
	"Channel number out of range",
	"Level 2 not synchronized",
	"Level 3 halted",
	"Level 3 reset",
	"Link number out of range",
	"Protocol driver not attached",
	"No CSI structure available",
	"Level 2 halted",
	"Deadlock situation detected/avoided",
	"No record locks available",
	"Error 47",
	"Error 48",
	"Error 49",
	"Bad exchange descriptor",		/* 50 */
	"Bad request descriptor",		/* 51 */
	"Message tables full",			/* 52 */
	"Anode table overflow",			/* 53 */
	"Bad request code",			/* 54 */
	"Invalid slot",				/* 55 */
	"File locking deadlock",		/* 56 */
	"Bad font file format",			/* 57 */
	"Error 58",
	"Error 59",
	"Not a stream device",			/* 60 */
	"No data available",
	"Timer expired",
	"Out of stream resources",
	"Machine is not on the network",
	"Package not installed",
	"Object is remote",
	"Link has been severed",
	"Advertise error",
	"Srmount error",
	"Communication error on send",		/* 70 */
	"Protocol error",
	"Error 72",
	"Error 73",
	"Multihop attempted",
	"Error 75",
	"Error 76",
	"Not a data message",			/* 77 */
	"Error 78",
	"Error 79",
	"Name not unique on network",
	"File descriptor in bad state",
	"Remote address changed",
	"Can not access a needed shared library",	/* 83 */
	"Accessing a corrupted shared library",
	".lib section in a.out corrupted",
	"Attempting to link in more shared libraries than system limit",
	"Can not exec a shared library directly",
	"Filename too long",				/* 88 */
	"Too many levels of symbolic links",		/* 89 */
	"Disc quota exceeded",				/* 90 */
	"Function not implemented",			/* 91 */
	"Directory not empty",				/* 92 */

	"Network error",				/* 93 */

	"Operation would block",		/* 94 - EWOULDBLOCK */
	"Operation now in progress",		/* 95 - EINPROGRESS */
	"Operation already in progress",	/* 96 - EALREADY */

	"Socket operation on non-socket",	/* 97 - ENOTSOCK */
	"Destination address required",		/* 98 - EDESTADDRREQ */
	"Message too long",			/* 99 - EMSGSIZE */
	"Protocol wrong type for socket",	/* 100 - EPROTOTYPE */
	"Option not supported by protocol",	/* 101 - ENOPROTOOPT */
	"Protocol not supported",		/* 102 - EPROTONOSUPPORT */
	"Socket type not supported",		/* 103 - ESOCKTNOSUPPORT */
	"Operation not supported on socket",	/* 104 - EOPNOTSUPP */
	"Protocol family not supported",	/* 105 - EPFNOSUPPORT */
	"Address family not supported by protocol family",
						/* 106 - EAFNOSUPPORT */
	"Address already in use",		/* 107 - EADDRINUSE */
	"Can't assign requested address",	/* 108 - EADDRNOTAVAIL */

	"Network is down",			/* 109 - ENETDOWN */
	"Network is unreachable",		/* 110 - ENETUNREACH */
	"Network dropped connection on reset",	/* 111 - ENETRESET */
	"Software caused connection abort",	/* 112 - ECONNABORTED */
	"Connection reset by peer",		/* 113 - ECONNRESET */
	"No buffer space available",		/* 114 - ENOBUFS */
	"Socket is already connected",		/* 115 - EISCONN */
	"Socket is not connected",		/* 116 - ENOTCONN */
	"Can't send after socket shutdown",	/* 117 - ESHUTDOWN */
	"Too many references: can't splice",	/* 118 - ETOOMANYREFS */
	"Connection timed out",			/* 119 - ETIMEDOUT */
	"Connection refused",			/* 120 - EREFUSED */

	"Host is down",				/* 121 - EHOSTDOWN */
	"Host is unreachable",			/* 122 - EHOSTUNREACH */

/* Network File System: */
	"Stale NFS file handle",		/* 123 - ESTALE */

/* B1 trusted system */
	"Bad Access Control List encountered",	/* 124 - EBADACL */
	"Invalid MAC Label encountered",	/* 125 - EINVMLBL */
	"Not a Multi Label File System",	/* 126 - ESINGL */

/* MNLS */
	"Illegal byte sequence"			/* 127 - EILSEQ */
};
int	sys_nerr = { sizeof(sys_errlist)/sizeof(sys_errlist[0]) };

