/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: remove.c 1.4 90/05/16 $"

/*______________________________________________________________________*
 * This file forms part of the POSIX requirement described in section   *
 * 8.1 of 1003.1-1988 which should be referred to before making any     *
 * changes.							        *
 *______________________________________________________________________*/

#include <sys/types.h>
#include <sys/stat.h>

int
remove(path)
char *path;
{
	struct stat statb;

	if (-1 == stat(path, & statb)) {
		return -1;
	}
	if (S_ISDIR(statb.st_mode))
		return (rmdir(path));
	return (unlink(path));
}
