/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: _init_locale.c 1.3 90/05/21 $@(#)libc-port:locale/_init_locale.c 1.0 AT&T-UP"


/*
* _init_locale - initialize to native locale == setlocale(LC_ALL, "")
*/
#include <locale.h>
#include "_locale.h"
#include <string.h>

extern 	int errno;

void
_init_locale()
{
	register int cat = LC_CTYPE;
	register char *loc;
	do
	{
		loc = _nativeloc(cat);
		if (cat <= LC_NUMERIC) {
			if(loc[0] != 'C' && loc[1] != '\0')
				(void)_set_tab(loc, cat);
		}
		(void)strcpy(_cur_locale[cat], loc);
	} while (++cat < LC_MAX);
	errno = 0;	/* errno should be set by initial value ZERO	*/
			/* If _set_tab() is failed by locale processing,
			 * errno is set to non-zero value.
			 */
}
