/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/


#ident	"$Header: cgetwidth.c 1.2 90/04/21 $@(#)libw-port:wstdio/xgetwidth.c	1.0"

/*
 * _Xgetwidth calls _getwidth to get the values of environment variables
 * CSWIDTH, SCRWIDTH and PCWIDTH, and checks the values to fit C process
 * environment. This function is called only once in a program.
 */

#include <euc.h>
extern void _getwidth();
extern short cswidth[],
             _scrwidth[];

void
cgetwidth()
{
	eucwidth_t _eucwidth;

	_getwidth(&_eucwidth);

	cswidth[0] = _eucwidth._eucw1;
	cswidth[1] = _eucwidth._eucw2;
	cswidth[2] = _eucwidth._eucw3;
	_scrwidth[0] = _eucwidth._scrw1;
	_scrwidth[1] = _eucwidth._scrw2;
	_scrwidth[2] = _eucwidth._scrw3;
}
