/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: touchline.c 1.3 89/10/10 $@(#)curses:screen/touchline.c	1.1"
# include	"curses.ext"

/*
 * make it look like a few lines in the window have been changed.
 */
touchline(win, firstline, numlines)
register WINDOW	*win;
int firstline, numlines;
{
	register int	y, maxy, maxx;

#ifdef DEBUG
	if (outf) fprintf(outf, "touchline(%x,%d,%d)\n", win, firstline, numlines);
#endif
	maxy = firstline+numlines;
	if (win->_maxy < maxy)
	    maxy = win->_maxy;
	maxx = win->_maxx - 1;
	for (y = firstline; y < maxy; y++) {
		win->_firstch[y] = 0;
		win->_lastch[y] = maxx;
	}
	win->_flags |= _WINCHANGED;
}
