# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: libg.mk 1.4 89/10/10 $@(#)libg:libg.mk	1.13"
# machine independent libg.mk

ROOT=
LIB=$(ROOT)/lib
USRLIB=$(ROOT)/usr/lib

all:
	@if vax; then							\
		cd vax;					\
		$(MAKE) -f libg.mk all ROOT=$(ROOT);			\
	elif u3b; then							\
		cd u3b;					\
		$(MAKE) -f libg.mk all ROOT=$(ROOT);			\
	elif u3b15 || u3b5 || u3b2; then							\
		cd m32;					\
		$(MAKE) -f libg.mk all ROOT=$(ROOT);			\
	elif i386; then							\
		cd i386;					\
		$(MAKE) -f libg.mk all ROOT=$(ROOT);			\
	fi;

install:	all
	@if vax; then							\
		cd vax;					\
		$(MAKE) -f libg.mk install ROOT=$(ROOT);		\
	elif u3b; then							\
		cd u3b;					\
		$(MAKE) -f libg.mk install ROOT=$(ROOT);		\
	elif u3b15 || u3b5 || u3b2; then						\
		cd m32;					\
		$(MAKE) -f libg.mk LIB=$(LIB) USRLIB=$(USRLIB) install ROOT=$(ROOT);	\
	elif i386; then						\
		cd i386;					\
		$(MAKE) -f libg.mk LIB=$(LIB) USRLIB=$(USRLIB) install ROOT=$(ROOT);	\
	fi;

clean:
	@if vax; then							\
		cd vax;					\
		$(MAKE) -f libg.mk clean ROOT=$(ROOT);			\
	elif u3b; then							\
		cd u3b;					\
		$(MAKE) -f libg.mk clean ROOT=$(ROOT);			\
	elif u3b15 || u3b5 || u3b2; then							\
		cd m32;					\
		$(MAKE) -f libg.mk clean ROOT=$(ROOT);			\
	elif i386; then							\
		cd i386;					\
		$(MAKE) -f libg.mk clean ROOT=$(ROOT);			\
	fi;

clobber:
	@if vax; then							\
		cd vax;					\
		$(MAKE) -f libg.mk clobber ROOT=$(ROOT);		\
	elif u3b; then							\
		cd u3b;					\
		$(MAKE) -f libg.mk clobber ROOT=$(ROOT);		\
	elif u3b15 || u3b5 || u3b2; then							\
		cd m32;					\
		$(MAKE) -f libg.mk clobber ROOT=$(ROOT);		\
	elif i386; then							\
		cd i386;					\
		$(MAKE) -f libg.mk clobber ROOT=$(ROOT);		\
	fi;
