/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: catgets.c 1.3 90/05/20 $@(#)catgets.c	1.1 89/12/01"

#include <stdio.h>
#include <nl_types.h>
#include "nl_type2.h"

char *
catgets(catd, set_num, msg_num, s)
  nl_catd catd;
  int set_num, msg_num;
  char *s;
{
  char *msg;
  
  /*
   * Get message
   */  
  switch(catd->catd_type) {
	case SHARED_LIBRARY:
	case MALLOC:
  		if ((msg = cat_get_msg(catd, set_num, msg_num, (char *)0, 0)) == (char *)0)
    			return s;

		return msg;

	default:
		return s;
	}
}
