# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved  
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any   
#	actual or intended publication of such source code.

#ident "$Header: libintl.mk 1.7 90/09/06 $@(#)Makefile	1.8 89/12/01"

INC=$(ROOT)/usr/include
LIB=$(ROOT)/lib
LIBNAME=libintl.a
AR=ar
CFLAGS=-O -I$(INC) -DLIB_INCLUDE

FILES= catopen.o cat_build.o catclose.o form_lang.o nl_ctime.o \
       nl_init.o nl_printf.o nl_scanf.o nl_strcmp.o nllang.o   \
       xstr.o catgetmsg.o catgets.o cat_get.o

all:	$(LIBNAME)

$(LIBNAME):	$& $(FILES)
	$(AR) rv $(LIBNAME) $(FILES)

install:	all 
	install -m 555 -u bin -g bin -f $(LIB) xscrt.m
	install -m 444 -u bin -g bin -f $(LIB) $(LIBNAME)
	install -m 555 -u bin -g bin -f $(LIB) xsconf
	(cd noxs; $(MAKE) ROOT=$(ROOT) install); 
clean:
	rm -f *.o core

clobber:
	rm -f *.o $(LIBNAME) core

