/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1987 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: nl_init.c 1.2 90/05/20 $@(#)nl_init.c	1.3 89/12/01"

/*
 * nl_init -- initialise internationalisation operation
 *
 * SYNOPSIS:
 *	nl_init(lang)
 *	char *lang;
 *
 * DESCRIPTION:
 *	This function is found in the X/OPEN guide, section on nl_init(3C).
 *
 * RETURN:
 *	0   if successful
 *	-1   otherwise
 */


#include <locale.h>
#include <stdio.h>

nl_init(lang)
char *lang;
{
	if(setlocale(LC_ALL,lang) == NULL)
		return(-1);

	return(0);
}

