# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)libmalloc:libmalloc.mk	1.18"
#
# makefile for libmalloc
#

ROOT=
AR=ar
MAKE=make
CC=cc
CFLAGS=-O
ENV=
INC= $(CCS_HDRS)/usr/include
LIB=$(ROOT)/lib
USRLIB= $(ROOT)/usr/lib
VARIANT =
LIBNAME = lib$(VARIANT)malloc.a
LINTLIB = llib-lmalloc.ln
LIBP= $(ROOT)/usr/lib/libp
LINT=lint
LINTFLAGS=-u
OBJECTS=malloc.o
#variables used to build lint library in 5.0 compatible mode
LINT1=/usr/lib/lint1
LINT2=/usr/lib/lint2
TMPDIR=/usr/tmp
FRC=

all: $(LIBNAME) profiledlib $(LINTLIB)

$(LIBNAME): $& $(OBJECTS)
	-rm -f $(LIBNAME)
	$(AR) r $(LIBNAME) $(OBJECTS)
	-rm -f $(OBJECTS)

malloc.o: $(INC)/malloc.h mallint.h

#*****************************************************************************
#           code as in lint.sh to implement -c option
#		on pre SVR2 systems
#*****************************************************************************
$(LINTLIB):  llib-lmalloc $(LINT1) $(FRC)
	$(CC) -E -C -Dlint llib-lmalloc | \
		$(LINT1) -vx -H$(TMPDIR)/hlint > $(LINTLIB)

profiledlib:
	$(MAKE) -f libmalloc.mk -e libp.$(LIBNAME) LIBNAME=libp.$(LIBNAME) \
							CFLAGS="-p $(CFLAGS)"

install: all
	@if [ ! -d $(LIBP) ];\
	then\
		mkdir $(LIBP);\
	fi
	cpset $(LIBNAME) $(USRLIB)/$(LIBNAME) 0444
	cpset libp.$(LIBNAME) $(LIBP)/$(LIBNAME) 0444
	cpset $(LINTLIB) $(USRLIB)/$(LINTLIB) 0444
	cpset llib-lmalloc $(USRLIB)/llib-lmalloc 0444

clean: 
	-rm -f *.o

clobber: clean
	-rm -f $(LIBNAME) libp.$(LIBNAME) $(LINTLIB)
