# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: libsec.mk 1.4 89/10/10 $@(#)libsec:libsec.mk	1.1"

USRLIB=$(ROOT)/usr/lib
USRLIBP=$(ROOT)/usr/lib/libp
INC=$(CCS_HDRS)/usr/include
INS=install
LIBRARY=libsec.a

OBJECTS =	getspent.o lckpwdf.o

all: $& profiled $(OBJECTS)

.c.o:
	$(CC) -p -DPROF $(CFLAGS) -c $< && \
	mv $*.o profiled/$*.o && \
	$(CC) -UPROF $(CFLAGS) -c $<

profiled:
	mkdir profiled

$(LIBRARY):	all
	-rm -f $(LIBRARY)
	$(AR) r $(LIBRARY) $(OBJECTS)
	cd profiled; $(AR) r $(LIBRARY) $(OBJECTS)

getspent.o:		getspent.c $(INC)/sys/param.h	\
			$(INC)/stdio.h $(INC)/shadow.h  \
			$(INC)/string.h $(INC)/sys/types.h

lckpwdf.o:		lckpwdf.c $(INC)/stdio.h	\
			$(INC)/signal.h $(INC)/fcntl.h

install:	$(LIBRARY)
	$(INS) -f $(USRLIB) -m 444 -u bin -g bin $(LIBRARY)
	cd profiled; $(INS) -f $(USRLIBP) -m 444 -u bin -g bin $(LIBRARY)

clean:
	-rm -f *.o; rm -f profiled/*.o

clobber:	clean
	-rm -f $(LIBRARY); rm -rf profiled
