/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: shlib.h 1.1 89/10/20 $@(#)libw:inc/shlib.h	1.0"
/*
 * This header file contains all the macros and definitons
 *  needed for importing symbols for libw_s
 * 
 */
#if SHLIB

/*		libw data			*/
#define _cswidth	(* _LIBW__cswidth)
#define _eucwidth	(* _LIBW__eucwidth)
#define _pcmask		(* _LIBW__pcmask)

/*		LIBW functions			*/
#define __getwidth	(* _LIBW__getwidth)

/*		libc data			*/
#define _iob 		(* _LIBC__iob)
#define _sibuf		(* _LIBC__sibuf)
#define _sobuf		(* _LIBC__sobuf)
#define _smbuf		(* _LIBC__smbuf)
#define _lastbuf	(* _LIBC__lastbuf)
#define _bufendtab	(* _LIBC__bufendtab)
#define errno		(* _LIBC_errno)

/*		LIBC functions			*/
#define _filbuf		(* _LIBC__filbuf)
#define _flsbuf		(* _LIBC__flsbuf)
#define fflush		(* _LIBC_fflush)
#define close		(* _LIBC_close)
#define	read		(* _LIBC_read)
#define write		(* _LIBC_write)
#define isatty		(* _LIBC_isatty)
#define ungetc		(* _LIBC_ungetc)
#define malloc		(* _LIBC_malloc)
#define free		(* _LIBC_free)	
#define getenv		(* _LIBC_getenv)

#endif
