/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: _wset_tab.c 1.2 90/02/27 $@(#)libw:port/_wset_tab.c 1.0 AT&T-UP"

/*	This module was created for NLS on Dec 18 '87		*/	/*NLS*/
/*
* _wset_tab - set _ctype[], _numeric[] to requested locale-based info.
*/
#include <locale.h>
#include <string.h>
#include <fcntl.h>

extern	struct _wctype *_wcptr[];
extern	int _lflag;
int
_set_tab(loc, cat)
char *loc;
int cat;
{
	unsigned char my_ctype[SZ_TOTAL];
	static char name[2][11] = { "LC_CTYPE", "LC_NUMERIC" };
	static unsigned char *tab[2] = { _ctype, _numeric };
	int i,size;
	register int fd, ret;

	size = (cat ? SZ_NUMERIC : SZ_TOTAL);
	if (cat == LC_CTYPE)
	{
		_lflag = 0;
		for(i = 0; i < 3; i++)
			_wcptr[i] = 0;
	}
	if ((fd = open(_fullocale(loc, name[cat]), O_RDONLY)) == -1
	   || read(fd, (char *)my_ctype, size) != size) 
		ret = -1;
	else
	{
		(void)memcpy(tab[cat], my_ctype, size);
		ret = 0;
	}
	(void)close(fd);
	return ret;
}
