/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	This module is created for NLS on Sep.03.86		*/

#ident	"$Header: fputws.c 1.1 89/10/20 $@(#)libw-port:wstdio/fputws.c	1.0"

/*
 * Fputws transforms the process code string pointed to by "ptr"
 * into a byte string in EUC, and writes the string to the named
 * output "iop".
 */

#include "shlib.h"
#include <stdio.h>
#include <widec.h>

int
fputws(ptr, iop)
register wchar_t *ptr;
register FILE *iop;
{
	register wchar_t *ptr0 = ptr;

	for ( ; *ptr; ptr++) { /* putwc till NULL */
		if (putwc(*ptr, iop) == EOF)
			return(EOF);
	}
	if (fflush(iop)) /* flush line */
		return(EOF);
	return(ptr - ptr0);
}
