/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: clearbss.c 1.3 89/08/07 $"

/* $Log:	clearbss.c,v $
 */

/*
 * clearbss - clear out the area that will be used for bss for standalone
 * utilities.
 * N.B.: In order to load correctly, this file must be loaded with
 * an ifile which sets the external symbol "sbss" to the start of
 * the .bss section.  This needs to be done since the .bss section
 * does not follow directly after the .data section.
 */

extern int sbss, end;

clearbss()
{
	bzero((char *)&sbss, (int)&end - (int)&sbss);
}
