/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: utsname.h 1.9 90/06/24 $"

#ifndef	_SYS_UTSNAME_H_

/* $Log:	utsname.h,v $
*/

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

/*____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section *
 * 4.4 of 1003.1-1988 which should be refered to before making any    *
 * changes.							      *
 *____________________________________________________________________*/


struct utsname {
	char	sysname[9];
	char	nodename[9];
	char	release[9];
	char	version[9];
	char	machine[9];
};

#ifdef	INKERNEL
extern struct utsname utsname;
#else
#ifndef NO_XPG3_HDR
extern int uname();
#endif	/* NO_XPG3_HDR */
#endif	/* INKERNEL */


#define	_SYS_UTSNAME_H_
#endif	/*_SYS_UTSNAME_H_*/
