/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: zdioctl.h 1.4 90/06/26 $"

#ifndef	_SYS_ZDIOCTL_H_

/*
 * zdioctl.h
 *	definitions of structures and defines used for ioctls 
 */

/* $Log:	zdioctl.h,v $
 */

/*
 * ZDC Ioctl commands
 */
#define ZIOC		('z'<<8)
#define ZIOCBCMD	(ZIOC | 0)
#define ZIOSEVERE	(ZIOC | 1)
#define ZIONSEVERE	(ZIOC | 2)
#define ZIODEVDATA	(ZIOC | 3)
#define ZIOSETBBL	(ZIOC | 4)
#define ZIOGERR		(ZIOC | 5)
#define ZIOSETSTATE	(ZIOC | 6)
#define ZIORESERVE	(ZIOC | 8)
#define ZIORELEASE	(ZIOC | 9)
#ifdef DEBUG
#define ZIOCSHUTDOWN	(ZIOC | 255)
#define ZIOCISHUT	(ZIOC | 254)
#define ZIOC_STAT_TEST	(ZIOC | 253)
#endif /* DEBUG */

/*
 * structure returned for ZIODEVDATA ioctl
 */
struct zddev {
	unchar	zd_drive;	/* drive # on controller */
	unchar  zd_ctlr;	/* controller number */
	unchar	zd_cfg;		/* probed state of device */
	unchar	zd_state;	/* driver state of device */
};

#define	_SYS_ZDIOCTL_H_
#endif	/* _SYS_ZDIOCTL_H_ */
