/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: cn_space.c 1.7 90/01/25 $"

/* $Log:	cn_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/devsw.h"
#include "sys/vnode.h"
#include "sys/snode.h"
#include "sys/cn.h"

/* device operations */

extern	int	cnopen();
extern	int	cnread();
extern	int	cnwrite();
extern	int	cnclose();
extern	int	cnioctl();
extern	int	cnstrmsgio();
extern	int	cnstrpoll();
extern	int	nulldev();

struct	devops	cndevops = {
	cnopen,			/* d_open */
	cnclose,		/* d_close */
	nulldev,		/* d_strategy */
	nulldev,		/* d_minphys */
	nulldev,		/* d_psize */
	nulldev,		/* d_print */
	cnread,			/* d_read */
	cnwrite,		/* d_write */
	cnioctl,		/* d_ioctl */
	nulldev,		/* d_mmap */
	nulldev,		/* d_intr */
	NULL,			/* d_str */
	cnstrmsgio,		/* d_strmsgio */
	cnstrpoll		/* d_strpoll */
};
