/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: lpmod_space.c 1.4 89/10/25 $"

/*
 * lpmod_space.c
 *	Configuration file for parallel printer canonical processing module
 */

/* $Log:	lpmod_space.c,v $
 */

#include "config.h"
#include "sys/types.h"
#include "sys/session.h"
#include "sys/stream.h"
#include "sys/lpmod.h"

#ifdef _LP_NUMDEV
#define XLP_NUMDEV	_LP_NUMDEV * 2		/* 2 ports per ctrl */
#else
#define XLP_NUMDEV	0
#endif /* _LP_NUMDEV */

#ifdef _WP_NUMDEV
#define XWP_NUMDEV	_WP_NUMDEV
#else
#define XWP_NUMDEV	0
#endif /* _WP_NUMDEV */

#define NLPM_DEVS	(XLP_NUMDEV + XWP_NUMDEV + 2)

struct lpmod_info lpm_info[NLPM_DEVS];
int lpm_cnt = NLPM_DEVS;
