/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: sc_space.c 1.15 90/08/29 $"

/*
 * sc_space.c
 * 	Binary configuration data for the SSM console driver.
 */

/* $Log:	sc_space.c,v $
 */

#include "sys/types.h"
#include "sys/devsw.h"
#include "sys/session.h"
#include "sys/stream.h"
#include "sys/termio.h"
#include "sys/ssm_cb.h"
#include "sys/sc.h"

ulong scrxtime = 20;				/* Rx timeout 20 ms */ 
int scflow   = CCF_XOFF;			/* Flow control */
int sccflags =  CS8 | CREAD | HUPCL | B9600;	/* Initial cflags */
int scaddwait = 3;				/* Additional wait time */
unchar scprintalocfail = 0;			/* 0=don't print allocb fail */

unchar sc_bin = 4;


/* device operations */

extern	struct	streamtab	scinfo;
extern	int	nodev();
extern	int	nulldev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct	devops	scdevops = {
	nulldev,		/* d_open */
	nulldev,		/* d_close */
	nulldev,		/* d_strategy */
	nulldev,		/* d_minphys */
	nulldev,		/* d_psize */
	nulldev,		/* d_print */
	nulldev,		/* d_read */
	nulldev,		/* d_write */
	nodev,			/* d_ioctl */
	nulldev,		/* d_mmap */
	nulldev,		/* d_intr */
	&scinfo,		/* d_str */
	nostrmsgio,		/* d_strmsgio */
	nostrpoll		/* d_strpoll */
};
