/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: sm_space.c 1.9 90/01/25 $"

/*
 * sm_space.c
 * This file contains the binary configuration data for the
 * SCSI/Ether memory driver
 */

/* $Log:	sm_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/devsw.h"
#include "sys/consmemioctl.h"
#include "sys/sec.h"
#include "sys/sm.h"

ulong sm_flags = 0;
unchar sm_bin = 4;
short sm_req_size = 3;
short sm_doneq_size = 3;

extern int smopen();
extern int smread();
extern int smwrite();
extern int smioctl();
extern int nulldev();
extern int nostrmsgio();
extern int nostrpoll();

struct devops smdevops = {
	smopen,			/* d_open */
	nulldev,		/* d_close */
	nulldev,		/* d_strategy */
	nulldev,		/* d_minphys */
	nulldev,		/* d_psize */
	nulldev,		/* d_print */
	smread,			/* d_read */
	smwrite,		/* d_write */
	smioctl,		/* d_ioctl */
	nulldev,		/* d_mmap */
	nulldev,		/* d_intr */
	NULL,			/* d_str */
	nostrmsgio,		/* d_strmsgio */
	nostrpoll		/* d_strpoll */
};
