/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: zdc_space.c 1.12 89/08/07 $"

/*
 * Configuration tables for this device
 */

/* $Log:	zdc_space.c,v $
 */
#include "sys/types.h"
#include "sys/devsw.h"
#include "sys/autoconf.h"
#include "sys/buf.h"
#include "sys/zdc.h"
#include "sys/zdbad.h"
#include "sys/zdc_ioconf.h"
#include "sys/zdc_device.h"
#include "config.h"

/* All SB8000 devices use the same configuration, defined in sb8000_space.c */
extern struct device_config sb8000_config[];

/* autoconfig structure linking device configuration with busses */
struct dev_on_bus zdc_on_busses[] = {
	{ SB8000, 1, sb8000_config }, 
	{ NOBUS,},
};

/*
 * polled command timeout, should be approx. 30 secs.
 */
unsigned	zdccmdtime	= 30000000;
/*
 * controller ready timeout, should be >= 60 secs.
 */
unsigned	zdcinitime	= 2400000;
