/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: gate_data.c 1.7 89/08/07 $"

/*
 * gate_data.c
 *	Data bytes to back up gates defined in machine/gate.h.
 *
 * K20 kernel hashes address of byte to determine SLIC gate to use.
 */

/* $Log:	gate_data.c,v $
 */

#include "sys/gate.h"

pgate_t		g_time;			/* time and timeout queue */

pgate_t		g_runq;			/* dispatcher run-queues */
pgate_t		g_swap;			/* swapmap (vm_sw.c) */
pgate_t		g_fs;			/* file-system locking */
