/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

.file "icode.s"
.ident	"$Header: icode.s 1.9 90/01/24 $"
.text

/*
 * icode.s
 *	Init-code start-off.
 *
 * This is coded such that it is position independent; when loaded at
 * user virtual 0 it will be correct.
 *
 */

/* $Log:	icode.s,v $
 */

#include "assym.h"
#include "sys/asm.h"

#include "syscall.h"

/*
 * The init code!  If this is successful, the system comes up.
 * Else, we get a BPT in user-mode.
 */

ENTRY(icode)
	jmp	start

etcinit:.string	"/etc/init"
argv:	.long	etcinit-icode
	.long	0

start:
	movl	$[SYS_exec|[SYS_TYP<<16]], %eax / exec
	movl	$[etcinit-icode], %ecx / arg1 = "/etc/init"
	movl	$[argv-icode], %edx	/ arg2 = argv
	int	$T_SVC2			/ execv() (2-arg syscall)
	int	$3			/ just in case...

	.globl	szicode
	.align	4
szicode:
	.long	szicode-icode		/ sizeof(icode)
