/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: syscalls1.c 1.6 90/08/23 $"

/* $Log:	syscalls1.c,v $
 */

/*
 * System call names
 */

char *syscall1names[] =
{
	"indir",			/*  0 = indir */
	"rexit",			/*  1 = exit */
	"fork",				/*  2 = fork */
	"read",				/*  3 = read */
	"write",			/*  4 = write */
	"open",				/*  5 = open */
	"close",			/*  6 = close */
	"wait",				/*  7 = wait */
	"creat",			/*  8 = creat */
	"link",				/*  9 = link */
	"unlink",			/* 10 = unlink */
	"exec",				/* 11 = exec */
	"chdir",			/* 12 = chdir */
	"gtime",			/* 13 = time */
	"mknod",			/* 14 = mknod */
	"chmod",			/* 15 = chmod */
	"chown",			/* 16 = chown; now 3 args */
	"sbreak",			/* 17 = break */
	"stat",				/* 18 = stat */
	"seek",				/* 19 = seek */
	"getpid",			/* 20 = getpid */
	"smount",			/* 21 = mount */
	"sumount",			/* 22 = umount */
	"setuid",			/* 23 = setuid */
	"getuid",			/* 24 = getuid */
	"stime",			/* 25 = stime */
	"ptrace",			/* 26 = ptrace */
	"alarm",			/* 27 = alarm */
	"fstat",			/* 28 = fstat */
	"pause",			/* 29 = pause */
	"utime",			/* 30 = utime */
	"stty",				/* 31 = stty */
	"gtty",				/* 32 = gtty */
	"saccess",			/* 33 = access */
	"nice",				/* 34 = nice */
	"statfs",			/* 35 = statfs */
	"sync",				/* 36 = sync */
	"kill",				/* 37 = kill */
	"fstatfs",			/* 38 = fstatfs */
	"setpgrp",			/* 39 = setpgrp */
	"#40",				/* 40 = tell - obsolete */
	"dup",				/* 41 = dup */
	"pipe",				/* 42 = pipe */
	"times",			/* 43 = times */
	"profil",			/* 44 = prof */
	"lock",				/* 45 = proc lock */
	"setgid",			/* 46 = setgid */
	"getgid",			/* 47 = getgid */
	"ssig",				/* 48 = sig */
	"msgsys",			/* 49 = IPC message */
	"sysi86",			/* 50 = Machine-specific system call */
	"sysacct",			/* 51 = turn acct off/on */
	"shmsys",			/* 52 = shared memory */
	"semsys",			/* 53 = IPC semaphores */
	"ioctl",			/* 54 = ioctl */
	"uadmin",			/* 55 = uadmin */
	"#56",				/* 56 = reserved for exch */
	"utssys",			/* 57 = utssys */
	"#58",				/* 58 = reserved for USG */
	"exece",			/* 59 = exece */
	"umask",			/* 60 = umask */
	"chroot",			/* 61 = chroot */
	"fcntl",			/* 62 = fcntl */
	"ulimit",			/* 63 = ulimit */
	"#64",				/* 64 +0 = nosys, 64-69 for Safari 4 */
	"#65",				/* 64 +1 = nosys */
	"#66",				/* 64 +2 = nosys */
	"#67",				/* 64 +3 = file locking call */
	"#68",				/* 64 +4 = local system calls */
	"#69",				/* 64 +5 = inode open */
	"#70",				/* 70 = advfs */
	"#71",				/* 71 = unadvfs */
	"#72",				/* 72 = rmount */
	"#73",				/* 73 = rumount */
	"#74",				/* 74 = rfstart */
	"#75",				/* 75 = not used */
	"#76",				/* 76 = rdebug */
	"#77",				/* 77 = rfstop */
	"#78",				/* 78 = rfsys */
	"rmdir",			/* 79 = rmdir */
	"mkdir",			/* 80 = mkdir */
	"getdents",			/* 81 = getdents */
	"#82",				/* 82 = libattach */
	"#83",				/* 83 = libdetach */
	"#84",				/* 84 = sysfs */
	"getmsg",			/* 85 = getmsg */
	"putmsg",			/* 86 = putmsg */
	"poll",				/* 87 = poll */
	"#88",				/* 88 = reserved */
	"#89",				/* 89 = reserved */
	"#90",				/* 90 = reserved */
	"#91",				/* 91 = reserved */
	"#92",				/* 92 = reserved */
	"#93",				/* 93 = reserved */
	"#94",				/* 94 = reserved */
	"#95",				/* 95 = reserved */
	"#96",				/* 96 = reserved */
	"#97",				/* 97 = reserved */
	"#98",				/* 98 = reserved */
	"#99",				/* 99 = reserved */
	"waitpid",			/* 100 = POSIX waitpid */
	"setsid",			/* 101 = POSIX setsid */
	"setpgid",			/* 102 = POSIX setpgid */
	"sysconf",			/* 103 = POSIX sysconf */
	"pathconf",			/* 104 = POSIX pathconf */
	"fpathconf",			/* 105 = POSIX fpathconf */
	"rename",			/* 106 = POSIX rename */
	"getgroups",			/* 107 = POSIX getgroups */
	"dup2",				/* 108 = POSIX dup2 */
};
