/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident		"$Header: syscalls2.c 1.12 90/04/11 $"

/* $Log:	syscalls2.c,v $
 */

/*
 * System call names
 */

char *syscall2names[] =
{
	"cust0",			/* 0 = Reserved for Customer use */
	"cust1",			/* 1 = Reserved for Customer use */
	"cust2",			/* 2 = Reserved for Customer use */
	"cust3",			/* 3 = Reserved for Customer use */
	"cust4",			/* 4 = Reserved for Customer use */
	"cust5",			/* 5 = Reserved for Customer use */
	"cust6",			/* 6 = Reserved for Customer use */
	"cust7",			/* 7 = Reserved for Customer use */
	"cust8",			/* 8 = Reserved for Customer use */
	"cust9",			/* 9 = Reserved for Customer use */
	"getpagesize",			/* 10 = getpagesize */
	"mmap",				/* 11 = mmap */
	"munmap",			/* 12 = munmap */
	"mptrace",			/* 13 = mptrace */
	"proc_ctl",			/* 14 = process control functions */
	"vm_ctl",			/* 15 = VM information/tuning */
	"tmp_ctl",			/* 16 = TMP information and control */
	"affinity",			/* 17 = processor/process affinity */
	"sigcleanup",			/* 18 = sigcleanup(), signal clean up */
	"getdtablesize",		/* 19 = getdtablesize */
	"setdtablesize",		/* 20 = setdtablesize */
	"bdflush",			/* 21 = setdtablesize */
	"get_process_stats",		/* 22 = get_process_stats */
	"symlink",			/* 23 = symlink */
	"readlink",			/* 24 = readlink */
	"lstat",			/* 25 = lstat */
	"truncate",			/* 26 = truncate */
	"ftruncate",			/* 27 = ftruncate */
	"readv",			/* 28 = readv */
	"writev",			/* 29 = writev */
	"sigstack",			/* 30 = sigstack */
#ifdef QUOTA
        "quotactl",			/* 31 = quotactl */
#else
        "#31",				/* 31 = nullsys */
#endif
	"sigcontext",			/* 32 = sigcontext */
	"setgroups",			/* 33 = setgroups */
	"vfork",			/* 34 = vfork */
	"vhangup",			/* 35 = vhangup */
	"shfork",			/* 36 = shfork */
	"shvfork",			/* 37 = shvfork */
	"getitimer",			/* 38 = getitimer */
	"setitimer",			/* 39 = setitimer */
	"DirectRead",			/* 40 = DirectRead */
	"DirectWrite",			/* 41 = DirectWrite */
	"affinitypid",			/* 42 = affinitypid */
	"adjtime",			/* 43 = adjtime */
};
