/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
#ident	"$Header: utime.h 1.5 90/07/29 $"

#ifndef	_SYS_UTIME_H_

/* $Log:	utime.h,v $
*/

#include "sys/types.h"

/*____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section *
 * 5.6.6 of 1003.1-1988 which should be refered to before making any  *
 * changes.						    	      *
 *____________________________________________________________________*/

struct	utimbuf {
	time_t	actime;		/* access time */
	time_t	modtime;	/* modification time */
};

#define	_SYS_UTIME_H_
#endif	/*_SYS__UTIME_H_*/

