/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: sem_space.c 1.5 89/12/18 $"

/* $Log:	sem_space.c,v $
 */

#include "sys/types.h"
#include "sys/map.h"
#include "sys/param.h"

#ifndef	IPC_ALLOC
#include "sys/ipc.h"
#endif
#include "sys/sem.h"

#include "config.h"

/*
 *  See the module configuration file ("config") in
 *  this directory for configurable parameters.
 */

#define	SEMUSZ	(sizeof(struct sem_undo)+sizeof(struct undo)*SEMMNU)

union {
	short		semvals[SEMMSL];
	struct semid_ds	ds;
	struct sembuf	semops[SEMOPM];
}	semtmp;

struct	seminfo seminfo = {
	SEMMAP,
	SEMMNI,
	SEMMNS,
	SEMMNU,
	SEMMSL,
	SEMOPM,
	SEMUME,
	SEMUSZ,
	SEMVMX,
	SEMAEM
};

