/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: constab.h 1.2 89/04/06 $"

#ifndef	_CONSTAB_H_

#define CONSTAB "/etc/constab"
#define	CT_DEVTYPE	0	/* first argument in a DEVTAB/CONSTAB line */
#define CT_PARENT	1	/* second argument in a DEVTAB/CONSTAB line */

struct constab {
	char	*ct_parent;	/* parent device of construction */
	char	*ct_devtype;	/* what type of virtual device is parent */
	char	**ct_kids;	/* array of child device names */
	char	**ct_hints;	/* arguments to this virtual driver */
};

extern int read_constab();

#define	_CONSTAB_H_
#endif	/* _CONSTAB_H_ */
