/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: locale.h 1.10 90/10/23 $@(#)head:locale.h  1.0 AT&T-UP"

#ifndef _LOCALE_H_

/* ____________________________________________________________________*
 * This file forms part of the POSIX requirement described in sections *
 * 8.2 of 1003.1-1988 which should be refered to before making any     *
 * changes.                                                	       *
 *_____________________________________________________________________*/

/* $Log:	locale.h,v $
*/

#define LC_CTYPE	0
#define LC_NUMERIC	1
#define LC_TIME		2
#define LC_COLLATE	3
#define LC_MESSAGES	4
#define LC_MONETARY	5
#define LC_ALL		6

extern char *setlocale();

#define P_locale	"/usr/lib/locale/"
#define L_locale	(sizeof(P_locale))
#define MAXLENLOCALE	14
#define	SZ_COLLATE	512
#define SZ_SUBS		128

#ifdef LIB_INCLUDE
/*
 * things that were formerly included in separate _locale.h's in a number
 * of libraries. Ifdeffed to keep ordinary programs from using it.
 */
#define LC_MAX		6		/* number of locale parts */
#define LC_NAMELEN	15		/* maximum part name length (inc. \0) */
#define SZ_CTYPE	(257 + 257)	/* is* and to{upp,low}er tables */
#define SZ_CODESET	7		/* bytes for codeset information */
#define SZ_NUMERIC	2		/* bytes for numeric editing */
#define SZ_TOTAL	(SZ_CTYPE + SZ_CODESET)
#define NM_UNITS	0		/* index of decimal point character */
#define NM_THOUS	1		/* index of thousand's sep. character */

extern char _cur_locale[LC_MAX][LC_NAMELEN];
extern unsigned char _ctype[SZ_TOTAL];
extern unsigned char _numeric[SZ_NUMERIC];

char *_nativeloc();	/* trunc. name for category's "" locale */
char *_fullocale();	/* complete path */
int _set_tab();		/* fill _ctype[]  or _numeric[] */
#endif /* LIB_INCLUDE */

#define _LOCALE_H_
#endif  /* _LOCALE_H_ */
