/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: nl_types.h 1.4 90/06/24 $@(#)nl_types.h	1.3 89/12/06 "

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

#ifndef _NL_TYPES_H_

#ifndef NL_ARGMAX
#define NL_ARGMAX	9
#define NL_SETMAX	256
#define NL_MSGMAX	32767
#define NL_TEXTMAX	1024
#endif 	/* NL_ARGMAX */
#define NL_MAXPATHLEN	1024
#define NL_PATH		"NLSPATH"
#define NL_LANG		"LANG"
#define NL_DEF_LANG	"english"
#ifndef NO_XPG3_HDR
#define NL_SETD		1
#endif	/* NO_XPG3_HDR */

typedef short nl_item ;

typedef struct {
  char *catd_set;
  char *catd_msgs;
  char *catd_data;
  int catd_set_nr;
  char catd_type;   /* was cat_alloc */
} nl_catd_t;

typedef nl_catd_t *nl_catd;

/*
 * type fields for nl_catd_t
 */
#define SHARED_LIBRARY	'S'	/* Shared library format   */
#define MALLOC		'M'	/* old style malloc	   */

nl_catd catopen();
char *catgets();
char *catgetmsg();
int catclose();
#define _NL_TYPES_H_

#endif /* _NL_TYPES_H_ */
