/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * defines for parallel part of PC AT serial/parallel adapter.
 */

#ident	"@(#)head.sys:lp.h	1.3"

#define NUM_LP  3

#define P_LP0   0x03BC	/* parallel port on monochrome adapter */
#define P_LP1   0x0378	/* parallel port on serial/parallel adapter 1 */
#define P_LP2   0x0278	/* parallel port on serial/parallel adapter 2 */


#define	LPPRI	(PZERO+8)
#define LPLOWAT 50
#define LPHIWAT 250

/* States: */
#define OPENW   0x01
#define OPENR   0x02
#define ASLP    0x04
#define LPBUSY  0x08
#define	LPPRES	0x10	/* set if parallel adapter present */

/* Hardware bits: status register*/
#define ERROR   0x08    /* Error state */
#define ONLINE  0x10    /* On Line bit */
#define PAPEND  0x20    /* Printer out of paper */
#define NACKNLG 0x40    /* lp ready for next char */
#define NOTBSY  0x80    /* Printer is busy (active low) */

/* Hardware bits: csr register*/
#define NSTROBE 0x01    /* lp character strobe (1 active) */
#define NAUTOFD 0x02    /* auto paper feed after line print (1 active) */
#define NRESET  0x04    /* lp reset (0 active) */
#define SLCT    0x08    /* enable data xfer (1 active) */
#define IENAB   0x10    /* enable interrupts on NACKLDG transition */

