# $Copyright:	$
#Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
#Sequent Computer Systems, Inc.   All rights reserved.
# 
#This software is furnished under a license and may be used
#only in accordance with the terms of that license and with the
#inclusion of the above copyright notice.   This software may not
#be provided or otherwise made available to, or used by, any
#other person.  No title to or ownership of the software is
#hereby transferred.

#	Copyright (c) 1984, 1986, 1987, 1988 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)libPW:libPW.mk	1.17.1.1"
ROOT=
CC=cc
LIB=$(ROOT)/lib/bcs
CFLAGS=-O -Wc,-bcs
STRIP=strip
AR=ar
LNAME = libPW.a

OBJECTS =	abspath.o anystr.o bal.o curdir.o fdfopen.o giveup.o \
	imatch.o index.o lockit.o logname.o move.o patoi.o \
	patol.o regcmp.o regex.o rename.o repeat.o repl.o satoi.o \
	setsig.o sname.o strend.o substr.o trnslat.o userdir.o \
	username.o verify.o any.o xalloc.o xcreat.o xlink.o \
	xopen.o xpipe.o xunlink.o xwrite.o xmsg.o alloca.o \
	cat.o dname.o fatal.o clean.o userexit.o zero.o zeropad.o

all:	$(LNAME)

install:  all
	rm -f $(LIB)/$(LNAME)
	cp $(LNAME) $(LIB)/$(LNAME)
	chmod 444 $(LIB)/$(LNAME)
	chown bin $(LIB)/$(LNAME)
	chgrp bin $(LIB)/$(LNAME)
	# install complete

init:
	cp i386/move.s move.s
	cp i386/alloca.s alloca.s

objects:  $&  $(OBJECTS)
alloca.o:	alloca.s
	$(CC) -c alloca.s

$(LNAME):  init $(OBJECTS)
	-rm -f $(LNAME)
	$(AR) r $(LNAME) $(OBJECTS)
	$(STRIP) -r $(LNAME)
	$(AR) ts $(LNAME)

clean:
	-rm -f $(OBJECTS)
	-rm -f move.c move.s alloca.c alloca.s $(LNAME)

clobber:	clean
