/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"pcrt1.s"
	.ident	"@(#)libc-i386:csu/pcrt1.s	1.2.1.2"


#include	<sys.s>
#define	PTRSIZE		4

/ global entities defined in this file
	.globl	_start
	.globl	_mcount
	.globl	environ
	.globl	CAproc
	.globl	exit

/ global entities defined elsewhere, but used here
	.globl setchrclass	/ Routine that initializes _ctype[]
	.globl	main
	.globl	_cleanup
	.globl	_CAdump

/ lprof startup routine.
/ Assume that exec code has cleared the direction flag in the TSS.
/ Assume that %esp is set to the addr after the last word pushed.
/ The stack contains (in order): argc, argv[],envp[],...
/ Assume that all of the segment registers are initialized.

_start:
/ Allocate a NULL return address and a NULL previous %ebp as if
/ there was a genuine call to _start.
/ sdb stack trace shows _start(argc,argv[0],argv[1],...,envp[0],...)
	subl	$[PTRSIZE+PTRSIZE],%esp
	movl	%esp,%ebp		/ The first stack frame.

/ Calculate the location of the envp array by adding the size of
/ the argv array to the start of the argv array.
	movl	8(%ebp),%eax		/ argc
	leal	[PTRSIZE\*4](%ebp,%eax,4),%edx	/envp
	movl	%edx,environ		/ copy to environ
	pushl	%edx
	leal	[PTRSIZE\*3](%ebp),%ebx	/ argv
	pushl	%ebx
	movl	(%ebx),%edx		/ store process name for CA use
	movl	%edx,CAproc
	pushl	%eax			/ argc
	call	_istart
	pushl	$0
	call 	setchrclass
	addl	$4,%esp
	call	main			/ main(argc,argv,envp)
	addl	$12,%esp		/ let sdb know how many args in call to main()
	pushl	%eax
	call	exit			/ make sure kernel gets the argument.
	addl	$4,%esp			/ valid stack trace for sdb
exit:
	call	_CAdump			/ dump profiling data to coverage file
	call	_cleanup		/ cleanup I/O buffers

	movl	$EXIT,%eax		
	lcall	SYSCALL			
	hlt

/ The following is here in case any object module compiled with cc -p
/	was linked into this module.
_mcount:
	ret

	.bss

environ:
	.set	.,. + PTRSIZE
CAproc:
	.set	.,. + PTRSIZE

	.section	.init,"x"
_istart:
