/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"strncat.s"

	.ident	"@(#)libc-i386:libc-i386/gen/strncat.s	1.2"

	.globl	strncat
	.align	4

strncat:
	MCOUNT			/ profiling
	movl	%edi,%edx	/ save register variables
	pushl	%esi

/ find end of destination string
	movl	8(%esp),%edi	/ %edi = destination string
	xorl	%eax,%eax	/ %eax = 0 (search for a null)
	movl	$-1,%ecx	/ %ecx = a very long search
	repnz ; scab

	decl	%edi		/ result was already postincremented
	movl	%edi,%esi	/ save for later

/ search for end of source string
	movl	12(%esp),%edi	/ %edi = address of source string
	movl	16(%esp),%ecx	/ %ecx = max length want of source
	repnz ; scab

	jcxz	.move
	decl	%edi		/ point to null after string

.move:
/ Most suffixes are not very long; not worth setup for longword moves
	movl	%edi,%ecx	/ %ecx = after source string
	movl	%esi,%edi	/ %edi = destination
	movl	12(%esp),%esi	/ %esi = source string
	subl	%esi,%ecx	/ %ecx = length of source string
	rep ; smovb
	movb	%cl,(%edi)	/ put null after all strings

	movl	8(%esp),%eax	/ %eax = returned dest string addr
	popl	%esi		/ restore register variables
	movl	%edx,%edi
	ret
