/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"fork.s"

	.ident	"@(#)libc-i386:libc-i386/sys/fork.s	1.2"

#include <sys.s>

/ pid = fork();

/ %edx == 0 in parent process, %edx = 1 in child process.
/ %eax == pid of child in parent, %eax == pid of parent in child.

	.globl	fork
	.globl	_cerror

fork:
	MCOUNT			/ subroutine entry counter if profiling
	movl	$FORK,%eax
	lcall	SYSCALL
	jc	_cerror
	testl	%edx,%edx
	jz	.parent
	xorl	%eax,%eax
.parent:
	ret
