/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"setpgrp.s"

	.ident	"@(#)libc-i386:libc-i386/sys/setpgrp.s	1.2"

#include <sys.s>

	.globl	setpgrp
	.globl	getpgrp
	.globl	_cerror

setpgrp:
	MCOUNT			/ subroutine entry counter if profiling
	movl	%esp,%ecx
	pushl	$1
	pushl	%eax		/ slot for ret addr.
	movl	$SETPGRP,%eax
	lcall	SYSCALL
	movl	%ecx,%esp
	jc	_cerror
	ret

getpgrp:
	MCOUNT			/ subroutine entry counter if profiling
	movl	%esp,%ecx
	pushl	$0
	pushl	%eax		/ slot for ret addr.
	movl	$SETPGRP,%eax
	lcall	SYSCALL
	movl	%ecx,%esp
	jc	_cerror
	ret
