# $Copyright:	$
#Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
#Sequent Computer Systems, Inc.   All rights reserved.
# 
#This software is furnished under a license and may be used
#only in accordance with the terms of that license and with the
#inclusion of the above copyright notice.   This software may not
#be provided or otherwise made available to, or used by, any
#other person.  No title to or ownership of the software is
#hereby transferred.

#	Copyright (c) 1984, 1986, 1987, 1988 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.


#ident	"@(#)libnsl:nsl.mk	1.5"

# 
# Network services library
#

ROOT=
USRLIB=$(ROOT)/usr/lib/bcs
INC=$(ROOT)/usr/include/bcs
CFLAGS= -I$(INC) -O -Wc,-bcs

LIBOBJS= t_accept.o t_bind.o t_connect.o t_error.o t_close.o\
	 t_getinfo.o t_getstate.o t_listen.o t_look.o\
	 t_rcv.o t_rcvconnect.o t_rcvdis.o t_snd.o t_snddis.o\
	 t_unbind.o t_optmgmt.o\
	 t_rcvudata.o t_rcvuderr.o t_sndudata.o t_sndrel.o t_rcvrel.o\
	 t_alloc.o t_free.o t_open.o t_sync.o\
	 _dummy.o _errlst.o _data.o _data2.o _conn_util.o _utility.o \
	 __free_def.o __calloc_def.o __perror_def.o __strlen_def.o\
	 __write_def.o __ioctl_def.o __putmsg_def.o __getmsg_def.o\
	 __errno_def.o __memcpy_def.o __fcntl_def.o __sigset_def.o\
	 __open_def.o __close_def.o __ulimit_def.o

INCLUDES=  	$(INC)/sys/param.h\
		$(INC)/sys/types.h\
		$(INC)/sys/errno.h\
		$(INC)/sys/stream.h\
		$(INC)/sys/stropts.h\
		$(INC)/sys/tihdr.h\
		$(INC)/sys/timod.h\
		$(INC)/sys/tiuser.h\
		$(INC)/sys/signal.h\
		./_import.h

all:  libnsl.a

libnsl.a:  $& $(LIBOBJS)
	-rm -f libnsl.a;
	$(AR) r libnsl.a $(LIBOBJS)
	# build complete

$(LIBOBJS):	$(INCLUDES)

install:  all
	install -f $(USRLIB) libnsl.a;
	$(CH)chown bin $(USRLIB)/libnsl.a
	$(CH)chgrp bin $(USRLIB)/libnsl.a
	$(CH)chmod 444 $(USRLIB)/libnsl.a
	# install complete

clean:
	-rm -f *.o

clobber:	clean
	-rm -f libnsl.a 

