# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#	Copyright (c) 1984 AT&T
#	  All Rights Reserved  
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any   
#	actual or intended publication of such source code.

#ident "$Header: colltbl.mk 1.4 90/02/28 $@(#)colltbl:colltbl.mk	1.3 88/01/06 AT&T UEL"

PR		= rmtpr -n
RMT		= 
BIN		= $(ROOT)/usr/bin
YFLAGS		= -d
LDFLAGS		= -s -n -i -ll -lgen
INCLUDES	= colltbl.h
SOURCES		= colltbl.c scan.l parse.y symtab.c diag.c codegen.c sortlist.c 
OBJECTS		= parse.o scan.o colltbl.o symtab.o diag.o codegen.o sortlist.o 
MISC		= Notes test makefile

INC	= $(CCS_HDRS)/usr/include
CFLAGS	= -O $(CCS)
CMD     = colltbl
TARGET  = $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS="-DCCS=1 -I/usr/include -I$(INC)" N=ccs
X	= P=x CC=cc "`cat DEFS`" LDFLAGS="-s -i -ll"

all : clean colltbl

crossccs: DEFS ; $M $X $C clean colltbl

#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS	:FRC
	  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
		echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
	  else \
		echo "DEF=" >DEFS ; \
	  fi
FRC	:

print:
	@$(PR) $(MISC) $(INCLUDES) $(SOURCES) $(RMT)

lint:
	@lint -u -I$(LIB) $(SOURCES) | $(PR) -h 'Listing of LINT output from COLLTBL' $(RMT)

lines:
	@wc -l $(INCLUDES) $(SOURCES)

install: colltbl
	install -m 0555 -u bin -g bin -f $(BIN) colltbl

uninstall:
	rm -f $(BIN)/colltbl

clobber:	clean
	rm -f colltbl DEFS

clean:
	rm -f $(OBJECTS) y.tab.h

$(CMD):$&	$(OBJECTS)
	$(CC)   -o $@ $(OBJECTS) $(LDFLAGS)

$(OBJECTS):	colltbl.h

.PRECIOUS:	colltbl
