# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

# $Copyright $
#

#ident	"$Header: compress.mk 1.2 89/10/10 $@(#)compress:compress.mk	1.0"

#	Makefile for compress

ROOT =

DIR = $(ROOT)/usr/bin

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s $(LDLIBS)

CFLAGS = -O

STRIP = strip

SIZE = size

MAKEFILE = compress.mk


MAINS = compress

OBJECTS =  compress.o

SOURCES =  compress.c

ALL:		$(MAINS)

compress:		compress.o 
	$(CC) $(CFLAGS)  -o compress  compress.o   $(LDFLAGS)


clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)

newmakefile:
	makefile -m -f $(MAKEFILE)  -s INC $(INC)
#bottom#

all : ALL

install: ALL
	cpset $(MAINS) $(DIR)
	rm -f $(DIR)/uncompress $(DIR)/zcat
	ln $(DIR)/compress $(DIR)/uncompress
	ln $(DIR)/compress $(DIR)/zcat

size: ALL
	$(SIZE) $(MAINS)

strip: ALL
	$(STRIP) $(MAINS)

#	These targets are useful but optional

partslist:
	@echo $(MAKEFILE) $(SOURCES) $(LOCALINCS)  |  tr ' ' '\012'  |  sort

productdir:
	@echo $(DIR) | tr ' ' '\012' | sort

product:
	@echo $(MAINS)  |  tr ' ' '\012'  | \
	sed 's;^;$(DIR)/;'

srcaudit:
	@fileaudit $(MAKEFILE) $(LOCALINCS) $(SOURCES) -o $(OBJECTS) $(MAINS)
