
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: csplit.mk 1.2 90/02/27 $@(#)csplit:csplit.mk	1.10"
#	csplit make file

ROOT =
OL = $(ROOT)/
SL = $(ROOT)/usr/src/cmd
RDIR = $(SL)
INS = :
REL = current
LIST = lp
INSDIR = $(OL)usr/bin
IFLAG = -n
LDFLAGS = -s $(IFLAG)
LIBDIR = -lgen
CFLAGS = -O $(FFLAG)
SOURCE = csplit.c
MAKE = make

compile all: csplit
	:

csplit: csplit.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o csplit csplit.c $(LIBDIR)
	$(INS) $(INSDIR) csplit

install:
	$(MAKE) -f csplit.mk INS="install -f" OL=$(OL)

build:	bldmk
	get -p -r`gsid csplit $(REL)` s.csplit.c $(REWIRE) > $(RDIR)/csplit.c
bldmk:  ;  get -p -r`gsid csplit.mk $(REL)` s.csplit.mk > $(RDIR)/csplit.mk

listing:
	pr csplit.mk $(SOURCE) | $(LIST)
listmk: ;  pr csplit.mk | $(LIST)

edit:
	get -e s.csplit.c

delta:
	delta s.csplit.c
	rm -f $(SOURCE)

mkedit:  ;  get -e s.csplit.mk
mkdelta: ;  delta s.csplit.mk

clean:
	  :

clobber:  clean
	  rm -f csplit

delete:	clobber
	rm -f $(SOURCE)
