# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: roff.mk 1.2 89/10/10 $@(#)roff:roff.mk	2.6"
#	nroff/troff make file (text subsystem)
#
# DSL 2

CFLAGS = -O
LDFLAGS = -s
INS = :
MAKE = make
INCORE = -DINCORE

compile all: $&  nroff terms troff fonts

nroff:
	- if u3b2 || u3b5 || u3b15 || i386 ; \
	then cd nroff.d;   $(MAKE) -f nroff.mk nroff INS=$(INS) ROOT=$(ROOT) \
		INCORE= CH=$(CH) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) ; fi
	- if vax || u3b ; \
	then cd nroff.d;   $(MAKE) -f nroff.mk nroff INS=$(INS) ROOT=$(ROOT) \
		INCORE=$(INCORE) CH=$(CH) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) ; fi

troff:
	- if u3b2 || u3b5 || u3b15 || i386 ; \
	then cd troff.d;   $(MAKE) -f troff.mk troff INS=$(INS) ROOT=$(ROOT) \
		INCORE= CH=$(CH) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) ; fi
	- if vax || u3b ; \
	then cd troff.d;   $(MAKE) -f troff.mk troff INS=$(INS) ROOT=$(ROOT) \
		INCORE=$(INCORE) CH=$(CH) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) ; fi

terms:
	cd nroff.d;  $(MAKE) -f nroff.mk terms INS=$(INS) ROOT=$(ROOT) CH=$(CH)
fonts:
	cd troff.d;  $(MAKE) -f troff.mk fonts INS=$(INS) ROOT=$(ROOT) CH=$(CH)

install:
	$(MAKE) -f roff.mk INS=cp ROOT=$(ROOT) CH=$(CH) INCORE=$(INCORE) all \
		CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
insnroff:
	$(MAKE) -f roff.mk INS=cp ROOT=$(ROOT) CH=$(CH) INCORE=$(INCORE) nroff
instroff:
	$(MAKE) -f roff.mk INS=cp ROOT=$(ROOT) CH=$(CH) INCORE=$(INCORE) troff

clean:
	cd nroff.d;  $(MAKE) -f nroff.mk clean
	cd troff.d;  $(MAKE) -f troff.mk clean

clobber:
	cd nroff.d;  $(MAKE) -f nroff.mk clobber
	cd troff.d;  $(MAKE) -f troff.mk clobber
