/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: buildrast.h 1.2 89/10/10 $@(#)roff:troff.d/devi10/buildrast.h	2.4"

/*
 *
 * Some important definitions used by the program that builds raster tables
 * and troff's ASCII files from Imagen supplied raster files.
 *
 */


#define	L_CHNAME	2		/* longest special character name */
#define MAX_INDEX	128		/* largest allowed glyph number */
#define GLYDIR_SIZE	15 * MAX_INDEX	/* enough room for a whole directory */


typedef struct  {

	char	name[L_CHNAME+1];	/* special char names saved here */

} Charset;

typedef struct  {

	char	name[L_CHNAME+1];	/* name of the special character */
	char	*map;			/* address of the bitmap */
	int	mapsize;		/* size in bytes of the bitmap */
	int	chwidth;		/* new char width if >= 0 */
	char	*glydir;		/* new glyph directory entry */
	char	rastname[15];		/* glyph comes from this file */
	int	index;			/* glyph number in *rastname */
	char	synonyms[100];		/* synonyms that go in font file */

} Charinfo;


extern unsigned	readvalue();


