/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: editrast.h 1.2 89/10/10 $@(#)roff:troff.d/devi10/editrast.h	2.3"

/*
 *
 * A few definitions needed by routines that handle the editing expressions.
 * Stuff's primarily used by the scanner.
 *
 */


#define START		0		/* just starting next statment */
#define ASSIGNOP	1
#define LPAREN		2
#define RPAREN		3
#define PLUS		4
#define MINUS		5
#define TIMES		6
#define DIVIDE		7
#define UMINUS		8
#define CONSTANT	9
#define XREF		10
#define YREF		11
#define HEIGHT		12
#define WIDTH		13
#define CHWIDTH		14
#define ENDEDIT		15		/* found "end" string - done editing */
#define BUILD		16		/* found a "build" command - ends edit */


typedef struct  {

	char	*str;			/* when we find this string */
	int	code;			/* scanner returns this value */

} Tokens;

