/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: omit.c 1.2 89/10/10 $@(#)subndx:omit.c	1.3"
#include <stdio.h>
#include "cnst.h"

/*given a string, omit checks to see if it is on its list of words and
  returns the integer value TRUE or FALSE*/

omit (word)

char	*word;

#define	 longest  8				/*length of longest omit word*/
{
	int	omt_tot = 11;			/*number of omit words*/
	static char	*omt[] = {  
		"all", 		/*list of omit words*/
		"both",
		"each",
		"etc.",
		"figure",
		"many",
		"section",
		"some",
		"table",
		"these",
		"this"
	};
	char	term[longest];
	int	i, found;
	int	ulcase();			/*changes string to lower case*/

	found = FALSE;
	if (strlen(word) <= longest - 1) {
		strcpy (term, word);
		ulcase (term);
		for (i = 0; i < omt_tot; i++)
			if (strcmp (term, omt[i]) == 0)
				found = TRUE;
	}
	return (found);
}


