# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)tbl:tbl.mk	1.20"
#	text Development Support Library (DSL) tbl make file
#
# DSL 2

OL = $(ROOT)/
LDFLAGS = -s
INS = :
INSDIR = $(OL)usr/bin
CFLAGS = -O $(CCS)
SFILES = t..c t[0-9].c t[bcefgimrstuv].c
OFILES = t0.o t1.o t2.o t3.o t4.o t5.o t6.o t7.o t8.o t9.o tb.o tc.o\
	te.o tf.o tg.o ti.o tm.o tr.o ts.o tt.o tu.o tv.o
MAKE = make 
CMD	= tbl
TARGET	= $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X	= P=x CC=cc "`cat DEFS`"

native		:; $M clean all
nativeccs	:; $M $C clean all
cross		:; $M $X clean all
crossccs	:; $M $X $C clean all
cross crossccs	:  DEFS
everything	:  native nativeccs cross crossccs clean
#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS		:FRC
		  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
			echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
		  else \
			echo "DEF=" >DEFS ; \
		  fi

compile all: $(TARGET)

$(TARGET):$& $(OFILES) 
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OFILES)
	-if [ "$P" != "x" -a "$N" != "ccs" ] ;\
	then \
		$(INS) tbl $(INSDIR) ;\
		cd $(INSDIR); chmod 555 tbl; $(CH) chgrp bin tbl; chown bin tbl;\
	fi

$(OFILES):: t..c

install: clean
	$(MAKE) -f tbl.mk INS=cp ROOT=$(ROOT) CH=$(CH)

clean:
	rm -f *.o

clobber: clean
	rm -f tbl DEFS
FRC:
