# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: fmli.mk 1.2 89/10/10 $@(#)fmli:makefile	1.4"
#


INC=$(CCS_HDRS)/usr/include
USRLIB=$(CCS_LIBS)/usr/lib
LIBCURSES=$(USRLIB)/libcurses.a
CURSES_H=$(CCS_HDRS)/usr/include
CFLAGS= -O
LDFLAGS= -s

DIRS =	sys proc vt menu qued form oh oeu wish xx 



all: $&
	@set -e;\
	for d in $(DIRS);\
	do\
		cd $$d;\
		echo Making $@ in $$d subsystem;\
		$(MAKE) -f $$d.mk INC="$(INC)" USRLIB="$(USRLIB)" LIBCURSES="$(LIBCURSES)" CURSES_H="$(CURSES_H)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $@;\
		cd ..;\
	done

install: all
	@set -e;\
	for d in $(DIRS);\
	do\
		cd $$d;\
		echo Making $@ in $$d subsystem;\
		$(MAKE) -f $$d.mk INC="$(INC)" USRLIB="$(USRLIB)" LIBCURSES="$(LIBCURSES)" CURSES_H="$(CURSES_H)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $@;\
		cd ..;\
	done


clean:
	@set -e;\
	for d in $(DIRS);\
	do\
		cd $$d;\
		echo "\nMaking $@ in $$d subsystem\n";\
		$(MAKE) -f $$d.mk clean $@;\
		cd ..;\
	done

clobber:
	@set -e;\
	for d in $(DIRS);\
	do\
		cd $$d;\
		echo "\nMaking $@ in $$d subsystem\n";\
		$(MAKE) -f $$d.mk clobber $@;\
		cd ..;\
	done
