/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: fclose.c 1.3 89/10/10 $@(#)vm.form:src/form/fclose.c	1.3"

#include	<stdio.h>
#include	"wish.h"
#include	"token.h"
#include	"winp.h"
#include	"form.h"
#include	"vtdefs.h"
#include	"var_arrays.h"

int
form_close(fid)
form_id	fid;
{
	register int i;
	register char *argptr;
	register struct form *fptr;
	formfield ff, (*disp)();

	if (fid < 0 || !(FORM_array[fid].flags & FORM_USED)) {
#ifdef _DEBUG
		_debug(stderr, "form_close(%d) - bad form number\n", fid);
#endif
		return;
	}
	fptr = &FORM_array[fid];
	disp = fptr->display;
	argptr = fptr->argptr;
	for (i = 0, ff = (*disp)(0, argptr); ff.name != NULL; ff = (*disp)(++i, argptr)) 
		if (*(ff.ptr))
			endfield(*(ff.ptr));
	if (FORM_curid == fid)
		FORM_curid = -1;
	fptr->flags = 0;
	vt_close(fptr->vid);	/* close the window associated with the form */
	return(SUCCESS);
}
