# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: form.mk 1.3 89/10/10 $@(#)vm.form:src/form/form.mk	1.3"
#




INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=libform.a
HEADER1=../inc
INCLUDEDIR=	-I$(HEADER1)
AR=		ar
CFLAGS=		-O


OBJECTS = fcheck.o fclose.o fctl.o fcurrent.o fcustom.o fdefault.o frefresh.o

$(LIBRARY): $&	$(OBJECTS)
		-rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

fcheck.o:	fcheck.c $(HEADER1)/wish.h $(HEADER1)/ctl.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/vtdefs.h

fclose.o:	fclose.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h

fctl.o:	fctl.c $(HEADER1)/wish.h $(HEADER1)/ctl.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/vtdefs.h

fcurrent.o:	fcurrent.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/vtdefs.h

fcustom.o:	fcustom.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/var_arrays.h

fdefault.o:	fdefault.c $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h

frefresh.o:	frefresh.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/winp.h $(HEADER1)/form.h $(HEADER1)/attrs.h

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<

##### Standard makefile targets ######

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
