/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 *
 */

#ident	"$Header: menu.h 1.3 89/10/10 $@(#)vm.menu:src/menu/menu.h	1.1"

struct menu {
	struct menu_line	(*disp)();
	char	*arg;
	vt_id	vid;
	int	flags;
	int	index;			/* current item */
	int	hcols;			/* # of chars highlighted */
	int	topline;		/* top line displayed */
	int	number;			/* number of items */
	/* max length of highlight and description parts */
	int	hwidth;
	int	dwidth;
	/* multi-column parameters */
	int	ncols;
};

#define MENU_DIRTY	1
#define MENU_USED	2
#define MENU_CENTER	4
#define MENU_NONUMBER	8
#define ALL_MNU_FLAGS	0
#define MENU_ALL	1000	/* max number of chars to highlight on line */

extern struct menu	*MNU_array;
extern menu_id	MNU_curid;
