# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: menu.mk 1.2 89/10/10 $@(#)vm.menu:src/menu/menu.mk	1.5"
#


INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=libmenu.a
CFLAGS= -O
HEADER1=../inc
INCLUDEDIR=	-I$(HEADER1)
AR=	ar



OBJECTS = mclose.o mctl.o mcurrent.o mcustom.o mdefault.o mreshape.o stmenu.o

$(LIBRARY): $&	$(OBJECTS)
		rm -f $(LIBRARY) ; \
		$(AR) r $(LIBRARY) $(OBJECTS)

mclose.o:	mclose.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/var_arrays.h

mctl.o:	mctl.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h

mcurrent.o:	mcurrent.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h $(HEADER1)/ctl.h $(HEADER1)/color_pair.h

mcustom.o:	mcustom.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h $(HEADER1)/ctl.h

mdefault.o:	mdefault.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/terror.h $(HEADER1)/ctl.h

mreshape.o:	mreshape.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h $(HEADER1)/ctl.h

stmenu.o:	stmenu.c ./menu.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h $(HEADER1)/ctl.h $(HEADER1)/moremacros.h $(HEADER1)/message.h

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<

###### Standard makefile targets #######

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
