# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: oh.mk 1.2 89/10/10 $@(#)vm.oh:src/oh/oh.mk	1.15"
#


INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=liboh.a
HEADER1=../inc
INCLUDEDIR= -I$(HEADER1)
DFLAGS=	-DWISH
CFLAGS=	-O
AR=	ar


OBJECTS= action.o alias.o cmd.o detab.o detect.o dispfuncs.o evstr.o \
		externoot.o fm_mn_par.o getval.o helptext.o if_ascii.o \
		if_dir.o if_init.o if_exec.o if_form.o if_help.o \
		if_menu.o ifuncs.o is_objtype.o misc.o namecheck.o \
		nextpart.o obj_to_opt.o obj_to_par.o odftread.o odikey.o \
		oh_init.o ootpart.o ootread.o opt_rename.o optab.o \
		optabfuncs.o ott_mv.o partab.o partabfunc.o pathtitle.o \
		path_to_vp.o pathott.o scram.o slk.o suffuncs.o typefuncs.o \
		typetab.o

$(LIBRARY): $&	$(OBJECTS)
	rm -f $(LIBRARY)
	$(AR) r $(LIBRARY) $(OBJECTS)

action.o:	action.c $(HEADER1)/wish.h ../inc/token.h ../inc/var_arrays.h $(HEADER1)/if_menu.h $(HEADER1)/moremacros.h

alias.o:	alias.c $(HEADER1)/wish.h ../inc/token.h ../inc/slk.h ../inc/actrec.h ../inc/ctl.h $(HEADER1)/moremacros.h

cmd.o:	cmd.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h ./fm_mn_par.h $(HEADER1)/moremacros.h $(HEADER1)/eval.h

detab.o:	detab.c $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/detabdefs.h

detect.o:	detect.c $(HEADER1)/var_arrays.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/detabdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/parse.h

dispfuncs.o:	dispfuncs.c $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/partabdefs.h $(HEADER1)/moremacros.h

externoot.o:	externoot.c $(HEADER1)/tsys.h

fm_mn_par.o:	fm_mn_par.c ./fm_mn_par.h $(HEADER1)/wish.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/eval.h $(HEADER1)/vtdefs.h $(HEADER1)/actrec.h $(HEADER1)/token.h $(HEADER1)/moremacros.h

getval.o:	getval.c ./fm_mn_par.h ./objform.h $(HEADER1)/wish.h $(HEADER1)/form.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/eval.h $(HEADER1)/winp.h $(HEADER1)/token.h

helptext.o:	helptext.c

evstr.o:	evstr.c $(HEADER1)/wish.h $(HEADER1)/form.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/eval.h $(HEADER1)/winp.h $(HEADER1)/token.h ./fm_mn_par.h $(HEADER1)/moremacros.h

if_ascii.o:	if_ascii.c $(HEADER1)/wish.h $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/typetab.h $(HEADER1)/obj.h $(HEADER1)/retcds.h $(HEADER1)/procdefs.h

if_dir.o:	if_dir.c $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/ctl.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/typetab.h $(HEADER1)/moremacros.h

if_init.o:	if_init.c ./fm_mn_par.h $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/var_arrays.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/color_pair.h $(HEADER1)/attrs.h $(HEADER1)/moremacros.h

if_exec.o:	if_exec.c $(HEADER1)/wish.h $(HEADER1)/terror.h

if_form.o:	if_form.c ./fm_mn_par.h ./objform.h $(HEADER1)/wish.h $(HEADER1)/menudefs.h $(HEADER1)/token.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/form.h $(HEADER1)/terror.h $(HEADER1)/var_arrays.h $(HEADER1)/typetab.h $(HEADER1)/winp.h $(HEADER1)/eval.h $(HEADER1)/moremacros.h $(HEADER1)/message.h

if_help.o:	if_help.c ./fm_mn_par.h ./objhelp.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/form.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/typetab.h $(HEADER1)/winp.h $(HEADER1)/token.h $(HEADER1)/moremacros.h

if_menu.o:	if_menu.c ./fm_mn_par.h ./objmenu.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/var_arrays.h $(HEADER1)/terror.h $(HEADER1)/if_menu.h $(HEADER1)/typetab.h $(HEADER1)/moremacros.h

ifuncs.o:	ifuncs.c $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/obj.h $(HEADER1)/optabdefs.h $(HEADER1)/retcds.h $(HEADER1)/windefs.h $(HEADER1)/moremacros.h $(HEADER1)/token.h

is_objtype.o:	is_objtype.c $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/detabdefs.h $(HEADER1)/typetab.h

misc.o:	misc.c $(HEADER1)/tsys.h $(HEADER1)/moremacros.h

namecheck.o:	namecheck.c $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/partabdefs.h

nextpart.o:	nextpart.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

obj_to_opt.o:	obj_to_opt.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

obj_to_par.o:	obj_to_par.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/optabdefs.h

odftread.o:	odftread.c $(HEADER1)/terror.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/detabdefs.h $(HEADER1)/retcds.h $(HEADER1)/mio.h

odikey.o:	odikey.c $(HEADER1)/var_arrays.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/moremacros.h

oh_init.o:	oh_init.c $(HEADER1)/wish.h $(HEADER1)/typetab.h

ootpart.o:	ootpart.c $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/mess.h

ootread.o:	ootread.c $(HEADER1)/terror.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h $(HEADER1)/ifuncdefs.h $(HEADER1)/mess.h $(HEADER1)/mio.h

opt_rename.o:	opt_rename.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

optab.o:	optab.c $(HEADER1)/tsys.h $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h

optabfuncs.o:	optabfuncs.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

ott_mv.o:	ott_mv.c $(HEADER1)/tsys.h $(HEADER1)/if_menu.h $(HEADER1)/typetab.h $(HEADER1)/partabdefs.h

partab.o:	partab.c $(HEADER1)/tsys.h $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

partabfunc.o:	partabfunc.c $(HEADER1)/but.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/ifuncdefs.h $(HEADER1)/optabdefs.h $(HEADER1)/partabdefs.h

pathtitle.o:	pathtitle.c $(HEADER1)/wish.h

path_to_vp.o:	path_to_vp.c  $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/obj.h

pathott.o:	pathott.c $(HEADER1)/typetab.h

scram.o:	scram.c $(HEADER1)/typetab.h $(HEADER1)/obj.h $(HEADER1)/partabdefs.h $(HEADER1)/parse.h $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/exception.h $(HEADER1)/token.h $(HEADER1)/vtdefs.h $(HEADER1)/winp.h $(HEADER1)/retcds.h $(HEADER1)/moremacros.h

slk.o:	slk.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h ./fm_mn_par.h $(HEADER1)/moremacros.h

suffuncs.o:	suffuncs.c

typefuncs.o:	typefuncs.c $(HEADER1)/var_arrays.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/partabdefs.h $(HEADER1)/moremacros.h

typetab.o:	typetab.c $(HEADER1)/var_arrays.h $(HEADER1)/mio.h $(HEADER1)/tsys.h $(HEADER1)/typetab.h $(HEADER1)/partabdefs.h $(HEADER1)/moremacros.h

.c.o:
	$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDEDIR) $<

###### Standard makefile targets #####

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
