/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */

#ident	"$Header: optabfuncs.c 1.2 89/10/10 $@(#)vm.oh:src/oh/optabfuncs.c	1.4"

#include <stdio.h>
#include <string.h>
#include "but.h"
#include "tsys.h"
#include "typetab.h"
#include "ifuncdefs.h"
#include "optabdefs.h"
#include "partabdefs.h"

extern bool No_operations;
extern int Vflag;

/* functions pertaining to the object operations table (oot) and object parts
 * table (opt).
 */

struct operation **
oot_get()
{
	extern struct operation *Optab[MAX_TYPES][MAX_OPERS];
	void fcn_init();

	fcn_init();
	odftread();
	return((struct operation **)Optab);
}

struct operation **
obj_to_oot(objtype)
char *objtype;
{
	register int i;
	extern struct operation *Optab[MAX_TYPES][MAX_OPERS];
	extern struct opt_entry Partab[MAX_TYPES];

	for (i = 0; i < MAX_TYPES && Partab[i].objtype; i++) {
		if (strcmp(objtype, Partab[i].objtype) == 0 ) {
			if (!Vflag && !(Partab[i].int_class & CL_FMLI))
				return(NULL);
			if (i != MAX_TYPES-1 || No_operations == FALSE)
				return(Optab[i]);
		}
	}

	if (ootread(objtype) == O_FAIL) {
		return(NULL);
	} else {
		_debug(stderr, "External read of %s succeeded\n", objtype);
		No_operations = FALSE;
		return(Optab[MAX_TYPES - 1]);
	}
}
