/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: fclear.c 1.2 89/10/10 $@(#)vm.qued:src/qued/fclear.c	1.1"

#include <stdio.h>
#include "token.h"
#include "winp.h"
#include "fmacs.h"

/*
 * FCLEAR will clear the field from the current cursor position to
 * the end of the field
 */
fclear()
{
	register int row, col;
	register int saverow, savecol;

	saverow = Cfld->currow;
	savecol = Cfld->curcol;
	for (row = saverow, col = savecol; row <= Lastrow; row++, col = 0) {
		fgo(row, col);
		for (; col <= Lastcol; col++)
			fputchar(' ');
	}
	fgo(saverow, savecol);
}

fclearline()
{
	register int col, savecol;

	savecol = Cfld->curcol;
	for (col = savecol; col <= Lastcol; col++)
		fputchar(' ');
	fgo(Cfld->currow, savecol);
}
