# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
# 	All Rights Reserved
#
#ident	"$Header: qued.mk 1.2 89/10/10 $@(#)vm.qued:src/qued/qued.mk	1.9"
#

CURSES_H=$(CCS_HDRS)/usr/include
INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=libqued.a
HEADER1=../inc
INCLUDEDIR= -I$(CURSES_H) -I$(HEADER1)
CFLAGS = -O
AR=	ar


OBJECTS=	arrows.o copyfield.o fclear.o fgo.o fstream.o fput.o fread.o \
		initfield.o editmulti.o editsingle.o getfield.o mfuncs.o \
		multiline.o putfield.o setfield.o scrollbuf.o sfuncs.o \
		singleline.o vfuncs.o wrap.o

$(LIBRARY): $&	$(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

arrows.o: arrows.c $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/winp.h ./fmacs.h

copyfield.o: copyfield.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/moremacros.h

fclear.o: fclear.c $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/token.h

editmulti.o: editmulti.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h

editsingle.o: editsingle.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/terror.h $(HEADER1)/wish.h

fgo.o: fgo.c $(HEADER1)/winp.h ./fmacs.h

fstream.o: fstream.c $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/attrs.h

fput.o: fput.c $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/attrs.h

fread.o: fread.c $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/vt.h $(HEADER1)/vtdefs.h $(CURSES_H)/curses.h

getfield.o: getfield.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/terror.h

initfield.o: initfield.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/attrs.h

mfuncs.o: mfuncs.c $(HEADER1)/wish.h $(HEADER1)/ctl.h $(HEADER1)/winp.h $(HEADER1)/vt.h $(CURSES_H)/curses.h ./fmacs.h

multiline.o: multiline.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h

putfield.o: putfield.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h $(HEADER1)/moremacros.h $(HEADER1)/terror.h

setfield.o: setfield.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/terror.h

scrollbuf.o: scrollbuf.c $(HEADER1)/wish.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/terror.h $(HEADER1)/token.h

sfuncs.o: sfuncs.c $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h $(HEADER1)/ctl.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/attrs.h

singleline.o: singleline.c $(HEADER1)/token.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/wish.h

vfuncs.o: vfuncs.c $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h $(HEADER1)/ctl.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/terror.h

wrap.o: wrap.c $(HEADER1)/wish.h $(HEADER1)/winp.h ./fmacs.h $(HEADER1)/terror.h

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<


###### Standard makefile targets #####

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	libqued.a 
