/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: fits.c 1.2 89/10/10 $@(#)vm.vt:src/vt/fits.c	1.1"

#include	<curses.h>
#include	<term.h>
#include	"wish.h"
#include	"vtdefs.h"

unsigned	VT_firstline;
unsigned	VT_lastline;

/*
 * determines whether or not a window this big will fit with a border
 * around it
 */
bool
fits(flags, rows, cols)
unsigned	flags;
unsigned	rows;
unsigned	cols;
{
	if (!(flags & VT_NOBORDER)) {
		rows += 2;
		cols += 2;
	}
	return rows <= VT_lastline - VT_firstline && cols <= columns;
}
