/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: showdate.c 1.2 89/10/10 $@(#)vm.vt:src/vt/showdate.c	1.4"

#include	<time.h>
#include	<curses.h>
#include	"wish.h"
#include	"vtdefs.h"
#include	"status.h"
#include	"vt.h"
#include	"ctl.h"

void
showdate()
{
	register struct tm	*t;
	char	*ctime();
	static int	oldday;
	static char	*day[] = {
		"Sunday",
		"Monday",
		"Tuesday",
		"Wednesday",
		"Thursday",
		"Friday",
		"Saturday",
	};
	static char	*month[] = {
		"January",
		"February",
		"March",
		"April",
		"May",
		"June",
		"July",
		"August",
		"September",
		"October",
		"November",
		"December",
	};
	extern long	Cur_time;

	Cur_time = time( 0L );

	t = localtime(&Cur_time);
	if (oldday != t->tm_mday) {
		char	datebuf[DATE_LEN];
		register int	n, s;
		register vt_id	oldvid;
		int	r, c;
		int	datecol;

		vt_ctl(STATUS_WIN, CTGETSIZ, &r, &c);
		datecol = (c - DATE_LEN) / 2;
		oldday = t->tm_mday;
		oldvid = vt_current(STATUS_WIN);
		wgo(0, datecol);
		sprintf(datebuf, "AT&T FACE - %s %s %d, %4d", day[t->tm_wday], month[t->tm_mon], t->tm_mday, t->tm_year + 1900);
		s = strlen(datebuf);
		n = (DATE_LEN - s) / 2;
		wprintf("%*s%s%*s", n, "", datebuf, DATE_LEN - n - s, "");
		vt_current(oldvid);
	}
}
