/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: vfork.c 1.2 89/10/10 $@(#)vm.vt:src/vt/vfork.c	1.2"

#include	<curses.h>
#include	<term.h>
#include	"wish.h"

/* Functions for use before and after forking processes */

void
vt_before_fork()
{
	endwin();
}

void
vt_after_fork()
{
	/*
	 * Reset color pairs upon return from UNIX ....
	 * If this isn't a color terminal then set_def_colors()
	 * returns without doing anything
	 */
	set_def_colors();
}

void
fork_clrscr()
{
	putp(tparm(clear_screen));
	fflush(stdout);
}
