# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: vt.mk 1.2 89/10/10 $@(#)vm.vt:src/vt/vt.mk	1.13"
#

INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=libvt.a
CURSES_H=$(CCS_HDRS)/usr/include
HEADER1=../inc
INCLUDEDIR=	-I$(CURSES_H) -I$(HEADER1)
CFLAGS= 	-O
AR=		ar

OBJECTS=	fits.o hide.o highlight.o indicator.o lp.o makebox.o message.o \
		move.o offscreen.o physical.o redraw.o system.o vclose.o \
		vcolor.o vcreate.o vctl.o vcurrent.o vdebug.o vflush.o vfork.o \
		vinit.o vmark.o vreshape.o wclrwin.o wdelchar.o wgetchar.o \
		wgo.o winschar.o wprintf.o wputchar.o wputs.o wreadchar.o \
		wscrollwin.o showmail.o showdate.o status.o working.o

$(LIBRARY): $& $(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

vclose.o:	vclose.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h

vcolor.o:	vcolor.c $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/color_pair.h $(HEADER1)/moremacros.h

vcreate.o:	vcreate.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h $(HEADER1)/moremacros.h $(HEADER1)/color_pair.h

vctl.o:	vctl.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/ctl.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h

vcurrent.o:	vcurrent.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

vdebug.o:	vdebug.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/var_arrays.h

fits.o:	fits.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

vflush.o:	vflush.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h $(HEADER1)/color_pair.h

hide.o:	hide.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

highlight.o:	highlight.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/attrs.h

indicator.o:	indicator.c $(HEADER1)/vt.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

vinit.o:	vinit.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h $(HEADER1)/attrs.h $(HEADER1)/var_arrays.h $(HEADER1)/token.h

lp.o:	lp.c $(CURSES_H)/curses.h $(CURSES_H)/term.h

makebox.o:	makebox.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h

move.o:	move.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

offscreen.o:	offscreen.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h

physical.o:	physical.c $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/token.h

redraw.o:	redraw.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

system.o:	system.c $(CURSES_H)/curses.h $(HEADER1)/wish.h

vfork.o:	vfork.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h

wclrwin.o:	wclrwin.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h

wdelchar.o:	wdelchar.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

wgetchar.o:	wgetchar.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h

wgo.o:	wgo.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

winschar.o:	winschar.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

wprintf.o:	wprintf.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h

wputchar.o:	wputchar.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

wputs.o:	wputs.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/attrs.h

wreadchar.o:	wreadchar.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

wscrollwin.o:	wscrollwin.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/attrs.h

vmark.o:	vmark.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

vreshape.o:	vreshape.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

vreshape.o:	vreshape.c $(HEADER1)/vt.h $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

showmail.o:	showmail.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h

showdate.o:	showdate.c $(HEADER1)/status.h $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/ctl.h

working.o:	working.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/vt.h

status.o:	status.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h

message.o:	message.c $(CURSES_H)/curses.h $(CURSES_H)/term.h $(HEADER1)/wish.h $(HEADER1)/message.h $(HEADER1)/vtdefs.h $(HEADER1)/vt.h

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<


###### Standard makefile targets #######

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
