/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1986 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: wscrollwin.c 1.2 89/10/10 $@(#)vm.vt:src/vt/wscrollwin.c	1.1"

#include	<curses.h>
#include	"wish.h"
#include	"vtdefs.h"
#include	"vt.h"
#include	"attrs.h"

void
wscrollwin(n)
int	n;
{
	register struct vt	*v;
	int	r;
	int	c;
	register int	top;

	v = &VT_array[VT_curid];
	getmaxyx(v->win, r, c);
	r--;
	top = 0;
	if (!(v->flags & VT_NOBORDER)) {
		top++;
		r--;
	}
	while (n < 0) {
		wmove(v->win, r, 0);
		wdeleteln(v->win);
		wmove(v->win, top, 0);
		winsertln(v->win);
		n++;
	}
	while (n > 0) {
		wmove(v->win, top, 0);
		wdeleteln(v->win);
		wmove(v->win, r, 0);
		winsertln(v->win);
		n--;
	}
	v->flags |= VT_BDIRTY;
	wmove(v->win, r, c);
}
