# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: wish.mk 1.2 89/10/10 $@(#)vm.wish:src/wish/wish.mk	1.19"
#


INC=$(CCS_HDRS)/usr/include
USRLIB=$(ROOT)/usr/lib
LIBRARY=libwish.a
CFLAGS= -O
AR=	ar
DEFS = -DRELEASE='"fmli R1.1 L9.6"'
HEADER1=../inc
INCLUDEDIR= -I$(HEADER1) 
CFLAGS= -O

OBJECTS=	browse.o display.o error.o flush.o getstring.o global.o \
		mudge.o objop.o stubs.o virtual.o wdwcreate.o wdwlist.o \
		wdwmgmt.o

$(LIBRARY): $& $(OBJECTS)
		rm -f $(LIBRARY)
		$(AR) r $(LIBRARY) $(OBJECTS)

browse.o:	browse.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/moremacros.h

display.o:	display.c $(HEADER1)/wish.h  $(HEADER1)/typetab.h

error.o:	error.c $(HEADER1)/wish.h $(HEADER1)/token.h

flush.o:	flush.c $(HEADER1)/wish.h

getstring.o:	getstring.c $(HEADER1)/wish.h $(HEADER1)/vtdefs.h $(HEADER1)/token.h $(HEADER1)/actrec.h $(HEADER1)/slk.h $(HEADER1)/winp.h $(HEADER1)/moremacros.h

global.o:	global.c  $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/ctl.h $(HEADER1)/terror.h $(HEADER1)/moremacros.h
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $(DEFS) global.c

mudge.o:	mudge.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/vtdefs.h $(HEADER1)/actrec.h $(HEADER1)/slk.h $(HEADER1)/ctl.h $(HEADER1)/moremacros.h

objop.o:	objop.c $(HEADER1)/wish.h $(HEADER1)/terror.h $(HEADER1)/typetab.h $(HEADER1)/optabdefs.h $(HEADER1)/procdefs.h $(HEADER1)/moremacros.h

stubs.o:	stubs.c $(HEADER1)/wish.h $(HEADER1)/token.h

virtual.o:	virtual.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/vtdefs.h $(HEADER1)/actrec.h $(HEADER1)/slk.h $(HEADER1)/moremacros.h

wdwcreate.o:	wdwcreate.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h

wdwlist.o:	wdwlist.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/moremacros.h

wdwmgmt.o:	wdwmgmt.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/menudefs.h $(HEADER1)/vtdefs.h $(HEADER1)/moremacros.h

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDEDIR) $<

###### Standard makefile targets #######

all:		$(LIBRARY)

install:	all

clean:
		/bin/rm -f *.o

clobber:	clean
		/bin/rm -f $(LIBRARY)

.PRECIOUS:	$(LIBRARY)
