# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#
#ident	"$Header: xx.mk 1.3 89/10/10 $@(#)vm.xx:src/xx/xx.mk	1.23"
#

INC=$(CCS_HDRS)/usr/include
USR=$(ROOT)/usr
USRLIB=$(CCS_LIBS)/usr/lib
CURSES_H =$(CCS_HDRS)/usr/include
LIBWISH	=	../wish/libwish.a
LIBVT	=	../vt/libvt.a
LIBFORM	=	../form/libform.a
LIBMENU	=	../menu/libmenu.a
LIBQUED	=	../qued/libqued.a
LIBOH	=	../oh/liboh.a
LIBOEU	=	../oeu/liboeu.a
LIBPROC	=	../proc/libproc.a
LIBSYS	=	../sys/libsys.a
LIBCURSES =	$(USRLIB)/libcurses.a

BIN = $(USR)/bin
HEADER1=../inc
INCLUDEDIR=	-I$(HEADER1)

LIBS = $(LIBWISH) $(LIBOH) $(LIBOEU) $(LIBFORM) $(LIBQUED) $(LIBMENU) $(LIBPROC) $(LIBVT) $(LIBSYS) $(LIBCURSES)

CFLAGS= -O 

LDFLAGS = -s 

BCMDS =	fmli vsig 

CMDS = $(BCMDS) 

fmli: main.o $(LIBS)
	$(CC) $(LDFLAGS) -o $@ main.o $(LIBS) -lPW

main.o:	main.c $(HEADER1)/wish.h $(HEADER1)/token.h $(HEADER1)/slk.h $(HEADER1)/actrec.h $(HEADER1)/terror.h $(HEADER1)/ctl.h $(HEADER1)/vtdefs.h $(HEADER1)/status.h $(HEADER1)/moremacros.h

vsig: vsig.o
	$(CC) $(LDFLAGS) -o $@ vsig.o

vsig.o: vsig.c

.c.o:
	$(CC) $(CFLAGS) $(INCLUDEDIR) -c $<

###### Standard Makefile Targets ######

all: $&	$(CMDS)

install: all $(BIN)
	@set +e;\
	for f in $(BCMDS);\
	do\
		install -f $(BIN) $$f;\
		$(CH) chgrp bin $(BIN)/$$f;\
		$(CH) chmod 555 $(BIN)/$$f;\
		$(CH) chown bin $(BIN)/$$f;\
	done

clean: 
	@set +e;\
	for f in $(BCMDS);\
	do\
		/bin/rm -f $$f;\
	done;\
	/bin/rm -f *.o

clobber:	clean
