# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: fstyp.mk 1.2 89/10/10 $@(#)fstyp:fstyp.mk	1.3"
#
#	Makefile for the fstyp component
#

ROOT =
DIR1 = $(ROOT)/etc
DIR2 = $(ROOT)/etc/fstyp.d

INC = $(CCS_HDRS)/usr/include
LDFLAGS =
CFLAGS = -O -s -I$(INC)
STRIP = strip

OBJECTS =  4.2fstyp.o

all: fstyp 4.2fstyp

4.2fstyp:  4.2fstyp.o
	$(CC) $(CFLAGS)  -o 4.2fstyp  4.2fstyp.o  $(LDFLAGS) -lseq

clean:
	rm -f $(OBJECTS)

clobber: clean
	rm -f fstyp 4.2fstyp

install: all dir
	cpset fstyp $(DIR1) 00555 root sys
	cpset 4.2fstyp $(DIR2) 00555 root sys

dir:
	if [ ! -d $(DIR2) ] ;\
	then \
		mkdir $(DIR2) ;\
	fi

strip: all
	$(STRIP) 4.2fstyp
