/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: getpos.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/lib/getpos.c	1.5"
/* <: t-5 d :> */
#include <stdio.h>
#include "util.h"
#include "tek.h"

getpos(tkptr)
struct tekaddr *tkptr;
{
/*
 *  getpos gets and sets values of 4 byte tek addresses
 */
	char s[5];
	int i;
#if u370
	char *sptr;
	for (i=0, sptr=s; i < 5 && fread(sptr,1,1,stdin) == 1; i++, sptr++);
	if(i >= 5) {
#else
	i = fread(s,1,5,stdin);
	if( i == 5 ) {
#endif
		tkptr->ch=s[0] & 0177;
		tkptr->xh=s[1] & 0177;
		tkptr->xl=s[2] & 0177;
		tkptr->yh=s[3] & 0177;
		tkptr->yl=s[4] & 0177;
		return(SUCCESS);
	}
	else return(FAIL);
}
