/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: scaleoff.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/lib/scaleoff.c	1.2"
/* <: t-5 d :> */
#include <stdio.h>
#include "tek.h"
extern struct control ct;

scaleoff(x,y)
int *x,*y;
{	double dx,dy;
/*  scaleoff translates x and y coordinates from
 *  screen space(767 by 1023) to window space in ged universe
 *  if out of universe coordinate is set on boundary
 */
	dx = (ct.wratio * *x) + ct.w.lx;
	dy = (ct.wratio * *y) + ct.w.ly;
	if(dx>XYMAX)dx=XYMAX;  if(dx<XYMIN)dx=XYMIN;
	if(dy>XYMAX) dy=XYMAX;  if(dy<XYMIN)dy=XYMIN;
	*x=dx;  *y=dy;
	return;
}

