/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: ifind.c 1.1 90/01/19 $@(#)/usr/lib/setterm/ifind 1.0 1986/12 AT&T-UP"

/*
 * ifind.c	Find streams module in current stdin.
 *
 * Find the module given on the command line.  Return its name
 * to standard output, or "(null)" if not found.  If found,
 * exit status is 0, else 1.  If the module name is not configured,
 * the value "invalid" is returned, and exit status is 1.
 */

#include <stdio.h>
#include <stropts.h>

main(argc, argv)
	int argc;
	char **argv;
{
	char buf[256];
	register int value;

	if (argc != 2) {
		fputs("Usage: ", stderr);
		fputs(*argv, stderr);
		fputs(" <module_name>\n", stderr);
		exit(1);
	}
	strcpy(buf, *++argv);
	value = ioctl(0, I_FIND, buf);
	switch (value) {
		case 0:	 puts("(null)"); exit(1);
		case 1:  puts(buf); exit(0);
		default: puts("(invalid)"); exit(1);
	}
	/* NOTREACHED */
}
