
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1984 AT&T */
/*	  All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code	*/

/**
 **	isastream(int fd)
 **
 ** Function to test whether or not a specified file descriptor
 ** is implemented by a STREAMS driver.  Useful to be able to
 ** tell if one can PUSH protocol modules or use the poll()
 ** system call, or use the SIGPOLL signal.
 */

#ident "$Header: ias.c 1.1 90/01/12 $@(#)ias.c	1.1 89/12/01"

#include <stropts.h>
#include <errno.h>

isastream(/*int*/ fd)
int fd;
{
	int	flags = ~RS_HIPRI;

	errno = 0;
	getmsg(fd, (struct strbuf*)0, (struct strbuf*)0, &flags);
	if (errno == EBADF) {
		errno = 0;
		putmsg(fd, (struct strbuf*)0, (struct strbuf*)0, flags);
	}
	return (errno != ENOSTR);
}
