# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#
#	Copyright (c) 1988, 1989 AT&T
#	  All Rights Reserved
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.
#
#	"kbd" subsystem cmd/Makefile 1.0
#	AT&T-UP 89/02/07
#

#ident	"$Header: kbd.mk 1.5 90/01/15 $ kbd.mk "

ROOT=

TARGETS=	kbdcomp kbdload kbdpipe kbdset map

INSDIR=		$(ROOT)/usr/lib

REL=		

all:
	@for comp in $(TARGETS) ; \
	do \
		echo "\t======== $$comp"; \
		(cd $$comp; $(MAKE) "REL=$(REL)" all); \
	done

install:
	@for comp in $(TARGETS) ; \
	do \
		echo "\t======== $$comp"; \
		(cd $$comp; $(MAKE) "REL=$(REL)" "INSDIR=$(INSDIR)" install); \
	done

clean:
	@for comp in $(TARGETS) ; \
	do \
		echo "\t======== $$comp"; \
		(cd $$comp; $(MAKE) clean); \
	done

clobber:
	@for comp in $(TARGETS) ; \
	do \
		echo "\t======== $$comp"; \
		(cd $$comp; $(MAKE) clobber); \
	done

