/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: sendmail.c 1.2 89/10/10 $@(#)nlp:lib/lp/sendmail.c	1.2"
/* sendmail(user, msg) -- send msg to user's mailbox */

#include "stdio.h"
#include "pwd.h"

#include "lp.h"

extern char		*malloc();

extern void		free();

void			sendmail (user, msg)
	char			*user,
				*msg;
{
	FILE			*pfile;

	char			*mailcmd;

	if (isnumber(user))
		return;

	if ((mailcmd = malloc(strlen(MAIL) + 1 + strlen(user) + 1))) {
		sprintf (mailcmd, "%s %s", MAIL, user);
		if ((pfile = popen(mailcmd, "w"))) {
			FPRINTF (pfile, "%s\n", msg);
			pclose (pfile);
		}
		free (mailcmd);
	}
	return;
}
