# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: ls.mk 1.7 89/11/14 $@(#)ls:ls.mk	1.12"

#	Makefile for ls

ROOT =

DIR = $(ROOT)/bin

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s -lcurses -lseq -lm -lw -lgen $(LDLIBS)

CFLAGS = -O 

STRIP = strip

SIZE = size

#top#

MAKEFILE = ls.mk

MAINS = ls

OBJECTS =  ls.o

SOURCES =  ls.c

ALL:		$(MAINS)

ls:	ls.o
	$(CC) $(CFLAGS) -o ls ls.o $(LDFLAGS)

ls.o:		 $(INC)/sys/param.h \
		 $(INC)/sys/types.h \
		 $(INC)/sys/sysmacros.h \
		 $(INC)/sys/stat.h \
		 $(INC)/stdio.h \
		 $(INC)/dirent.h \
		 $(INC)/sys/dirent.h \
		 $(INC)/curses.h	\
		 $(INC)/stdio.h \
		 $(INC)/unctrl.h	\
		 $(INC)/termio.h	\
		 $(INC)/sys/termio.h \
		 $(INC)/term.h \
		 $(INC)/euc.h \
		 $(INC)/getwidth.h 

GLOBALINCS = $(INC)/curses.h \
	$(INC)/stdio.h \
	$(INC)/dirent.h \
	$(INC)/sys/dirent.h \
	$(INC)/sys/param.h \
	$(INC)/sys/stat.h \
	$(INC)/sys/sysmacros.h \
	$(INC)/sys/termio.h \
	$(INC)/sys/types.h \
	$(INC)/term.h \
	$(INC)/termio.h \
	$(INC)/unctrl.h \
	$(INC)/euc.h \
	$(INC)/getwidth.h 


clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)

newmakefile:
	makefile -m -f $(MAKEFILE)  -s INC $(INC)
#bottom#

all : ALL

install: ALL
	cpset $(MAINS) $(DIR)

size: ALL
	$(SIZE) $(MAINS)

strip: ALL
	$(STRIP) $(MAINS)

#	These targets are useful but optional

partslist:
	@echo $(MAKEFILE) $(SOURCES) $(LOCALINCS)  |  tr ' ' '\012'  |  sort

productdir:
	@echo $(DIR) | tr ' ' '\012' | sort

product:
	@echo $(MAINS)  |  tr ' ' '\012'  | \
	sed 's;^;$(DIR)/;'

srcaudit:
	@fileaudit $(MAKEFILE) $(LOCALINCS) $(SOURCES) -o $(OBJECTS) $(MAINS)
