# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: mail.mk 1.11 89/11/08 $@(#)mail:mail.mk	1.13"
#
#	mail make file
#
ROOT = 
MAILDIR = $(ROOT)/usr/mail
INSDIR = $(ROOT)/bin
MBCHNDIR=$(ROOT)/usr/lib
CFLAGS = -O
LDFLAGS = -s $(LDLIBS) -lgen
INS=:

progs:	mail mbxchown

mail:	mail.c
	$(CC) $(CFLAGS) -o mail mail.c $(LDFLAGS)
	$(INS) $(INSDIR) -m 2555 -g mail -u bin mail
	if [ "$(INS)" != ":" ]; \
	then \
		rm -f $(INSDIR)/rmail; \
		ln $(INSDIR)/mail $(INSDIR)/rmail; \
	fi

mbxchown:  mbxchown.c
	$(CC) $(CFLAGS) -o mbxchown mbxchown.c $(LDFLAGS) -lseq
	$(INS) $(MBCHNDIR) -m 4555 -g mail -u root mbxchown

all:	install clobber

ckdirs:
	@echo
	@echo mail requires the directories:
	@echo "\t$(MAILDIR)"
	@echo "\t$(MAILDIR)/:saved"
	@echo
	@echo Checking for existence of directories
	@echo
	@if [ -d $(MAILDIR) ]; \
	then \
		echo "\t$(MAILDIR) exists";\
		echo; \
	else \
		echo "\t$(MAILDIR) does not exist";\
		echo "\tCreating $(MAILDIR)"; \
		mkdir $(MAILDIR); \
		echo; \
	fi
	@if [ -d $(MAILDIR)/:saved ]; \
	then \
		echo "\t$(MAILDIR)/:saved exists";\
		echo; \
	else \
		echo "\t$(MAILDIR)/:saved does not exist";\
		echo "\tCreating $(MAILDIR)/:saved"; \
		mkdir $(MAILDIR)/:saved; \
		echo; \
	fi
	chmod 775 $(MAILDIR)
	chgrp mail $(MAILDIR)
	chmod 775 $(MAILDIR)/:saved
	chgrp mail $(MAILDIR)/:saved

install: ckdirs
	$(MAKE) -f mail.mk INS="install -f"

clean:
	-rm -f mail.o rmail.o mbxchown.o

clobber: clean
	rm -f mail rmail mbxchown
