# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: make.mk 1.13 90/04/04 $@(#)make:make.mk	1.8.1.1"

# The rules.c file can be modified locally for people who still like
#	things like fortran.

TESTDIR = .
YACCRM = rm -f
LDFLAGS = -n -s
INS = install -o
INSDIR = $(ROOT)/bin
LIBS = -lld
LIBLD= $(DESTDIR)/lib/libld.a

OBJECTS =  \
	main.o \
	doname.o \
	misc.o \
	files.o \
	rules.o \
	dosys.o \
	gram.o \
	dyndep.o \
	prtmem.o

SVAE	=
CFLAGS	= -O $(CCS) $(SVAE)
CMD     = make
TARGET  = $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X	= P=x CC=cc "`cat DEFS`"

native		:; $M clean all
nativeccs	:; $M $C clean all
cross		:
	-if [ -f /dynix ];\
	then\
		$M $X SVAE=-DSVAE LIBS=$(LIBLD) clean all ;\
	else\
		$M $X clean all ;\
	fi
crossccs	:
	-if [ -f /dynix ];\
	then\
		$M $X $C SVAE=-DSVAE LIBS=$(LIBLD) clean all ;\
	else\
		$M $X $C clean all ;\
	fi
cross crossccs	:  DEFS
everything	:  native nativeccs cross crossccs clean
#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS		:FRC
		  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
			echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
		  else \
			echo "DEF=" >DEFS ; \
		  fi
FRC             : 


all:  $(TARGET)
	@echo MAKE is up to date.

$(TARGET):$&  $(OBJECTS)
	$(CC) -o $(TESTDIR)/$@ $(LDFLAGS) $(OBJECTS) $(LIBS)
	rm -f DEFS

gram.c:	gram.y

gram.o: gram.c

$(OBJECTS):  defs

install: clean all
	$(INS) -f $(INSDIR) $(TESTDIR)/make

clean:
	-rm -f *.o
	$(YACCRM) gram.c

clobber: clean
	-rm -f $(TESTDIR)/make DEFS

.DEFAULT:
	$(GET) $(GFLAGS) -p s.$< > $<
