#! /bin/sh
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

# $Header: makealiases.sh 1.12 90/10/22 $
cd ${ROOT}/usr/catman
CAT=pcat
for i in *
do
if [ -d $i ]
then
	cd $i
	for j in *
	do
                if [ "$j" != "*" ];then
		if [ "`echo $j | egrep '\.z$'`" != "" ]
                then
                        CAT=pcat
                elif [ "`echo $j | egrep '\.Z$'`" != "" ]
                then
                        CAT=zcat
                else
                        CAT=cat
                fi
		${CAT} $j | sed -e "s/.//g" | nawk '
		{
		if ( $1 == "NAME" ) {
			namelen = split(file, name, "/")
			getline
			while(NF > 0) {
				space = $0
				while(index(space," ") == 1)
					space = substr(space, 2, length(space) -1)
				temp = temp space
				getline;
			}
			n = split(temp, command, "-")
			colon_off = index(command[1], ":")
			comands = substr(command[1], colon_off + 1, length(command[1]) - colon_off)
			if (index(comands, ",") == 0 && colon_off == 0) {
				exit
			}
			n = split(comands, com, ",")
			split(name[namelen], str1, ".")
			for (i= 1; i <= n; i++) {
				while((index(com[i]," ") == 1) || (index(com[i],"	") == 1))
					com[i] = substr(com[i], 2, length(com[i]) -1)
				if (index(com[i], " "))
					com[i] = substr(com[i], 1, index(com[i]," ")-1)
				if (index(com[i], "	"))
					com[i] = substr(com[i], 1, index(com[i],"	")-1)
				if (com[i] != str1[1]) {
					one = com[i] "." section
					printf("%-20s	%s.%s\n", one, str1[1], str1[2])
				}
			}
			exit
		} else if ( index($1, "(")) {
			section = substr($1, index($1, "(") +1, length($1) - index($1, "(")-1)
		}
		next;
		}' file=$j
		fi
	done
	cd ..
fi
done >/tmp/aliases$$
sort /tmp/aliases$$ > /usr/catman/aliases
chmod 644 /usr/catman/aliases
rm -f /tmp/aliases$$
