#
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#

# $Header: mkpwdbm.mk 1.6 89/10/16 $

DIR = $(ROOT)/etc
OBJS=	mkpwdbm.o pwdhd.o
SRCS=	mkpwdbm.c pwdhd.c
INC = $(CCS_HDRS)/usr/include
CFLAGS = -O
LDFLAGS = -s

ALL:	mkpwdbm pwdhd

mkpwdbm: mkpwdbm.c
	${CC} ${CFLAGS} ${LDFLAGS} -o mkpwdbm mkpwdbm.c -lsec

pwdhd: pwdhd.c
	${CC} ${CFLAGS} ${LDFLAGS} -o pwdhd pwdhd.c

install:	ALL
	cpset mkpwdbm ${DIR} 500 root sys
	cpset pwdhd   ${DIR} 500 root sys

clean:
	rm -f ${OBJS}

clobber:
	rm -f mkpwdbm pwdhd ${OBJS} core

lint:
	lint mkpwdbm.c
	lint pwdhd.c
