# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#

# $Header: monitor.mk 1.6 89/08/09 $
#

# Makefile for monitor

SRCS= sslib.c monitor.c setup.c munge.c display.c text.c
OBJS= sslib.o monitor.o setup.o munge.o display.o text.o
DESTDIR = $(ROOT)/etc

INC = $(CCS_HDRS)

CFLAGS= -O $(INC)
LDFLAGS= -s

all		: monitor

monitor		:$& $(OBJS)
		$(CC) $(LDFLAGS) $(OBJS) -o monitor -lseq -lcurses

lint		:
		$(LINT) $(INC) $(SRCS) -lcurses

install		: all
		install -f $(DESTDIR) -u root -g sys -m 2555 monitor

clean clobber	:
		rm -f $(OBJS) monitor

