# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: mv.mk 1.10 89/11/08 $@(#)mv:mv.mk	1.16"

#	Makefile for mv/cp/ln

ROOT =

DIR = $(ROOT)/bin

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s $(IFLAG)
LIBS = -lseq -lgen

CFLAGS = -O 

STRIP = strip

SIZE = size

LIST = lp

MAKEFILE = mv.mk

MAINS = mv ln cp

OBJECTS =  mv.o

SOURCES =  mv.c

ALL:		$(MAINS)

compile: mv.o
	$(CC) $(CFLAGS)  -o ln  mv.o   $(LDFLAGS) $(LIBS)

cp:		compile
	cpset ln cp

ln:		compile

mv:		compile 
	cpset ln mv


mv.o:		 $(INC)/stdio.h $(INC)/sys/types.h \
		 $(INC)/sys/stat.h $(INC)/errno.h \
		 $(INC)/sys/errno.h 


GLOBALINCS = $(INC)/errno.h $(INC)/signal.h $(INC)/stdio.h \
	$(INC)/sys/errno.h $(INC)/sys/signal.h \
	$(INC)/sys/stat.h $(INC)/sys/types.h 


clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)


all : ALL

install: ALL
	cpset ln $(DIR) 0555
	/bin/ln $(ROOT)/bin/ln $(ROOT)/bin/mv
	/bin/ln $(ROOT)/bin/ln $(ROOT)/bin/cp

size: ALL
	$(SIZE) ln $(LIBMAIN)

strip: ALL
	$(STRIP) ln $(LIBMAIN)

#	These targets are useful but optional

partslist:
	@echo $(MAKEFILE) $(SOURCES) $(LOCALINCS)  |  tr ' ' '\012'  |  sort

productdir:
	@echo $(DIR) | tr ' ' '\012' | sort

product:
	@echo $(MAINS) |  tr ' ' '\012'  | \
	sed 's;^;$(DIR)/;'

srcaudit:
	@fileaudit $(MAKEFILE) $(LOCALINCS) $(SOURCES) -o $(OBJECTS) $(MAINS) $(LIBMAIN)

listing:
	pr mv.mk $(SOURCE) | $(LIST)

listmk: 
	pr mv.mk | $(LIST)
