/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: noswap.c 1.2 88/04/29 $"

#include <stdio.h>
#include <sys/types.h>
#include <sys/vmsystm.h>

main(argc, argv)
	int argc;
	char *argv[];
{
	if (argc < 2) {
		fprintf(stderr, "usage: %s command\n", argv[0]);
		exit(1);
	}
	if (vm_ctl(VM_SWAPABLE, 0) < 0) {
		perror("noswap");
		exit(1);
	}
	setuid(getuid());
	execvp(argv[1], &argv[1]);
	perror(argv[1]);
	exit(1);
}
