# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

# $Header: paste.mk 1.1 89/11/20 $
#
INS = install
INSDIR = $(ROOT)/usr/bin
OBJS=	paste.o

CFILES=	paste.c 

INC = $(CCS_HDRS)/usr/include
CFLAGS = -O
LDFLAGS = -s

ALL:	paste

paste:&	${OBJS}
	${CC} ${CFLAGS} ${LDFLAGS} -o paste ${OBJS} -lgen -lw

paste.o:		$(INC)/stdio.h $(INC)/euc.h $(INC)/getwidth.h

install:	ALL
	$(INS) -m 555 -u bin -g bin -f $(INSDIR) -o paste $(INSDIR)

clean:
	rm -f ${OBJS}

clobber:
	rm -f paste ${OBJS} core

lint:
	$(LINT) $(CFILES) -lgen
