# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#


#ident	"$Header: pmap.mk 1.3 89/10/16 $"

#	Makefile for pmap

ROOT =

DIR = $(ROOT)/etc

INC = $(CCS_HDRS)/usr/include

LDFLAGS = -s -lseq $(LDLIBS)

CFLAGS = -O 

STRIP = strip

SIZE = size

#top#

MAKEFILE = pmap.mk

MAINS = pmap

OBJECTS =  pmap.o

SOURCES =  pmap.c

ALL:		$(MAINS)

pmap:	pmap.o
	$(CC) $(CFLAGS) -o pmap pmap.o $(LDFLAGS)

pmap.o:		 $(INC)/sys/types.h \
		 $(INC)/sys/ioctl.h \
		 $(INC)/sys/mman.h \
		 $(INC)/sys/pmap.h \
		 $(INC)/stdio.h

clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS)

newmakefile:
	makefile -m -f $(MAKEFILE)  -s INC $(INC)
#bottom#

all : ALL

install: ALL
	cpset $(MAINS) $(DIR) 555 root sys

size: ALL
	$(SIZE) $(MAINS)

strip: ALL
	$(STRIP) $(MAINS)
