# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: pwconv.mk 1.2 89/10/10 $@(#)pwconv:pwconv.mk	1.1"

ROOT =

DIR = $(ROOT)/usr/bin

INC = $(CCS_HDRS)/usr/include

INS = install

CFLAGS = -O -I$(INC)

#	Common Libraries and -l<lib> flags.
LDFLAGS = -s -lsec $(LDLIBS)

STRIP = strip

MAKEFILE = pwconv.mk

MAINS = pwconv

OBJECTS =  pwconv.o

SOURCES =  pwconv.c

ALL:		$(MAINS)

pwconv:		pwconv.o	
	$(CC) $(CFLAGS)  -o pwconv  pwconv.o   $(LDFLAGS)


pwconv.o:	 $(INC)/sys/types.h $(INC)/utmp.h	\
		 $(INC)/signal.h $(INC)/sys/stat.h	\
		 $(INC)/ctype.h	$(INC)/shadow.h $(INC)/unistd.h \
		 $(INC)/string.h $(INC)/pwd.h $(INC)/stdio.h 

clean:
	rm -f $(OBJECTS)
	
clobber:	
	rm -f $(OBJECTS) $(MAINS)

install:	$(MAINS) $(DIR)
	$(INS) -f $(DIR) -m 0500 -u root -g sys $(MAINS)

strip:
	$(STRIP) $(MAINS)

remove:
	cd $(DIR);  rm -f $(MAINS)

$(DIR):
	mkdir $(DIR);  $(CH)chmod 755 $(DIR);  $(CH)chown bin $(DIR)

partslist:
	@echo $(MAKEFILE) $(LOCALINCS) $(SOURCES)  |  tr ' ' '\012'  |  sort

product:
	@echo $(MAINS)  |  tr ' ' '\012'  | \
		sed -e 's;^;$(DIR)/;' -e 's;//*;/;g'

productdir:
	@echo $(DIR)
