/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: Fread.c 1.2 89/10/10 $@(#)sadmin:csub/Fread.c	1.3"
/*	
	fread(3S) with error checking
	Incomplete reads are considered errors.
	Reading End-Of-File or no items (nitem == 0) or zero-length items
	(size == 0) are considered successful reads.
*/

#include	<stdio.h>
#include	<cmderr.h>

Fread( ptr, size, nitems, stream )
char	*ptr;
int	size, nitems;
FILE	*stream;	/* file pointer */
{
	register int	countin;
	extern int	errno;

	if( feof( stream) )
		return 0;
	if( (countin = fread( ptr, size, nitems, stream )) != nitems  &&
		countin  &&  size ) {

		cmderr( CERROR, "Fread() asked for %d %d-byte item(s), got %d",
			nitems, size, countin );
	}
	return  countin;
}
