# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: cmd.mk 1.10 89/10/10 $@(#)sccs:cmd/cmd.mk	6.16"
#
#

STRIP = -strip

HDR = ../hdr

HELPLOC = $(ROOT)/usr/lib/help

LIBS = ../lib/comobj.a \
	../lib/cassi.a \
	../lib/mpwlib.a

ROOT =

BIN = $(ROOT)/usr/bin

CFLAGS = -O

LDFLAGS = -n -i

B02 = `if u370; then echo '-b0,2'; fi`
B12 = `if u370; then echo '-b1,2'; fi`

ARGS =

C_CMDS = admin	\
	comb	\
	delta	\
	get	\
	prs	\
	rmchg	\
	unget	\
	val	\
	vc	\
	what

CMDS = $(C_CMDS)

all: allcmds rmdel

allcmds: $&	$(CMDS) help help2 sccsdiff

$(CMDS): $(LIBS)
	$(CC) $(CFLAGS) $@.c $(LIBS) -o $@

help: $(LIBS)
	$(CC) $(0CFLAGS) help.c $(LIBS) -o help

help2: $(LIBS)
	$(CC) $(CFLAGS) help2.c $(LIBS) -o help2

rmdel:	rmchg $(LIBS)
	-ln rmchg rmdel

sccsdiff:	sccsdiff.sh
	cp sccsdiff.sh sccsdiff

$(LIBS):
	cd ../lib; $(MAKE) -f lib.mk

install:	all
	$(STRIP) $(C_CMDS)
	$(STRIP) help help2
	$(CH)-chmod 555 $(CMDS) rmdel help help2 sccsdiff
	$(CH)-chgrp bin $(CMDS) rmdel help2 sccsdiff
	$(CH)-chown bin $(CMDS) rmdel help2 sccsdiff
	-mv $(CMDS) rmdel sccsdiff $(BIN)
	rm -f $(BIN)/cdc
	ln $(BIN)/rmdel $(BIN)/cdc
	rm -f $(BIN)/sact
	ln $(BIN)/unget $(BIN)/sact
	#if [ ! -d $(HELPLOC) ] ; then mkdir $(HELPLOC) ; fi
	#if [ ! -d $(HELPLOC)/lib ] ; then mkdir $(HELPLOC)/lib ; fi
	-mv help2 $(HELPLOC)/lib
	if i386 || u3b15 || u3b2 ; \
	then \
		cpset help $(HELPLOC)/lib ; \
	else \
		cpset help $(BIN) ; \
	fi

clean:
	-rm -f *.o
	-rm -f rmchg

clobber:	clean
	-rm -f $(CMDS) rmdel help help2 sccsdiff
