# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: sccs.mk 1.4 89/10/10 $@(#)sccs:sccs.mk	6.3"
ROOT =
BIN = $(ROOT)/usr/bin
HELPLIB = $(ROOT)/usr/lib/help
CFLAGS= -O
PARAMS=

all: libs cmds helplib
	@echo "SCCS is built"

libs:
	cd lib; $(MAKE) -e -f lib.mk

cmds:
	cd cmd; $(MAKE) -e -f cmd.mk $(PARAMS)

helplib:
	cd help.d; $(MAKE) -e -f help.mk

install:
	cd lib; $(MAKE) -e -f lib.mk install
	cd cmd; $(MAKE) -e -f cmd.mk $(PARAMS) BIN=$(BIN) install
	cd help.d; $(MAKE) -e -f help.mk HELPLIB=$(HELPLIB) install

clean:
	cd lib; $(MAKE) -e -f lib.mk clean
	cd cmd; $(MAKE) -e -f cmd.mk clean
	cd help.d; $(MAKE) -e -f help.mk clean

clobber:
	cd lib; $(MAKE) -e -f lib.mk clobber
	cd cmd; $(MAKE) -e -f cmd.mk clobber BIN=$(BIN)
	cd help.d; $(MAKE) -e -f help.mk clobber HELPLIB=$(HELPLIB)
