
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: sdiff.mk 1.2 90/02/06 $@(#)sdiff:sdiff.mk	1.10"
#	sdiff make file

ROOT =
OL = $(ROOT)/
SL = $(ROOT)/usr/src/cmd
RDIR = $(SL)
INS = :
REL = current
LIST = lp
INSDIR = $(OL)usr/bin
IFLAG = -n
LDFLAGS = -s $(IFLAG)
LIBDIR = -lgen -lw
CFLAGS = -O $(FFLAG)
SOURCE = sdiff.c
MAKE = make

compile all: sdiff
	:

sdiff: sdiff.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o sdiff sdiff.c $(LIBDIR)
	$(INS) $(INSDIR) sdiff

install:
	$(MAKE) -f sdiff.mk INS="install -f" OL=$(OL)

build:	bldmk
	get -p -r`gsid sdiff $(REL)` s.sdiff.c $(REWIRE) > $(RDIR)/sdiff.c
bldmk:  ;  get -p -r`gsid sdiff.mk $(REL)` s.sdiff.mk > $(RDIR)/sdiff.mk

listing:
	pr sdiff.mk $(SOURCE) | $(LIST)
listmk: ;  pr sdiff.mk | $(LIST)

edit:
	get -e s.sdiff.c

delta:
	delta s.sdiff.c
	rm -f $(SOURCE)

mkedit:  ;  get -e s.sdiff.mk
mkdelta: ;  delta s.sdiff.mk

clean:
	  :

clobber:  clean
	  rm -f sdiff

delete:	clobber
	rm -f $(SOURCE)
