/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*
 * $Header: sweepd.h 1.2 89/08/07 $
 */

/*
 * $Log:	sweepd.h,v $
 */

#define KMEM_FILENAME	"/dev/kmem"
#define DYNIX_FILENAME	"/unix"
#define IGNORE_FILENAME	"/etc/sweepd.ignore"
#define RULES_FILENAME	"/etc/sweepd.rules"

#define DRIVES_PER_PROCESS	12
#define ALIGN			16	/* align read buffer by this */
#define FORCEREADSIZE		512
#define UNITENDSLOP		64      /* in sectors */ 
#define MAXDRIVES		100	/* max supported drives */

struct d_unit {			/* one per physical drive */
    int unit_fd;		/* file descriptor for raw partition */
    int unit_type;		/* index to dtypes array */
    int unit_no;		/* unit number for type (i.e. the 2 in zd2) */
    int unit_size;		/* partition size in sectors USE A FLOAT??? */
};

caddr_t calloc();
caddr_t malloc();
long	random();
