/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: tty.c 1.4 89/11/28 $@(#)tty:tty.c	1.3"

/*
** Type tty name
*/

#include	"stdio.h"
#include	"sys/stermio.h"

char	*ttyname();

extern int	optind;
int		lflg;
int		sflg;

extern char *gettxt();

main(argc, argv)
char **argv;
{
	register char *p;
	register int	i;

	while((i = getopt(argc, argv, "ls")) != EOF)
		switch(i) {
		case 'l':
			lflg = 1;
			break;
		case 's':
			sflg = 1;
			break;
		case '?':
			printf(gettxt("tty:1", "Usage: tty [-l] [-s]\n"));
			exit(2);
		}
	p = ttyname(0);
	if(!sflg)
		printf("%s\n", (p? p: gettxt("tty:2", "not a tty")));
	if(lflg) {
		if((i = ioctl(0, STWLINE, 0)) == -1)
			printf(gettxt("tty:3", "not on an active synchronous line\n"));
		else
			printf(gettxt("tty:4", "synchronous line %d\n"), i);
	}
	exit(p? 0: 1);
}
