# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T Technologies, Inc.
#	All Rights Reserved
#
#ident	"$Header: vinstall.mk 1.2 89/10/10 $@(#)vm.vinstall:src/vinstall/vinstall.mk	1.16"
#
# vinstall.mk -- the makefile for the install subsystem of FACE
#

INC=$(CCS_HDRS)/usr/include
USRLIB=$(CCS_LIBS)/usr/lib
USR =	$(ROOT)/usr
CFLAGS=	-O
LDFLAGS= -s

ACMDS = usrmgmt viewsetup servmgmt addserv delserv modserv

LCMDS = vmsetup   vsetup

ADMINS = DESC

VBIN = $(USR)/vmsys/bin

BIN = $(USR)/vmsys $(USR)/vmsys/bin $(USR)/oasys $(USR)/oasys/bin

MKDIR = mkdir

SYSADM = $(USR)/admin/menu/packagemgmt/FACE

TMP = $(USR)/oasys/tmp

TERRLOG = $(TMP)/TERRLOG

all:		compile

compile:  	$(ACMDS) $(LCMDS)

install: $& 	compile  $(TERRLOG)
		@set +e;\
		for i in $(ACMDS);\
		do\
			install -f $(SYSADM) $$i;\
			$(CH)chmod 444 $(SYSADM)/$$i;\
			$(CH)chgrp sys $(SYSADM)/$$i;\
			$(CH)chown root $(SYSADM)/$$i;\
		done;\
		for i in $(ADMINS);\
		do\
			install -f $(SYSADM) $$i;\
			$(CH)chmod 444 $(SYSADM)/$$i;\
			$(CH)chgrp sys $(SYSADM)/$$i;\
		done;\
		for i in $(LCMDS);\
		do\
			install -f $(VBIN) $$i;\
		done

clean:
	@set +e;\
	for i in $(ACMDS);\
	do\
		/bin/rm -f $$i;\
	done;\
	for i in $(LCMDS);\
	do\
		/bin/rm -f $$i;\
	done

clobber:	clean

$(TERRLOG):
	> $@ ;\
	$(CH)chmod 622 $@

.c:
	$(CC) -c $(CFLAGS) $(LDFLAGS) -o $@ $<

.o:
	$(CC) $(LDFLAGS) -o $@ $<
.sh :
	rm -f $@
	/bin/cp $< $@
	$(CH)chmod 755 $@

