#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
# Copyright  (c) 1985 AT&T
#	All Rights Reserved
#
#ident	"$Header: dir_copy.sh 1.4 89/10/10 $@(#)vm:xx/dir_copy.sh	1.1"

# usage: dir_copy source destination
# no need to redirect stderr in this file, spawnv
set -e
pwd=`pwd`
if [ -n "$3" ]
then
	path="$2/$3"
else
	path="$2/`basename $1`"
fi
mkdir "$path" 2>/dev/null

# make sure path is absolute so we can get to it from "$1" directory

if [ `expr "$path" : '/.*' || :` = 0 ]
then
	path="$pwd/$path"
fi
cd "$1"
find . -print | cpio -pmud "$path"
