#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#ident	"$Header: wchrtbl.mk 1.3 90/03/23 $@(#)wchrtbl:wchrtbl.mk	1.1"

#	Makefile for wchrtbl

ROOT =

DIR = $(ROOT)/usr/bin

INC = $(CCS_HDRS)/usr/include

LDFLAGS = $(LDLIBS)

STRIP = strip

SIZE = size

MAINS= wchrtbl

CFLAGS	= -O $(CCS)
CMD     = wchrtbl
TARGET  = $P$N$(CMD)
M	= $(MAKE) -f $(CMD).mk
C	= CCS=-DCCS=1 N=ccs
X	= P=x CC=cc "`cat DEFS`" CFLAGS="$(CFLAGS) -I/usr/include -I$(INC)"

all : clean wchrtbl

crossccs: DEFS ; $M $X $C clean wchrtbl

#################################################################
#  we have to be real careful to not undef something to		#
#  cpp that we may want to define again since it is "sticky"	#
#################################################################
DEFS	:FRC
	  -if [ "$(NATIVE)" != "$(MACHINE)" ]; then \
		echo "DEF=-U$$(NATIVE) -D$$(MACHINE) -Dsequent" >DEFS; \
	  else \
		echo "DEF=" >DEFS ; \
	  fi
FRC	:

MAKEFILE = $(CMD).mk

OBJECTS =  wchrtbl.o

SOURCES =  wchrtbl.c

$(CMD):		wchrtbl.o 
	$(CC) $(CFLAGS)  -o wchrtbl  wchrtbl.o   $(LDFLAGS)


wchrtbl.o:	 $(INC)/stdio.h $(INC)/ctype.h $(INC)/widec.h $(INC)/wctype.h \
		 $(INC)/varargs.h $(INC)/string.h $(INC)/signal.h



clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(OBJECTS) $(MAINS) DEFS

install: all
	cpset $(MAINS) $(DIR)

size: all
	$(SIZE) $(MAINS)

strip: all
	$(STRIP) $(MAINS)

#	These targets are useful but optional

partslist:
	@echo $(MAKEFILE) $(SOURCES) $(LOCALINCS)  |  tr ' ' '\012'  |  sort

productdir:
	@echo $(DIR) | tr ' ' '\012' | sort

product:
	@echo $(MAINS)  |  tr ' ' '\012'  | \
	sed 's;^;$(DIR)/;'

srcaudit:
	@fileaudit $(MAKEFILE) $(LOCALINCS) $(SOURCES) -o $(OBJECTS) $(MAINS)
