
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/
#ident "$Header: sizeof.c 1.1 90/01/19 $@(#)sizeof.c	1.1 89/12/01"
#include "xs.h"
#include "names.h"
#include "stack.h"
#include "types.h"
#include "anal.h"
#include "body.h"
#include "sizeof.h"
#include "xdefs.h"

static bool is_var;
static TYPEP siz_id;
static int siz_lev;

extern char *gettxt();

void
do_sizeof(sizof, term)
  TOKEN sizof, term;
{
  TYPEP re;
  char *name;
  is_sizeof = FALSE;
  
  if (!is_var)
    return;
    
  is_var = FALSE;

  re = id_re(siz_id);

    
  if (re_si(re) == 0){
    name = na_unique();
    while (!is_null_type(re)){
      re_si_new(re, name);
      re = re_next(re);
    }
    act_e_replace(sizof.t_off, sizof.t_len + term.t_len, "%s", name);
  } else {
    name = re_si(re);
    act_e_replace(sizof.t_off, sizof.t_len + term.t_len, "%s", name);
    return;
  }
  if (is_global(siz_id))
    repl_sizeof_global(siz_id);
  else
    repl_sizeof_local(siz_lev, siz_id);
}

void  
sizeof_check(name)
  TOKEN name;
{
  TYPEP aux;

  if (is_null_type(aux = a_ident_isin(name.t_name, &siz_lev))){
    uerror(gettxt("xs:67","%s undefined"), name.t_name);
    return;
  }
  if (id_flag(aux) & IDENT_ARRAY)
    is_var = TRUE;
  siz_id = aux;
}
