
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/
#ident "$Header: stack.h 1.1 90/01/19 $@(#)stack.h	1.1 89/12/01"
/*
 * Stacks handling
 */
typedef struct {
  int st_s_top, st_max;
  char **st_data;
} STACK;

void st_push();
STACK *st_creat();
void st_free();

#define st_nelem(st)	((st)->st_s_top + 1)
#define st_pop(st)			((st)->st_data[st->st_s_top--])
#define st_top(st)			((st)->st_data[st->st_s_top])
#define st_bot(st)			((st)->st_data[0])
#define st_elem(st, i)			((st)->st_data[i])
#define st_set_elem(st, i, elem)	(st)->st_data[i] = elem
