
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/
#ident "$Header: xs.h 1.1 90/01/19 $@(#)xs.h	1.1 89/12/01"
#include <malloc.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>

#define MAXPATHLEN	1024
#define MAXNAMELEN	14

#define OUTFILE		"%s.x"
#define MSGFILE		"%s.m"

#define STRINGS_REPLACE "strings_replace"
#define STRINGS_INIT	"strings_init"
#define STRINGS_UNIQUE	"_XX"

#define SZLONG		4
#define SZINT		4
#define SZCHAR		1
#define FP_ATOF		atof

#define fatal		cerror

typedef int bool;

#define FALSE	0
#define TRUE	1


/*
 * Names & strings
 */
#define NS_SIZE		1024	/* size of a memory block */
#define NS_LEN		10	/* Initial # of entries for memory blocks */
#define HASH_SIZE	5	/* Initial # of hash tables in a name table */
#define HASH_INC	1013	/* # of entries in each hash table */

/*
 * Stacks
 */
#define ST_INC	10		/* stack size start size/increment */


/*
 * Types tables
 */
#define TY_SIZE		512	/* type table size */
#define TY_T_SIZE	5	/* table of type tables start size/increment */
#define NSYSENTRIES	10	/* system types table size */
#define NCLASSENTRIES	10	/* storage classes table size */

/*
 * Initializations scanning
 */
#define EXPRLEN	1024		/* Maximum initialization expression length */

/*
 * Actions
 */
#define ACT_TAB_LEN	100	/* Length of actions hash table */
