# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#
#	Copyright (c) 1984 AT&T
#	  All Rights Reserved  
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any   
#	actual or intended publication of such source code.

#ident "$Header: xs.mk 1.2 90/01/29 $@(#)Makefile	1.4 89/12/01"

CFLAGS= -I$(CCS_HDRS)/usr/include
LIB=$(ROOT)/lib

OBJS=	names.o stack.o types2.o types.o types3.o init.o anal.o string.o\
	sizeof.o scan.o y.tab.o args.o body.o catalog.o\
	error.o expr.o xdefs.o xs.o symtab.o act.o desc.o 

HDRS=	xs.h names.h types.h stack.h mfile1.h manifest.h anal.h desc.h
LIBS=-ly -lgen

all:		xs

install:	all
	install -f $(LIB) xs

uninstall:
	rm -f $(LIB)/xs

xs:	$& $(OBJS)
	$(CC) $(CFLAGS) -o xs $(OBJS) $(LIBS)

clobber:
	rm -f *.o y.tab.c xs core

clean:
	rm -f *.o y.tab.c core

$(OBJS): $(HDRS)

y.tab.o: y.tab.c
	$(CC) $(CFLAGS) -c y.tab.c

y.tab.c: cgram.y
	$(YACC) cgram.y
