/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ifndef _DIRENT_H_

#ident	"$Header: dirent.h 1.6 89/10/10 $@(#)head:dirent.h	1.1"
/* ____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section  *
 * 5.1.1 of 1003.1-1988 which should be refered to before making any   *
 * changes.                                                	       *
 *_____________________________________________________________________*/

#ifndef _POSIX_SOURCE
#define MAXNAMLEN	512		/* maximum filename length */
#define DIRBUF		8192		/* buffer size for fs-indep. dirs */
#endif /* _POSIX_SOURCE */


typedef struct
	{
	int	dd_fd;			/* file descriptor */
	int	dd_loc;			/* offset in block */
	int	dd_size;		/* amount of valid data */
	char	*dd_buf;		/* directory block */
	}	DIR;			/* stream data from opendir() */

extern DIR		*opendir();
extern struct dirent	*readdir();
extern long		telldir();
extern void		seekdir();
extern void		rewinddir();
extern int		closedir();

#define rewinddir( dirp )	seekdir( dirp, 0L )
#include <sys/dirent.h>

#define _DIRENT_H_
#endif /*_DIRENT_H_ */
