/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: pwd.h 1.8 89/10/10 $@(#)head:pwd.h	1.3"

#ifndef	_PWD_H_

#include <sys/types.h>

/* ____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section  *
 * 9.2.2.2 of 1003.1-1988 which should be refered to before making any *
 * changes.                                                	       *
 *_____________________________________________________________________*/

/*	3.0 SID #	1.2	*/
struct passwd {
	char	*pw_name;
	char	*pw_passwd;
	uid_t	pw_uid;
	gid_t	pw_gid;
	char	*pw_age;
	char	*pw_comment;
	char	*pw_gecos;
	char	*pw_dir;
	char	*pw_shell;
};

struct comment {
	char	*c_dept;
	char	*c_name;
	char	*c_acct;
	char	*c_bin;
};

extern struct passwd *getpwuid();
extern struct passwd *getpwnam();
extern struct passwd *getpwent();
extern struct passwd *fgetpwent();

#define	_PWD_H_
#endif	/*_PWD_H_*/

