/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: setjmp.h 1.11 90/09/07 $@(#)head:setjmp.h	1.9"
#ifndef _SETJMP_H_

/* ____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section  *
 * 8.3.1.1 of 1003.1-1988 which should be refered to before making any *
 * changes.                                                	       *
 *_____________________________________________________________________*/

#ifndef _JBLEN

#if vax || M32 || u3b15 || u3b5 || u3b2
#define _JBLEN	10
#endif

#if pdp11
#define _JBLEN	3
#endif

#if u370
#define _JBLEN	4
#endif

#if u3b
#define _JBLEN	11
#endif

#if i386
#define _JBLEN	6
#endif

typedef int jmp_buf[_JBLEN];
typedef int sigjmp_buf[_JBLEN+3];	/* allow 1 int expansion */

extern int setjmp();
extern void longjmp();
extern int sigsetjmp();
extern void siglongjmp();

#ifndef	sigsetjmp
/*
 * POSIX requires that sigsetjmp() be a macro.
 */
#ifndef lint

#define sigsetjmp(env, savemask)	_sigsetjmp((env), (savemask))

#endif  /* lint		*/
#endif  /* sigsetjmp	*/

#endif	/*_JBLEN*/

#define	_SETJMP_H_
#endif  /*_SETJMP_H_*/


