	.file	"move.s"
/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */


/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

	.ident	"$Header: move.s 1.4 89/10/10 $@(#)libPW:i386/move.s	1.0"

/*
 *	char *
 *	move(a,b,n)
 *	register char *a, *b;
 *	int n;
 *	{
 *		register i;
 *		char *rs;
 *	
 *		rs = b;
 *		for (i=0; i<n; i++)
 *			*b++ = *a++;
 *		return(rs);
 *	}
 */

/* THIS CAN FAIL IF MOVE OVERLAPS (BUT SO DOES EQUIV C CODE) */

#include "sys.s"

ENTRY(move)
	movl	%esi,%eax	/* save %esi */
	movl	%edi,%edx	/* save %edi */
	movl	SPARG0,%esi	/* %esi = source */
	movl	SPARG1,%edi	/* %edi = destination */
	movl	SPARG2,%ecx	/* %ecx = # of bytes */
	shrl	$2,%ecx		/* %ecx = # of dwords */
	rep ;	smovl		/* move dwords (nop if zero) */
	movb	SPARG2,%cl	/* %cl = low order byte count */
	andb	$3,%cl		/* %cl = remaining bytes to transfer */
	rep ;	smovb		/* move bytes (nop if zero) */
	movl	%edx,%edi	/* restore %edi */
	movl	%eax,%esi	/* restore %esi */
	movl	SPARG1,%eax	/* return argument b */
	ret
