/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)$Header: frexp.c 1.4 89/10/10 $"
/*LINTLIBRARY*/
/*
 * double 
 * frexp (value, eptr)
 *		double value;
 *		int *eptr;
 * returns a double x such that x = 0 or 0.5 <= |x| < 1.0
 * and stores an integer n such that the value = x * 2 ** n
 * indirectly through eptr.
 *
 */
#include <nan.h>

asm	double
xfrexp(val,contwo,ptr)
{
%mem	val,contwo,ptr;
	movl	ptr,%eax
	fldl	val
	fxtract
	fxch	%st(1)
	fistpl	(%eax)
	fidiv	contwo
	incl	(%eax)
#if !i387
	fstpl	val
	wloadl	val,%fp2
#endif
}

double
frexp(value, eptr)
double	value;		/* don't declare register, because of KILLNaN! */
int	*eptr;
{
	static int contwo = 2;

	KILLNaN(value);	/* raise exception on Not-a-Number */
	*eptr = 0;
	if (value == 0.0)	/* nothing to do for zero */
		return (value);
	return (xfrexp(value,contwo,eptr));
}
