	.file	"memcpy.s"
/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code.	*/

	.ident	"@(#)$Header: memcpy.s 1.3 89/10/10 $"

/* Copy s2 to s1, always copy n bytes. */

/*
 *	char *
 *	memcpy(s1, s2, n)
 *	register char *s1, *s2;
 *	register int n;
 *	{
 *		register char *os1 = s1;
 *		while (--n >= 0)
 *			*s1++ = *s2++;
 *		return (os1);
 *	}
 */

#include "sys.s"

ENTRY(memcpy)
	movl	%edi,%edx	/* save %edi */
	movl	%esi,%eax	/* save %esi */
	movl	SPARG0,%edi	/* %edi = dest address */
	movl	SPARG1,%esi	/* %esi = source address */
	movl	SPARG2,%ecx	/* %ecx = length of string */
	shrl	$2,%ecx		/* %ecx = number of dwords to move */
	rep;	smovl		/* move dwords */
	movb	SPARG2,%cl
	andb	$3,%cl		/* %ecx = number of bytes left */
	rep;	smovb		/* move remaining bytes */
	movl	%edx,%edi	/* restore %edi */
	movl	%eax,%esi	/* restore %esi */
	movl	SPARG0,%eax	/* return first argument */
	ret
