	.file	"memset.s"
/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1986 AT&T	*/
/*	All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code.	*/

	.ident	"@(#)$Header: memset.s 1.4 89/10/10 $"

/*
 * Set an array of n chars starting at sp to the character c.
 * Return sp.
 */

/*
 *	char *
 *	memset(sp, c, n)
 *	register char *sp, c;
 *	register int n;
 *	{
 *		register char *sp0 = sp;
 *	
 *		while (--n >= 0)
 *			*sp++ = c;
 *		return (sp0);
 *	}
 */

#include "sys.s"

#define	TUNE_MEMSET	4

ENTRY(memset)
	movl	%edi,%edx	/* save %edi */
	movl	SPARG0,%edi	/* %edi = destination string */
	movb	SPARG1,%al	/*  %al = fill character */
	movl	SPARG2,%ecx	/* %ecx = byte count */
	cmpl	$TUNE_MEMSET,%ecx /* string length that should use dwords */
	jb	.byteset
	movb	%al,%ah
	shll	$16,%eax
	movb	SPARG1,%al
	movb	%al,%ah		/* %eax = 4 copies of fill char */
	shrl	$2,%ecx		/* %ecx = number of dwords */
	rep;	sstol		/* dword store string */
	movb	SPARG2,%cl
	andb	$3,%cl		/* finish any odd bytes left */
.byteset:
	rep;	sstob		/* byte store string */
	movl	%edx,%edi	/* restore %edi */
	movl	SPARG0,%eax	/* return string address */
	ret
