	.file	"strcat.s"
/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1986 AT&T	*/
/*	All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code.	*/

	.ident	"@(#)$Header: strcat.s 1.3 89/10/10 $"

/*
 * Concatenate s2 on the end of s1.  S1's space must be large enough.
 * Return s1.
 */

/*
 *	char *
 *	strcat(s1, s2)
 *	register char *s1, *s2;
 *	{
 *		register char *os1;
 *	
 *		os1 = s1;
 *		while(*s1++)
 *			;
 *		--s1;
 *		while(*s1++ = *s2++)
 *			;
 *		return(os1);
 *	}
 */

#include "sys.s"

#define	STRCAT \
	; slodb			/* 5, get byte, incr %esi */	\
	; sstob			/* 4, put byte, incr %edi */	\
	; testb %al,%al		/* 2, end of string? */		\
	; jz	strcat_done	/* 3 or 7+M */

ENTRY(strcat)
	pushl	%esi		/* save %esi */
	pushl	%edi		/* save %edi */
	xorl	%ecx,%ecx
	decl	%ecx		/* large count */
	movl	8+SPARG0,%edi	/* s1 */
	movl	8+SPARG1,%esi	/* s2 */
	xorb	%al,%al		/* match null in %al */

	repnz;	scab		/* scan forward till null byte */

	decl	%edi		/* backup to null byte */

strcat_loop:
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	STRCAT			/* 14 */
	jmp	strcat_loop	/* 8 */

strcat_done:
	movl	8+SPARG0,%eax	/* s1 is return value */
	popl	%edi
	popl	%esi
	ret
