	.file	"strncmp.s"
/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1986 AT&T	*/
/*	All Rights Reserved	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any	*/
/*	actual or intended publication of such source code.	*/

	.ident	"@(#)$Header: strncmp.s 1.3 90/05/03 $"

/*
 * Compare strings (at most n bytes)
 *	returns: s1>s2; >0  s1==s2; 0  s1<s2; <0
 */

/*	#include <sys/types.h>
 *	int
 *	strncmp(s1, s2, n)
 *	register char *s1, *s2;
 *	register size_t n;
 *	{
 *		n++;
 *		if(s1 == s2)
 *			return(0);
 *		while(--n > 0 && *s1 == *s2++)
 *			if(*s1++ == '\0')
 *				return(0);
 *		return((n == 0)? 0: ((unsigned)*s1 - (unsigned)*--s2));
 *	}
 */

#include "sys.s"

#define	STRNCMP(jcc,label) \
	decl %ecx ; jz .equal ; slodb ; scab ; jne .nequal ; \
	testb %al,%al ; jcc label

ENTRY(strncmp)
	movl	%esi,%edx	/* save %esi */
	pushl	%edi		/*      %edi */
	movl	4+SPARG0,%esi	/* %esi = s1 */
	movl	4+SPARG1,%edi	/* %edi = s2 */
	cmpl	%esi,%edi	/* same string? */
	je	.equal
	movl	4+SPARG2,%ecx	/* %ecx = length */
	incl	%ecx		/* pre increment count */

.loop:
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(je,.equal)
	STRNCMP(jne,.loop)
				/* fall into ... */
.equal:
	popl	%edi		/* restore %edi */
	movl	%edx,%esi	/*         %esi */
	xorl	%eax,%eax	/* return zero */
	ret

.nequal:
	movzbl	%al,%eax	/* no sign extension */
	movzbl	-1(%edi),%ecx	/* %ecx = *s2 */
	subl	%ecx,%eax	/* *s1 - *s2 */
	movl	%edx,%esi	/* restore %esi */
	popl	%edi		/*         %edi */
	ret
