/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: perror.c 1.4 89/10/23 $@(#)libc-port:gen/perror.c	1.7"
/*	3.0 SID #	1.2	*/
/*LINTLIBRARY*/
/*
 * Print the error indicated
 * in the cerror cell.
 */

extern int errno, sys_nerr, strlen(), write();
extern char *sys_errlist[];

extern char *_gettxt();

void
perror(s)
char	*s;
{
	register char *c;
	register int n;
	register unsigned  m;

	c = _gettxt("libc:1", "Unknown error");
	if(errno >= 0 && errno < sys_nerr) {
		char *msgid[10];
		sprintf(msgid,"syserr:%d", errno+1);
		c = _gettxt(msgid, sys_errlist[errno]);
	}
	n = strlen(s);
	if(n) {
		(void) write(2, s, (unsigned)n);
		(void) write(2, ": ", 2);
	}
	m = (unsigned)strlen(c);
	(void) write(2, c, m);
	(void) write(2, "\n", 1);
}
