/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: getc.c 1.1 89/05/04 $"

/*______________________________________________________________________*
 * This file forms part of the POSIX requirement described in section   *
 * 8.1 of 1003.1-1988 which should be referred to before making any     *
 * changes.							        *
 *______________________________________________________________________*/

/*LINTLIBRARY*/
/*
 * A subroutine version of the macro getc
 */
#include "shlib.h"
#include <stdio.h>
#undef getc

int
getc(stream)
register FILE *stream;
{
	if (--stream->_cnt < 0)
		return(_filbuf(stream));
	else
		return((int)*stream->_ptr++);
}
