/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: overlay.c 1.3 89/10/10 $@(#)curses:screen/overlay.c	1.4"
# include	"curses.ext"

# define	min(a,b)	((a) < (b) ? (a) : (b))

/*
 *	This routine writes Srcwin on Dstwin non-destructively.
 *
 */
int
overlay(Srcwin, Dstwin)
register WINDOW	*Srcwin, *Dstwin;
{
	register int miny, minx;

# ifdef DEBUG
	if(outf) fprintf(outf, "OVERLAY(%0.2o, %0.2o);\n", Srcwin, Dstwin);
# endif
	miny = min(Srcwin->_maxy, Dstwin->_maxy) - 1;
	minx = min(Srcwin->_maxx, Dstwin->_maxx) - 1;
# ifdef DEBUG
	if(outf) fprintf(outf, "OVERLAY:\tminx = %d,  miny = %d\n", minx, miny);
# endif
	return copywin(Srcwin, Dstwin, 0, 0, 0, 0, miny, minx, TRUE);
}
