/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1987 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: nllang.c 1.3 90/05/20 $@(#)nllang.c	1.3 89/12/01"

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <nl_types.h>
#include <langinfo.h>
#include <locale.h>

/*
 * nl_langinfo -- return information that is culture dependent 
 *
 * SYNOPSIS:
 *	char *
 *	nl_langinfo(item)
 *	char *item;
 *
 * DESCRIPTION:
 *	This function is found in the X/OPEN guide, section on nl_langinfo(3C).
 *
 * RETURN:
 *	This function returns a null string when the
 *	information cannot be found.
 */


#define	DEF_LANGINFO	"/LANGINFO"

extern char *getenv(), *malloc(), *memchr();
extern char *_inmem[];

char *
nl_langinfo(item)
nl_item item;
{
	char *result;
	char *name;
	static char *null = "";
		

	/*
	 * quick check for argument
	 */

	if ((item < 1 ) || (item > MAXSTRMSG))
		return(null);

	return(_inmem[item]);
}
