# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: libl.mk 1.7 89/10/10 $@(#)libl:libl.mk	1.7"
ROOT=
LIB=$(ROOT)/lib
USRLIB=$(ROOT)/usr/lib
USRLIBP=$(ROOT)/usr/lib/libp

AR=ar
CC=cc
CFLAGS=
LORDER=lorder
LIBOBJS=allprint.o main.o reject.o yyless.o yywrap.o

all:     profiled $(USRLIB)/libl.a

profiled:
	mkdir profiled

$(USRLIB)/libl.a: $& $(LIBOBJS)
	-rm -f tmplib.a; rm -f profiled/tmplib.a
	$(AR) r tmplib.a `$(LORDER) $(LIBOBJS) | tsort`;
	cd profiled; $(AR) r tmplib.a `$(LORDER) $(LIBOBJS) | tsort`;

install:  ncform nrform all
	cpset tmplib.a $(USRLIB)/libl.a 0444
	cpset profiled/tmplib.a $(USRLIBP)/libl.a 0444

clean:
	-rm -f *.o; cd profiled; rm -f *.o

clobber:	clean
	-rm -f tmplib.a ; rm -rf profiled

allprint.o:	lib/allprint.c
	$(CC) -p -DMCOUNT $(CFLAGS) -c lib/allprint.c && \
	mv allprint.o profiled/allprint.o && \
	$(CC) $(CFLAGS) -c lib/allprint.c
main.o:		lib/main.c
	$(CC) -p -DMCOUNT $(CFLAGS) -c lib/main.c && \
	mv main.o profiled/main.o && \
	$(CC) $(CFLAGS) -c lib/main.c
reject.o:	lib/reject.c
	$(CC) -p -DMCOUNT $(CFLAGS) -c lib/reject.c && \
	mv reject.o profiled/reject.o && \
	$(CC) $(CFLAGS) -c lib/reject.c
yyless.o:	lib/yyless.c
	$(CC) -p -DMCOUNT $(CFLAGS) -c lib/yyless.c && \
	mv yyless.o profiled/yyless.o && \
	$(CC) $(CFLAGS) -c lib/yyless.c
yywrap.o:	lib/yywrap.c
	$(CC) -p -DMCOUNT $(CFLAGS) -c lib/yywrap.c && \
	mv yywrap.o profiled/yywrap.o && \
	$(CC) $(CFLAGS) -c lib/yywrap.c

ncform:	lib/ncform
	if [ ! -d $(USRLIB)/lex ];\
		then mkdir $(USRLIB)/lex;\
	fi
	-rm -f $(USRLIB)/lex/ncform;
	cpset lib/ncform $(USRLIB)/lex/ncform 0444

nrform:	lib/nrform
	-rm -f $(USRLIB)/lex/nrform;
	cpset lib/nrform $(USRLIB)/lex/nrform 0444
