/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: parc.h 1.1 89/04/17 $"

/*
 * parc.h
 *	Parallel-C support library definitions.
 */

/*
 * MMAP() is short-hand for calling mmap().
 */

#define	MMAP(fd,va,sz,pos)	\
		mmap(va, sz, PROT_READ|PROT_WRITE, MAP_SHARED, fd, pos)

#ifdef MAP_ZEROFILL
/*
 * ZFOD_MMAP() is another short-hand for calling mmap().
 */

#define	ZFOD_MMAP(va,sz)	\
		mmap(va, sz, PROT_READ|PROT_WRITE, MAP_ZEROFILL, 0, 0)

#endif

/*
 * ENTRY() allows definition of alternate entry points; eg to
 * create same entry name for C and Fortran.
 */

#ifndef	lint
#define	ENTRY(x,y)	asm("	.text"); \
			asm("	.globl x"); \
			asm("	.set x,y"); \
			asm("	.data")
#endif

#define S_SINGLE	0
#define S_WAIT		1
#define S_PARKED	2
#define S_FORKED	3
#define S_MSINGLE	4

#define	EMPTY	0
