/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	This module is created for NLS on Sep.03.86		*/

#ident	"$Header: fgetws.c 1.1 89/10/20 $@(#)libw-port:wstdio/fgetws.c	1.0"

/*
 * Fgetws reads EUC characters from the "iop", converts
 * them to process codes, and places them in the wchar_t
 * array pointed to by "ptr". Fgetws reads until n-1 process
 * codes are transferred to "ptr", or EOF.
 */

#include "shlib.h"
#include <stdio.h>
#include <widec.h>

wchar_t *
fgetws(ptr, size, iop)
register wchar_t *ptr;
register int  size;
register FILE *iop;
{
	register wchar_t *ptr0 = ptr;
	register c;

	for (size--; size > 0; size--) { /* until size-1 */
		if ((c = getwc(iop)) == EOF) {
			if (ptr == ptr0) /* no data */
				return(NULL);
			break; /* no more data */
		}
		*ptr++ = c;
		if (c == '\n')   /* new line character */
			break;
	}
	*ptr = 0;
	return(ptr0);
}
