# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)liby:liby.mk	1.6"
ROOT=
LIB=$(ROOT)/lib
USRLIB=$(ROOT)/usr/lib
USRLIBP=$(ROOT)/usr/lib/libp

CC=cc

CFLAGS= -O

LIBRARY=liby.a

LIBOBJS=libmai.o libzer.o

all:     profiled $(LIBRARY)

.c.o:
	$(CC) -p -DMCOUNT $(CFLAGS) -c $< && \
	mv $*.o profiled/$*.o && \
	$(CC -UMCOUNT $(CFLAGS) -c $<

profiled:
	mkdir profiled

$(LIBRARY): $& $(LIBOBJS)
	-rm -f $(LIBRARY); rm -f profiled/$(LIBRARY)
	$(AR) rc $(LIBRARY) $(LIBOBJS)
	cd profiled; $(AR) rc $(LIBRARY) $(LIBOBJS)

install:  all
	cpset $(LIBRARY) $(USRLIB)/$(LIBRARY) 0444
	cpset profiled/$(LIBRARY) $(USRLIBP)/$(LIBRARY) 0444

clean:
	-rm -f $(LIBOBJS); cd profiled; rm -f $(LIBOBJS)

clobber:
	-rm -f $(LIBOBJS) $(LIBRARY); rm -rf profiled
