/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: slic_error.c 1.3 89/08/07 $"

/*
 * slic_error.c
 *	handle and print slic error messages
 */

/* $Log:	slic_error.c,v $
 */

#include <sys/types.h>
#include <sys/param.h>
#include <sys/ufsinode.h>
#include <sys/ufsfilsys.h>
#include <sys/hwparam.h>
#include <sys/slic.h>
#include "saio.h"

/*
 * Handle and print slic error messages
 */

int
slicerror(type, com, dest, val, stat)
unsigned char com, dest, val, stat;
{
	printf("\nSLIC ");
	switch (type) {
	case SL_PERROR:
		printf("parity");
		break;
	case SL_DERROR:
		printf("destination");
		break;
	case SL_NOTOK:
		printf("command");
		break;
	}
	printf(" err: com %x dest %x val %x stat %x\n",
		com, dest, val, stat);
}
