/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: time.h 1.9 90/01/22 $@(#)head:time.h	1.5"

#ifndef	_SYS_TIME_H_

/*____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section *
 * 4.5.1 & 8.3.2 of 1003.1-1988 which should be refered to before     *
 * making any changes.						      *
 *____________________________________________________________________*/

/* POSIX 1003.1-1988 4.8.1.2 */
#define	CLK_TCK	100		/* # of clock ticks per second */

/*
 * If not POSIX, include types.h and timer.h
 * to get BSD style time.h, i.e. struct timeval
 * and timeval access macros defined
 */
#ifndef	_POSIX_SOURCE
#include "sys/types.h"
#include "sys/timer.h"
#endif	/* _POSIX_SOURCE */

#define	_SYS_TIME_H_
#endif	/*_SYS_TIME_H_*/

