/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: tmp_ctl.h 1.7 90/06/01 $"

#ifndef	_SYS_TMP_CTL_H_

/* $Log:	tmp_ctl.h,v $
 */

/*
 * Processor/process affinity.
 */

#define AFF_ERROR	-1	/* Error occurred - check errno */
#define AFF_NONE	-2	/* No affinity */
#define AFF_QUERY	-3	/* Query current affinity */

/*
 * Processor information and control commands.
 */
#define TMP_ONLINE	0	/* Turn processor online */
#define TMP_OFFLINE	1	/* Turn processor offline */
#define TMP_QUERY	2	/* Query processor status */
#define TMP_NENG	3	/* Return No. of processors configured */
#define	TMP_GETFLAGS	4	/* get flags */

/*
 * TMP_GETFLAGS return flag.  Must be sure that all of these
 * flags don't equal "-1" when they're all "or"'ed together.
 */
#define	TMP_FLAGS_ONLINE 1	/* engine online */
#define	TMP_FLAGS_BAD	2	/* processor is bad */
#define	TMP_FLAGS_FPA	4	/* has FPA when set */

/*
 * TMP_QUERY return values
 */
#define TMP_ENG_ONLINE	0
#define TMP_ENG_OFFLINE	1

#define	_SYS_TMP_CTL_H_
#endif	/* _SYS_TMP_CTL_H_ */
