/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: co_space.c 1.21 90/03/06 $"

/*
 * co_space.c
 *
 * This file contains the binary configuration data for the
 * SCSI/Ether console driver
 */

/* $Log:	co_space.c,v $
 */

#include "sys/types.h"
#include "sys/termio.h"
#include "sys/consmemioctl.h"
#include "sys/sec.h"
#include "sys/sec_modes.h"
#include "sys/session.h"
#include "sys/stream.h"
#include "sys/co.h"
#include "sys/devsw.h"


struct co_bin_config co_bin_config[] = {
	/*gate	*/
	{ 54,	},
	{ 54,	},
	{ 54,	},
	{ 54,	},
	{ 54,	},
	{ 54,	},
	{ 54,	},
	{ 54,	},
};

int co_bin_config_count = (sizeof co_bin_config)/(sizeof co_bin_config[0]);

int cocflags =  CS8 | B9600 | CREAD | HUPCL;
int coaddwait = 3;    /* Additional time to wait for output to drain on close */
unchar coprintalocfail = 0;	/* 0=don't print message on allocb failure */
unchar coprintupstreamblkd = 1;	/* 0=don't print message on blkd upstream flow*/

#ifdef	DEBUG
int co_debug = 0;
#endif	/* DEBUG */

ulong co_flags = 0;
unchar co_bin = 4;
short co_req_size = 4;
short co_doneq_size = 4;


/* device operations */

extern	struct	streamtab	coinfo;
extern	int	nulldev();
extern	int	nodev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct	devops	codevops = {
	nulldev,		/* d_open */
	nulldev,		/* d_close */
	nulldev,		/* d_strategy */
	nulldev,		/* d_minphys */
	nulldev,		/* d_psize */
	nulldev,		/* d_print */
	nulldev,		/* d_read */
	nulldev,		/* d_write */
	nodev,			/* d_ioctl */
	nulldev,		/* d_mmap */
	nulldev,		/* d_intr */
	&coinfo,		/* d_str */
	nostrmsgio,		/* d_strmsgio */
	nostrpoll		/* d_strpoll */
};
