/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: kbd_space.c 1.4 90/05/02 $"

/*
 * kbd space defintions
 */

/* $Log:	kbd_space.c,v $
 */

#include "config.h"
#include <sys/types.h>
#include <sys/kbd.h>
#include <sys/kbduser.h>

 /*
  * The following defines are decalred and defined in the kbd config
  * file. See the config file for the current lower and upper (if any)
  * for the following definittions.
  *
  * KBDTIME is the default value for "timed" tables. It represents
  * the number of ticks (1/100 of a sec) allowed for a timed sequence
  * to be accepted.
  *
  * NKBDPVMEM - maximum number of bytes that can be allocated for a
  * user's private mapping tables.
  *
  * NKBDU is the maximum number of tables a user may have active at
  * one time in either direction (to reduce tlink-hogging).  
  *
  * NKBDSTR is the maximum number of kbdu structs that can be allocated
  * which effectively is the number of kbd modules that can be pushed
  * (open) at once on the system.
  */

int kbd_timer = KBDTIME;
int kbd_umem = NKBDPVMEM;
int kbd_ucnt = NKBDSTR;
int kbd_maxu = NKBDU;

struct kbduu 	kbdu[NKBDSTR];
