/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: kp_space.c 1.9 90/01/25 $"

/* $Log:	kp_space.c,v $
 */

/*
 * Configuration info for NMI based kernel profiling
 */

#include "sys/types.h"
#include "sys/devsw.h"
#include "sys/param.h"
#include "sys/sec.h"
#include "sys/kp.h"

int kp_binshift = 3;		/* log2(binsize) (eg, bin is 8 bytes => 3) */
unchar kp_chan = SDEV_PROFILER;
struct	dev kpdev;		/* only a single minor device */


/* device operations */
extern	int	kpopen();
extern	int	kpread();
extern	int	kpioctl();
extern	int	nulldev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct devops kpdevops = {
	kpopen,			/* d_open */
	nulldev,		/* d_close */
	nulldev,		/* d_strategy */
	nulldev,		/* d_minphys */
	nulldev,		/* d_size */
	nulldev,		/* d_print */
	kpread,			/* d_read */
	nulldev,		/* d_write */
	kpioctl,		/* d_ioctl */
	nulldev,		/* d_mmap */
	nulldev,		/* d_intr */
	NULL,			/* d_str */
	nostrmsgio,		/* d_strmsgio */
	nostrpoll		/* d_strpoll */
};

