/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: mbad_space.c 1.7 89/08/07 $"

/*
 * Configuration tables for this device
 */

/* $Log:	mbad_space.c,v $
 */
#include "sys/types.h"
#include "sys/autoconf.h"
#include "sys/mbad.h"
#include "sys/mbad_device.h"
#include "sys/mbad_ioconf.h"
#include "config.h"

ulong	MBAd_IOwindow =		3*256*1024;	/* top 1/4 Meg */

/* All SB8000 devices use the same configuration, defined in sb8000_space.c */
extern struct device_config sb8000_config[];

/* autoconfig structure linking device configuration with busses */
struct dev_on_bus mbad_on_busses[] = {
	{ SB8000, 1, sb8000_config }, 
	{ NOBUS,},
};
