/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: vtoc_space.c 1.6 90/01/25 $"

/*
 * Binary configuration data for VTOC partitioning driver
 */

/* $Log:	vtoc_space.c,v $
 */

#include "sys/types.h"
#include "sys/vtoc.h"
#include "sys/param.h"
#include "sys/devsw.h"

#define	VTOC_MEM_INIT	10 * NBPG	/* 128 disks, 16 partitions each */
#define	VTOC_MEM_CLICK	 1 * NBPG

int	vtoc_mem_init = VTOC_MEM_INIT;
int	vtoc_mem_click = VTOC_MEM_CLICK;

/* device operations */

extern	int	vtocopen();
extern	int	vtocclose();
extern	int	vtocioctl();
extern	int	nulldev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct	devops	vtocops = {
	vtocopen,			/* d_open */
	vtocclose,			/* d_close */
	nulldev,			/* d_strategy */
	nulldev,			/* d_minphys */
	nulldev,			/* d_size */
	nulldev,			/* d_print */
	nulldev,			/* d_read */
	nulldev,			/* d_write */
	vtocioctl,			/* d_ioctl */
	nulldev,			/* d_mmap */
	nulldev,			/* d_shutdown */
	NULL,				/* d_str */
	nostrmsgio,			/* d_strmsgio */
	nostrpoll			/* d_strpoll */
};
