/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: sysc_space.c 1.8 89/10/26 $"

/*
 * sysc_space.c
 * 	System-call entry configuration table.
 *
 */

/* $Log:	sysc_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/debug.h"
#include "sys/systm.h"

extern	nosyscall();
extern	syscall();
extern char *syscall1names[], *syscall2names[];

struct syscallhandler syscall_handler[] = {
	nosyscall, 0, 0, 0,		/* [0] Res for V.3/386 bin compat */
	syscall, sysent1, &nsysent1, syscall1names,	/* [1] System V src compat calls */
	syscall, sysent2, &nsysent2, syscall2names,	/* [2] DYNIX/ptx(R) calls */
};

int	syscall_nhandler = sizeof(syscall_handler) / sizeof(syscall_handler[0]);
