/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: callo.h 1.6 89/08/07 $"

#ifndef	_SYS_CALLO_H_

/*
 *
 * callout.h
 *	Callout structure definition.
 */

/* $Log:	callo.h,v $
 */

/*
 * The callout structure is for
 * a routine arranging
 * to be called by the clock interrupt
 * (clock.c) with a specified argument,
 * in a specified amount of time.
 * Used, for example, to time tab
 * delays on typewriters.
 */

struct	callout {
	int	c_time;		/* incremental time */
	int	c_id;		/* timeout id */
	caddr_t	c_arg;		/* argument to routine */
	int	(*c_func)();	/* routine */
	struct	callout *c_next;
};

#ifdef	INKERNEL
extern	struct	callout *callfree, *callout, calltodo;
#endif	/* INKERNEL */

#define	_SYS_CALLO_H_
#endif	/* _SYS_CALLO_H_ */
