/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: times.h 1.7 90/07/29 $"

#ifndef	_SYS_TIMES_H_

/* $Log:	times.h,v $
*/

#include "sys/types.h"

/*____________________________________________________________________*
 * This file forms part of the POSIX requirement described in section *
 * 4.5.2 of 1003.1-1988 which should be refered to before making any  *
 * changes.							      *
 *____________________________________________________________________*/


/*
 * Structure returned by times()
 */
struct tms {
	clock_t	tms_utime;		/* user time */
	clock_t	tms_stime;		/* system time */
	clock_t	tms_cutime;		/* user time, children */
	clock_t	tms_cstime;		/* system time, children */
};

#ifndef INKERNEL
extern clock_t times();
#endif /* INKERNEL */

#define	_SYS_TIMES_H_
#endif	/*_SYS_TIMES_H_*/

