/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/* @(#)fifo.h	1.2 86/12/23 NFSSRC */
/*	@(#)fifo.h 1.1 86/09/25 SMI;	*/

#ident "$Header: fifo.h 1.4 89/10/10 $"

#ifndef	_SYS_FIFO_H_

/* $Log:	fifo.h,v $
 */

#ifdef INKERNEL
/*
 *	Fifo information structure.
 */
struct fifoinfo {
	int	nfifo;		/* max # of fifo's in system */
	int	fifosz;		/* largest size of a single write to a fifo */
	int	fifobsz;	/* # of data bytes in each fifo data buffer */
	int	fifodev;	/* a kludge device number for regular pipes */
	int	fifosanity;	/* portion of bufpages to cap fifos at */
};

extern struct fifoinfo	fifoinfo;	/* fifo parameters */

#define PIPE_BUF	(fifoinfo.fifosz)
#define PIPE_BLKSZ	(fifoinfo.fifobsz)
#define PIPE_DEV	(fifoinfo.fifodev)
#define PIPE_NBLKS	(PIPE_BUF/PIPE_BLKSZ)
#define PIPE_SANITY	(fifoinfo.fifosanity)

#endif /*INKERNEL*/

#define	_SYS_FIFO_H_
#endif	/* _SYS_FIFO_H_ */
