/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: specfs_space.c 1.6 89/08/07 $"

/*
 * specfs_space.c
 *	space file for specfs device file system
 */

/* $Log:	specfs_space.c,v $
 */

#include "sys/types.h"
#include "sys/sysmacros.h"
#include "sys/signal.h"
#include "sys/param.h"
#include "sys/debug.h"
#include "sys/systm.h"
#include "sys/mutex.h"
#include "sys/user.h"
#include "sys/errno.h"
#include "sys/buf.h"
#include "sys/vfs.h"
#include "sys/vnode.h"
#include "sys/conf.h"
#include "sys/snode.h"
#include "sys/fifonode.h"
#include "sys/fifo.h"

lock_t	spec_nodeid_mutex;
spl_t	spec_nodeid_ipl;
long	spec_lastnodeid;	/* last s_nodeid number allocated */
#ifdef DEBUG
int	spec_debug_level = 0;	/* controls debug message printing */
#endif
