/*
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989 
 * Sequent Computer Systems, Inc.   All rights reserved.
 * 
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
#ident	"$Header: system.std 1.41 90/06/27 $"

#define VLSI_CHARACTER      	91
#define CN_CHARACTER        	27
#define STRPIPE_CHARACTER   	54
#define VTOC_CHARACTER      	30
#define CMPT_CHARACTER      	21
#define PMAP_CHARACTER      	11
#define USCLK_CHARACTER     	19
#define SY_CHARACTER        	2
#define CLONE_CHARACTER     	5
#define LOG_CHARACTER       	24
#define PTM_CHARACTER       	53
#define PTS_CHARACTER       	52
#define XS_CHARACTER        	23
#define WP_CHARACTER        	20
#define WD_BLOCK            	25
#define WD_CHARACTER        	25
#define TG_CHARACTER        	68
#define TM_CHARACTER        	26
#define SC_CHARACTER        	22
#define SS_CHARACTER        	7
#define XT_CHARACTER        	33
#define ST_CHARACTER        	6
#define LP_CHARACTER        	12
#define KMM_CHARACTER       	29
#define ZD_BLOCK            	34
#define ZD_CHARACTER        	34
#define SD_BLOCK            	8
#define SD_CHARACTER        	8
#define TS_CHARACTER        	9
#define CO_CHARACTER        	1
#define SM_CHARACTER        	10
#define CONSMEM_CHARACTER   	28
#define UFS_CHARACTER       	1
#define SW_BLOCK            	4
#define SW_CHARACTER        	4
#define MM_CHARACTER        	3
#define SB8000              	1
#define SEC_SCSI            	2
#define SMDE                	3
#define MULTIBUS            	4
#define SSM_SCSI            	5
#define VME                 	6

/*
 *  Configurable parameters:
*/
#define TIMESHARE           	1
#define MAXUSERS            	64
#define ULIMIT              	4194303
#define SEMAEM              	16384
#define SEMMAP              	10
#define SEMMNI              	10
#define SEMMNS              	60
#define SEMMNU              	30
#define SEMMSL              	25
#define SEMOPM              	10
#define SEMUME              	10
#define SEMVMX              	32767
#define MSGMAP              	100
#define MSGMAX              	8192
#define MSGMNB              	16384
#define MSGMNI              	50
#define MSGSSZ              	8
#define MSGTQL              	40
#define MSGSEG              	1024
#define SHMMAX              	524288
#define SHMMIN              	1
#define SHMMNI              	100
#define SHMSEG              	10
#define SHMGAP              	2097152
#define K                   	1024
#define BUFPCT              	25
#define PROC_MULT           	8
#define FIFO_DIV            	4
#define INODE_MULT          	1
#define INODE_DIV           	1
#define FILE_MULT           	8
#define FILE_DIV            	5
#define MFILE_MULT          	1
#define MFILE_DIV           	2
#define FLINO_MULT          	1
#define FILCK_MULT          	1
#define AVGSZ_PROC          	512
#define DEF_MINRS           	64
#define MAXUP               	100
#define NPROC               	532
#define NFIFO               	133
#define FIFOSANITY          	2
#define NINODE              	644
#define NFILE               	1011
#define NMFILE              	266
#define NMOUNT              	32
#define NOFILES             	64
#define NOFILETAB           	532
#define NFILCK              	114
#define NCMULT              	1
#define NCDIV               	2
#define NCSIZE              	322
#define NCHSIZE             	80
#define NCALL               	548
#define NUCRED              	532
#define MAXSYMLINKS         	8
#define TICKADJ             	40
#define NBUF                	0
#define NPBUF               	0
#define NHBUF               	0
#define NABUF               	50
#define MAXAIO              	10
#define TTYMULT             	4
#define NSTREAM             	266
#define NSTRPUSH            	6
#define NQUEUE              	2128
#define NMUXLINK            	266
#define NSTREVENT           	2128
#define STRLOFRAC           	80
#define STRMEDFRAC          	90
#define STRMSGSZ            	4096
#define STRCTLSZ            	1024
#define STRNSCHED           	32
#define NBLKPRIV            	10
#define NBLK4096            	76
#define NBLK2048            	276
#define NBLK1024            	76
#define NBLK512             	76
#define NBLK256             	76
#define NBLK128             	76
#define NBLK64              	276
#define NBLK16              	1074
#define NBLK4               	4266
#define CUSERID_VERSION     	0
#define _SW_NUMDEV          	1
#define CHOWN_RESTRICTED    	1
#define _SM_NUMDEV          	1
#define _CO_NUMDEV          	1
#define _TS_NUMDEV          	1
#define _SD_NUMDEV          	4
#define _ZD_NUMDEV          	32
#define _LP_NUMDEV          	1
#define _ST_NUMDEV          	4
#define _XT_NUMDEV          	1
#define _SS_NUMDEV          	1
#define _SC_NUMDEV          	1
#define _TM_NUMDEV          	1
#define _TG_NUMDEV          	1
#define _WD_NUMDEV          	6
#define _WP_NUMDEV          	1
#define _XS_NUMDEV          	5
#define _PTY_NUMDEV         	100
#define _PTS_NUMDEV         	1
#define _PTM_NUMDEV         	1
#define _LOG_NUMDEV         	5
#define TTYBUF_LATENCY      	2150
#define NTTYLD              	250
#define _USCLK_NUMDEV       	1
#define _PMAP_NUMDEV        	32
#define NTRW                	10
#define NTLI                	10
#define _STRPIPE_NUMDEV     	100
#define KBDTIME             	20
#define NKBDPVMEM           	4096
#define NKBDSTR             	40
#define NKBDU               	6
