/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/* $Header: ufs_space.c 1.7 90/03/26 $
 */

/*
 * "space" file for ufs file system.
 */

/* $Log:	ufs_space.c,v $
 */

#include "sys/types.h"
#include "sys/devsw.h"
#include "sys/param.h"
#include "sys/buf.h"
#include "sys/vfs.h"
#include "sys/vnode.h"
#include "sys/ufsinode.h"
#include "sys/ufsfilsys.h"
#include "sys/ufsmount.h"
#include "sys/ufsdir.h"

#if DYNIX_MAXNAMLEN < UFS_MAXNAMLEN
	SYNTAX ERROR: "UFS_MAXNAMLEN" TOO BIG
#endif

#include "config.h"

int chown_restricted = CHOWN_RESTRICTED;
